Unreleased - sledgehammer999 <sledgehammer999@qbittorrent.org> - v5.0.0
    - FEATURE: Support creating .torrent with larger piece size (Chocobo1)
    - FEATURE: Improve tracker entries handling (glassez)
    - FEATURE: Add separate filter item for tracker errors (glassez)
    - FEATURE: Allow to remove tracker from tracker filter widget menu (glassez)
    - FEATURE: Implement `Reannounce In` column (Hanabishi)
    - FEATURE: Expose `DHT bootstrap nodes` setting (Chocobo1)
    - FEATURE: Add support for [Mark-of-the-Web](https://redcanary.com/threat-detection-report/techniques/mark-of-the-web-bypass/) (Chocobo1)
    - FEATURE: Allow to keep unwanted files in separate folder (glassez)
    - FEATURE: Add `Copy Comment` to the torrent list's context menu (thalieht)
    - FEATURE: Allow relative profile paths (Victor Chernyakin)
    - FEATURE: Enable Ctrl+F hotkey for more inputs (thalieht)
    - FEATURE: Add seeding limits to RSS and Watched folders options UI (glassez)
    - FEATURE: Subcategories implicitly follow the parent category options (glassez)
    - FEATURE: Add support for SSL torrents (Chocobo1, Radu Carpa)
    - FEATURE: Add option to name each qbittorrent instance (Chocobo1)
    - FEATURE: Add button for sending test email (Thomas Piccirello)
    - FEATURE: Allow torrents to override default share limit action (glassez)
    - BUGFIX: Display error message when unrecoverable error occurred (glassez)
    - BUGFIX: Update size of selected files when selection is changed (glassez)
    - BUGFIX: Normalize tags by trimming leading/trailing whitespace (glassez)
    - BUGFIX: Correctly handle share limits in torrent options dialog (glassez)
    - WEBUI: Improve WebUI responsiveness (Chocobo1)
    - WEBUI: Do not exit the app when WebUI has failed to start (Hanabishi)
    - WEBUI: Add `Moving` filter to side panel (xavier2k6)
    - WEBUI: Add dark theme (d47081)
    - WEBUI: Allow to remember torrent content files deletion (David)
    - WEBUI: Leave the fields empty when value is invalid (Chocobo1)
    - WEBUI: Use natural sorting (Chocobo1)
    - WEBUI: Improve WebUI login behavior (JayRet)
    - WEBAPI: Fix wrong timestamp values (Chocobo1)
    - WEBAPI: Send binary data with filename and mime type specified (glassez)
    - WEBAPI: Expose API for the torrent creator (glassez, Radu Carpa)
    - RSS: Show RSS feed title in HTML browser (Jay)
    - RSS: Allow to set delay between requests to the same host (jNullj)
    - SEARCH: Allow users to specify Python executable path (Chocobo1)
    - WINDOWS: Use Fusion style on Windows 10+. It has better compatibility with dark mode (glassez)
    - WINDOWS: Allow to set qBittorrent as default program (glassez)
    - LINUX: Add support for systemd power management (Chocobo1)
    - LINUX: Add support for localized man pages (Victor Chernyakin)
    - LINUX: Specify a locale if none is set (Chocobo1)
    - MACOS: Display download/upload speed in dock icon (Nick Korotysh)
    - MACOS: Add support for quarantine on macOS (Chocobo1)
    - OTHER: Drop support for Qt5, qmake, autotools, Windows < 10, Windows 32-bit
    - OTHER: Minimum supported versions: Qt: 6.5, Boost: 1.76, OpenSSL: 3.0.2
    - OTHER: Switch to C++20

Mon Jan 15th 2024 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.6.3
    - BUGFIX: Correctly update number of filtered items (glassez)
    - BUGFIX: Don't forget to store Stop condition value (glassez)
    - BUGFIX: Show correctly decoded filename in log (glassez)
    - BUGFIX: Specify a locale if none is set (Chocobo1)
    - BUGFIX: Apply inactive seeding time limit set on new torrents (glassez)
    - BUGFIX: Show URL seeds for torrents that have no metadata (glassez)
    - BUGFIX: Don't get stuck loading on mismatched info-hashes in resume data (glassez)

Mon Nov 27th 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.6.2
    - BUGFIX: Do not apply share limit if the previous one was applied (glassez)
    - BUGFIX: Show Add new torrent dialog on main window screen (glassez)
    - WEBUI: Fix JS memory leak (brvphoenix)
    - WEBUI: Disable stdout buffering for qbt-nox (Chocobo1)
    - WINDOWS: NSIS: Display correct Minimum Windows OS requirement (xavier2k6)
    - WINDOWS: NSIS: Add Hebrew translation (avivmu)
    - LINUX: WAYLAND: Fix parent widget of "Lock qBittorrent" submenu (Vlad Zahorodnii)

Mon Nov 20th 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.6.1
    - FEATURE: Add option to enable previous Add new torrent dialog behavior (glassez)
    - BUGFIX: Prevent crash due to race condition when adding magnet link (glassez)
    - BUGFIX: Fix Enter key behavior when add new torrent (glassez)
    - BUGFIX: Add missing main window icon (iomezk)
    - BUGFIX: Update size of selected files when selection is changed (glassez)
    - BUGFIX: Correctly handle changing save path of torrent w/o metadata (glassez)
    - BUGFIX: Use appropriate icon for "moving" torrents in transfer list (xavier2k6)
    - WEBUI: Drop WebUI default credentials (glassez)
    - WEBUI: Add I2P settings to WebUI (thalieht)
    - WEBUI: Fix duplicate scrollbar on Transfer List (AgentConDier)
    - WEBUI: Fix .torrent file upload on iPadOS (Vitaly Cheptsov)
    - WEBUI: Fix incorrect subcategory sorting (Bartu Özen)
    - WEBUI: Correctly set save path in RSS rules (glassez)
    - WEBUI: Allow to request torrents count via WebAPI (glassez)
    - WEBUI: Improve performance of getting torrent numbers via WebAPI (Chocobo1)
    - WEBUI: Improve free disk space checking for WebAPI (glassez)
    - WINDOWS: NSIS: Fixed typo in the installer's hungarian translation (MartinKing01)
    - LINUX: Fix invisible tray icon with Qt5 in Linux (thalieht)
    - MACOS: Remove "Physical memory (RAM) usage limit" option (Chocobo1)

Sun Oct 22nd 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.6.0
    - FEATURE: Add (experimental) I2P support (glassez)
    - FEATURE: Provide UI editor for the default theme (glassez)
    - FEATURE: Various UI theming improvements (glassez)
    - FEATURE: Implement torrent tags editing dialog (glassez)
    - FEATURE: Revamp "Watched folder options" and "Automated RSS downloader" dialog (glassez)
    - FEATURE: Allow to use another icons in dark mode (glassez)
    - FEATURE: Allow to add new torrents to queue top (glassez)
    - FEATURE: Allow to filter torrent list by save path (Tom)
    - FEATURE: Expose 'socket send/receive buffer size' options (Chocobo1)
    - FEATURE: Expose 'max torrent file size' setting (Chocobo1)
    - FEATURE: Expose 'bdecode limits' settings (Chocobo1)
    - FEATURE: Add options to adjust behavior of merging trackers to existing torrent (glassez)
    - FEATURE: Add option to stop seeding when torrent has been inactive (Christopher)
    - FEATURE: Allow to use proxy per subsystem (glassez)
    - FEATURE: Expand the scope of "Proxy hostname lookup" option (glassez)
    - FEATURE: Add shortcut for "Ban peer permanently" function (Luka Čelebić)
    - FEATURE: Add option to auto hide zero status filters (glassez)
    - FEATURE: Allow to disable confirmation of Pause/Resume All (glassez)
    - FEATURE: Add alternative shortcut CTRL+E for CTRL+F (Luka Čelebić)
    - FEATURE: Show filtered port numbers in logs (Hanabishi)
    - FEATURE: Add button to copy library versions to clipboard (Chocobo1)
    - BUGFIX: Ensure ongoing storage moving job will be completed when shutting down (Chocobo1)
    - BUGFIX: Refactored many areas to call non UI blocking code (glassez)
    - BUGFIX: Various improvements to the SQLite backend (glassez)
    - BUGFIX: Improve startup window state handling (glassez)
    - BUGFIX: Use tray icon from system theme only if option is set (glassez)
    - BUGFIX: Inhibit system sleep while torrents are moving (Sentox6)
    - BUGFIX: Use hostname instead of domain name in tracker filter list (tearfur)
    - BUGFIX: Visually validate input path in torrent creator dialog (Chocobo1)
    - BUGFIX: Disable symlink resolving in Torrent creator (Ignat Loskutov)
    - BUGFIX: Change default value for `file pool size` and `stop tracker timeout` settings (stalkerok)
    - BUGFIX: Log when duplicate torrents are being added (glassez)
    - BUGFIX: Inhibit suspend instead of screen idle (axet)
    - BUGFIX: Ensure file name is valid when exporting torrents (glassez)
    - BUGFIX: Open "Save path" if torrent has no metadata (Xu Chao)
    - BUGFIX: Prevent torrent starting unexpectedly edge case with magnet (Xu Chao)
    - BUGFIX: Better ergonomics of the "Add new torrent" dialog (Xu Chao, glassez)
    - WEBUI: Add log viewer (brvphoenix)
    - WEBUI: WebAPI: Allow to specify session cookie name (glassez)
    - WEBUI: Improve sync API performance (glassez)
    - WEBUI: Add filelog settings (brvphoenix)
    - WEBUI: Add multi-file renaming (loligans)
    - WEBUI: Add "Add to top of queue" option (thalieht)
    - WEBUI: Implement subcategories (Bartu Özen)
    - WEBUI: Set "SameSite=None" if CSRF Protection is disabled (七海千秋)
    - WEBUI: Show only hosts in tracker filter list (ttys3)
    - WEBUI: Set Connection status and Speed limits tooltips (Raymond Ha)
    - WEBUI: set Cross Origin Opener Policy to `same-origin` (Chocobo1)
    - WEBUI: Fix response for HTTP HEAD method (Chocobo1)
    - WEBUI: Preserve the network interfaces when connection is down (Fabricio Silva)
    - WEBUI: Add "Add Tags" field for RSS rules (Matic Babnik)
    - WEBUI: Fix missing error icon (Trim21)
    - RSS: Add "Rename rule" button to RSS Downloader (BallsOfSpaghetti)
    - RSS: Allow to edit RSS feed URL (glassez)
    - RSS: Allow to assign priority to RSS download rule (glassez)
    - SEARCH: Use python isolate mode (Chocobo1)
    - SEARCH: Bump python version minimum requirement to 3.7.0 (Chocobo1)
    - OTHER: Enable DBUS cmake option on FreeBSD (yuri@FreeBSD)
    - OTHER: Numerous code improvements and refactorings (glassez, Chocobo1)

Tue Aug 29 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.5
    - BUGFIX: Fix transfer list tab hotkey (thalieht)
    - BUGFIX: Don't forget to enable the Apply button in the Options dialog (glassez)
    - BUGFIX: Immediately update torrent status on moving files (glassez)
    - BUGFIX: Improve performance when scrolling the file list of large torrents (gdim47)
    - BUGFIX: Don't operate on random torrents when multiple are selected and a sort/filter is applied (glassez)
    - RSS: Fix overwriting feeds.json with an incomplete load of it (Omar Abdul Azeez)
    - WINDOWS: Software update check logic is disabled for < Win10 (sledgehammer999)
    - WINDOWS: NSIS: Update Turkish and French translations (Burak Yavuz, MarcDrieu)
    - WINDOWS: NSIS: Add Romanian translation (rusu-afanasie)

Sun Jun 18 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.4
    - BUGFIX: Allow to disable confirmation of Pause/Resume All (glassez)
    - BUGFIX: Sync flag icons with upstream (Priit Uring)
    - WEBUI: Fix category save path (Raymond Ha)

Sun May 28 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.3
    - BUGFIX: Correctly check if database needs to be updated (glassez)
    - BUGFIX: Prevent incorrect log message about torrent content deletion (glassez)
    - BUGFIX: Improve finished torrent handling (glassez)
    - BUGFIX: Correctly initialize group box children as disabled in Preferences (thalieht)
    - BUGFIX: Don't miss saving "download path" in SQLite storage (glassez)
    - BUGFIX: Improve logging of running external program (glassez)
    - WEBUI: Disable UPnP for web UI by default (glassez)
    - WEBUI: Use workaround for IOS file picker (DivineHawk)
    - WEBUI: Work around Chrome download limit (Chocobo1)
    - WEBUI: Improve 'exporting torrent' behavior (Chocobo1)
    - WINDOWS: NSIS: Add Slovak translation (Christian Danížek)

Tue Feb 28 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.2
    - BUGFIX: Don't unexpectedly activate queued torrents when prefetching metadata for added magnets (glassez)
    - BUGFIX: Update the cached torrent state once recheck is started (glassez)
    - BUGFIX: Be more likely to allow the system to use power saving modes (glassez)
    - WEBUI: Migrate away from unsafe function (Chocobo1)
    - WEBUI: Blacklist bad ciphers for TLS in the server (sledgehammer999)
    - WEBUI: Allow only TLS 1.2+ in the server (sledgehammer999)
    - WEBUI: Allow to set read-only directory as torrent location (glassez)
    - WEBUI: Reject requests that contain backslash in path (glassez)
    - RSS: Prevent RSS folder from being moved into itself (glassez)
    - WINDOWS: NSIS: Update Turkish, Uzbek translation (Burak Yavuz, shitcod3r)

Sun Feb 12 2023 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.1
    - FEATURE: Re-allow to use icons from system theme (glassez)
    - BUGFIX: Fix Speed limit icon size (Nowshed H. Imran)
    - BUGFIX: Revise and fix some text colors (Chocobo1, Nowshed H. Imran)
    - BUGFIX: Correctly load folder based UI theme (glassez)
    - BUGFIX: Fix crash due to invalid encoding of tracker URLs (glassez)
    - BUGFIX: Don't drop !qB extension when renaming incomplete file (glassez)
    - BUGFIX: Correctly count the number of torrents in subcategories (glassez)
    - BUGFIX: Use "additional trackers" when metadata retrieving (glassez)
    - BUGFIX: Apply correct tab order to Category options dialog (glassez)
    - BUGFIX: Add all torrents passed via the command line (glassez)
    - BUGFIX: Fix startup performance on Qt5 (glassez)
    - BUGFIX: Automatic move will now overwrite existing files (aka previous behavior) (glassez)
    - BUGFIX: Some fixes for loading Chinese locales (sledgehammer999)
    - BUGFIX: New Pause icon color for toolbar/menu (Nowshed H. Imran, sledgehammer999)
    - BUGFIX: Adjust env variable for PDB discovery (sledgehammer999)
    - WEBUI: Fix missing "queued" icon (thalieht)
    - WEBUI: Return paths using platform-independent separator format (glassez)
    - WEBUI: Change order of accepted types of file input (Jason Carr)
    - WEBUI: Add missing icons (brvphoenix)
    - WEBUI: Add "Resume data storage type" option (thalieht)
    - WEBUI: Make rename file dialog resizable (Torsten Schwarz)
    - WEBUI: Prevent incorrect line breaking (David Xuang)
    - WEBUI: Improve hotkeys (Fidel Selva)
    - WEBUI: Remove suggestions while searching for torrents (Midhun V Nadh)
    - WEBUI: Expose "IS PRIVATE" flag (sotiris-bos)
    - WEBUI: Return name/hash/infohash_v1/infohash_v2 torrent properties (qbittorrentfan)
    - WINDOWS: Correctly detect drive letter in path (glassez)
    - WINDOWS: NSIS: Update Swedish, Lithuanian translations (Jonatan, Deividas)
    - LINUX: Fix tray icon issues (glassez)

Sat Nov 26 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.5.0
    - FEATURE: Add `Auto resize columns` functionality (Chocobo1)
    - FEATURE: Allow to use Category paths in `Manual` mode (glassez)
    - FEATURE: Allow to disable Automatic mode when default "temp" path changed (glassez)
    - FEATURE: Add tuning options related to performance warnings (Chocobo1)
    - FEATURE: Add right click menu for status filters (An0n)
    - FEATURE: Allow setting the number of maximum active checking torrents (An0n)
    - FEATURE: Add option to toggle filters sidebar (AbeniMatteo)
    - FEATURE: Allow to set `working set limit` on non-Windows OS (Chocobo1)
    - FEATURE: Add `Export .torrent` action (Chocobo1)
    - FEATURE: Add keyboard navigation keys (itlezy)
    - FEATURE: Allow to use POSIX-compliant disk IO type (Coda)
    - FEATURE: Add `Filter files` field in new torrent dialog (thalieht)
    - FEATURE: Implement new icon/color theme (now-im, xavier2k6)
    - FEATURE: Add file name filter/blacklist (mxtsdev, thalieht)
    - FEATURE: Add support for custom SMTP ports (Emil M George)
    - FEATURE: Split the OS cache settings into Disk IO read/write modes (summer)
    - FEATURE: When duplicate torrent is added set metadata to existing one (glassez)
    - FEATURE: Greatly improve startup time with many torrents (glassez, jagannatharjun)
    - FEATURE: Add keyboard shortcut to Download URL dialog (Chocobo1)
    - FEATURE: Add ability to run external program on torrent added (glassez)
    - FEATURE: Add infohash and download path columns (tristanleboss)
    - FEATURE: Allow to set torrent stop condition (glassez, thalieht)
    - FEATURE: Add a `Moving` status filter (tristanleboss)
    - FEATURE: Change color palettes for both dark, light themes (Chocobo1)
    - FEATURE: Add a `Use proxy for hostname lookup` option (Nathan Lewis)
    - FEATURE: Introduce a `change listen port` cmd option (BallsOfSpaghetti)
    - FEATURE: Implement `Peer ID Client` column for `Peers` tab (Hanabishi)
    - FEATURE: Add port forwarding option for embedded tracker (Chocobo1)
    - BUGFIX: Store hybrid torrents using `torrent ID` as basename (glassez)
    - BUGFIX: Enable Combobox editor for the `Mixed` file download priority (Aleksandr Cupacenko)
    - BUGFIX: Allow shortcut folders for the Open and Save directory dialogs (Aleksandr Cupacenko)
    - BUGFIX: Rename content tab `Size` column to `Total Size` (Aleksandr Cupacenko)
    - BUGFIX: Fix scrolling to the lowermost visible torrent (Aleksandr Cupacenko)
    - BUGFIX: Allow changing file priorities for finished torrents (An0n)
    - BUGFIX: Focus save path when Manual mode is selected initially (Aleksandr Cupacenko)
    - BUGFIX: Disable force reannounce when it is not possible (An0n)
    - BUGFIX: Add horizontal scrolling for tracker list and torrent content (NotTsunami)
    - BUGFIX: Enlarge "speed limits" icons (Chocobo1)
    - BUGFIX: Change Downloaded to Times Downloaded in trackers tab (An0n)
    - BUGFIX: Remove artificial max limits from `Torrent Queueing` related options (Chocobo1)
    - BUGFIX: Preserve `skip hash check` when there is no metadata (glassez)
    - BUGFIX: Fix DHT/PeX/LSD status when it is globally disabled (Kacper Michajłow)
    - BUGFIX: Fix rate calculation when interval is too low (glassez)
    - BUGFIX: Add tooltip message when system tray icon isn't available (Chocobo1)
    - BUGFIX: Improve sender field in mail notifications (Dmitry Vodopyanov)
    - BUGFIX: Fix "Add torrent dialog" spill-over on smaller screens (Chocobo1)
    - BUGFIX: Fix peer count issue when tracker responds with zero figure (summer)
    - BUGFIX: Don't merge trackers by default (glassez)
    - BUGFIX: Don't inhibit system sleep/auto shutdown for torrents stuck at downloading metadata (summer)
    - BUGFIX: Allow to pause a checking torrent from context menu (summer)
    - BUGFIX: Allow to use subnet notation in reverse proxy list (Chocobo1)
    - BUGFIX: Fine tune translations loading for Chinese locales (sledgehammer999)
    - BUGFIX: Fix torrent content checkboxes not updated properly (Chocobo1)
    - BUGFIX: Correctly load state of `Use another path for incomplete torrents` in Watched folders (glassez)
    - BUGFIX: Add confirmation to resume/pause all (BallsOfSpaghetti)
    - BUGFIX: Fix wrong count of errored trackers (Chocobo1)
    - WEBUI: Allow blank lines in multipart form-data input (Aleksandr Cupacenko)
    - WEBUI: Make various dialogs resizable (Chocobo1)
    - WEBUI: Fix wrong v2 hash string displayed (Chocobo1)
    - WEBUI: WebAPI: return correct status (Requi)
    - WEBUI: Fix empty selection in language combobox (Chocobo1)
    - WEBUI: Store WebUI port setting in human readable number (Chocobo1)
    - WEBUI: Add support for exporting .torrent (Tom Piccirello)
    - WEBUI: WebAPI: Add endpoint to set speed limit mode (glassez)
    - WEBUI: Improve progress bar rendering (Mike Lei)
    - WEBUI: Add transfer list refresh interval settings (summer)
    - WEBUI: Use natural sort (Chocobo1)
    - WEBUI: Apply i18n translation only to built-in WebUI (Chocobo1)
    - WEBUI: Alert when HTTPS settings are incomplete (Chocobo1)
    - WEBUI: Handle drag and drop events (Chocobo1)
    - WEBUI: Fix wrong behavior for shutdown action (Chocobo1)
    - WEBUI: Don't disable combobox for file priority (Chocobo1)
    - RSS: Increase limit of maximum number of articles per feed (summer)
    - WINDOWS: Fix `Open destination folder` delay on Windows (Andrew)
    - WINDOWS: NSIS: Update Russian, Estonian, Japanese, Dutch, Portuguese BR, German and Indonesian translations (Andrei Stepanov, Priit Uring, maboroshin, Thomas De Rocker, Ícaro, schnurlos, Faisal A. F. Rahman)
    - LINUX: Mark as single window app in .desktop file (Nicolas Fella)
    - LINUX: Add Dockerfile (Amanuense-del-diavolo, Tom Piccirello, Chocobo1)
    - LINUX: Remove option of using icons from system theme (now-im)
    - MACOS: Fix wrong background color in properties widget (NotTsunami)
    - OTHER: Binary distributions of qbittorrent are GPLv3+ licensed (sledgehammer999)

Tue Aug 30 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.5
    - BUGFIX: Fix missing trackers when adding magnet link. Affects libtorrent 2.0.x builds. (glassez)

Mon Aug 22 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.4
    - BUGFIX: Correctly handle data decompression with Qt 6.3 (brvphoenix)
    - BUGFIX: Fix wrong file names displayed in tooltip (Chocobo1)
    - BUGFIX: Fix incorrect "max outgoing port" setting (glassez)
    - BUGFIX: Make working set limit available only on libtorrent 2.0.x builds (summer)
    - BUGFIX: Try to recover missing tags (summer)
    - RSS: Clear RSS parsing error after use (glassez)
    - WEBAPI: Set HTTP method restriction on WebAPI actions (Chocobo1)
    - WINDOWS: Work around application stuttering on Windows (Chocobo1)
    - WINDOWS: NSIS: Update Portuguese, Italian, Korean, Latvian translations(Blackspirits, bovirus, Minseo Lee, Coool)
    - LINUX: Improve D-Bus notifications handling (glassez)
    - MACOS: Open destination folders on macOS in separate thread (Nick Korotysh)

Tue May 24 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.3.1
    - BUGFIX: Fix broken translations (sledgehammer999)

Sun May 22 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.3
    - BUGFIX: Correctly handle changing of temp save path (glassez)
    - BUGFIX: Fix storage in SQLite (glassez)
    - BUGFIX: Correctly apply content layout when "Skip hash check" is enabled (glassez)
    - BUGFIX: Don't corrupt IDs of v2 torrents (glassez)
    - BUGFIX: Reduce the number of hashing threads by default (improves hashing speed on HDDs) (summer)
    - BUGFIX: Prevent the "update dialog" from blocking input on other windows (summer)
    - BUGFIX: Add trackers in exported .torrent files (glassez)
    - BUGFIX: Fix wrong GUI behavior in "Optional IP address to bind to" setting (Chocobo1)
    - WEBUI: Fix WebUI crash due to missing tags from config (An0n)
    - WEBUI: Show correct location path (Chocobo1)
    - MACOS: Fix main window freezing after opening a files dialog (glassez)

Tue Mar 22 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.2
    - FEATURE: Allow to limit max memory working set size (glassez)
    - BUGFIX: Fix UI crash when torrent is in a non-existent category (Kevin Cox)
    - BUGFIX: Correctly handle changing of global save paths (glassez)
    - BUGFIX: Disable performance alert (Chocobo1)
    - BUGFIX: Prevent loading resume data with inconsistent ID (glassez)
    - BUGFIX: Properly handle metadata download for an existing torrent (glassez)
    - BUGFIX: Prevent crash when open torrent destination folder (glassez)
    - WINDOWS: NSIS: Update Spanish, Spanish International and French translations(Juanjo Jiménez, RqndomHax)

Tue Feb 15 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.1
    - FEATURE: Restore all torrent settings to the torrent's main context menu (thalieht)
    - FEATURE: Add confirmation for enabling Auto TMM from context menu (thalieht)
    - FEATURE: Add tooltip to Automatic Torrent Management context menu action (thalieht)
    - FEATURE: Add Select All/None buttons in new torrent dialog (thalieht)
    - BUGFIX: Keep "torrent info" alive while generate .torrent file (glassez)
    - BUGFIX: Correctly handle Auto TMM in Torrent Files Watcher (glassez)
    - BUGFIX: Correctly track the root folder name change (glassez)
    - BUGFIX: Various fixes to the moving torrent code (glassez)
    - BUGFIX: Update the torrent's download path field when changing category (thalieht)
    - BUGFIX: Correctly handle received metadata (glassez)
    - BUGFIX: Store hybrid torrents using legacy filenames (glassez)
    - BUGFIX: Open correct directory when clicked on Browse button (glassez)
    - BUGFIX: Fix crash when shutting down and clicing on system tray icon (Chocobo1)
    - BUGFIX: Fix "Free space on disk" in new torrent dialog (thalieht)
    - BUGFIX: Optimize completed files handling (Prince Gupta)
    - BUGFIX: Migrate proxy settings (sledgehammer999)
    - BUGFIX: Try to recover missing categories (glassez)
    - WEBUI: WebAPI: fix wrong key used for categories (Chocobo1)
    - WEBUI: Remove hack for outdated IE 6 browser (Chocobo1)
    - RSS: Correctly handle XML parsing errors (glassez)

Thu Jan 06 2022 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.4.0
    - FEATURE: Support for v2 torrents along with libtorrent 2.0.x support (glassez, Chocobo1)
    - FEATURE: Support for Qt6 (glassez)
    - FEATURE: Expose libtorrent hashing_threads settings (Anton Bershanskiy)
    - FEATURE: Add "Notification timeout" option (kevtechxx)
    - FEATURE: Add `connection_speed` to advanced settings (Chocobo1)
    - FEATURE: Announce to all trackers if IP changed (#15001) (zhuangzi926)
    - FEATURE: Add tooltip for various columns (Chocobo1)
    - FEATURE: Add context menu to toggle content tab columns (#15164) (AbeniMatteo)
    - FEATURE: Add filter "Checking" to side panel (#15166) (AbeniMatteo)
    - FEATURE: Add "Forced metadata downloading" state (#15185) (AbeniMatteo)
    - FEATURE: Remember last viewed page in Options dialog (#15230) (Chocobo1)
    - FEATURE: Add tooltip to listening port spinbox (Chocobo1)
    - FEATURE: Add "Skip hash check" option for watched folders (glassez)
    - FEATURE: Add "Show torrent options" double-click action (glassez)
    - FEATURE: Allow setting temp folder per torrent/catergory (glassez)
    - FEATURE: Support folder based UI Themes (Prince Gupta)
    - BUGFIX: Save "resume data" once file priority is changed (glassez)
    - BUGFIX: Show priority menu at top level if there is no other in Add New Torrent dialog (FozzeY)
    - BUGFIX: Capitalize "peer flags" descriptions (Chocobo1)
    - BUGFIX: Reorder peer flags (Chocobo1)
    - BUGFIX: Show "last activity" value under all circumstances (Chocobo1)
    - BUGFIX: Elide text from the right for all columns' header (smigii)
    - BUGFIX: Fix startup with different profiles (jagannatharjun)
    - BUGFIX: Move a few torrent context menu actions into "Torrent options" dialog (thalieht)
    - BUGFIX: Allow deselecting radio buttons in "Torrent options" for mixed torrents (thalieht)
    - BUGFIX: Apply file priority changes correctly (a-sum-duma, Chocobo1)
    - BUGFIX: Use proper string for Korean language (OctopusET)
    - BUGFIX: Disable "add peers" menu items instead of hiding it (Chocobo1)
    - BUGFIX: Disable system tray icon menu when app is exiting (Chocobo1)
    - BUGFIX: Show GUI lock icon after system tray icon is initialized (Chocobo1)
    - BUGFIX: Apply selected layout to displayed torrent content in "Add New Torrent" dialog (glassez)
    - WEBUI: Add reverse proxy source IP resolution (#15047) (HiFiPhile)
    - WEBUI: Support navigating UI tables with arrow keys (Thomas Piccirello)
    - WEBUI: Support expanding/collapsing UI folders with arrow keys (Thomas Piccirello)
    - WEBUI: Support sorting UI tables via touch (#15205) (Tom Piccirello)
    - WEBUI: Add pieces progress bar to General tab (Jesse Smick)
    - WEBUI: Update authors page (Chocobo1)
    - WEBUI: Set icon sizes attribute (Daniel Aleksandersen)
    - WEBUI: Add meta application name (Daniel Aleksandersen)
    - WEBUI: Sort WebUI language selection values (Chocobo1)
    - WEBUI: Use correct URL scheme in user prompt when HTTPS is enabled (Chocobo1)
    - RSS: Stick Unread row to top in RSS feed list (Prince Gupta)
    - RSS: Correctly use fallback icons for RSS feed in GUI (jagannatharjun)
    - SEARCH: Add context menu for tabs in search widget (#14926) (Anton)
    - SEARCH: Add more download options to torrent search result right-click menu (a-sum-duma)
    - WINDOWS: Add windows-clang support (#15115) (Biswapriyo Nath)
    - WINDOWS: Update python installer URL for Windows (xavier2k6)
    - WINDOWS: NSIS: Update Simplified Chinese translation (Losiki)
    - LINUX: Prolong wait time for shutdown for qbittorrent-nox (Chocobo1)
    - LINUX: Install vector program icon (Chocobo1)
    - LINUX: Add detection for OpenBSD, Haiku in configure script (Chocobo1)
    - MACOS: Update Mac icons for Big Sur (17jiangz1)
    - EXPERIMENTAL: Setting to store/load fastresume/torrent files in an SQLite database (glassez)
    - OTHER: Many internal code refactorings and bug fixing by many people

Sun Oct 31 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.9
    - BUGFIX: Fix "no action" option on torrent double click (Jose M. Abuin)
    - BUGFIX: Fix broken behavior of "priority by shown file order" (Chocobo1)
    - WEBUI: Fix WebUI crash when tracker URL is invalid (Chocobo1)
    - WEBUI: Revert "WebUI: group trackers by hostname" (Chocobo1)
    - WINDOWS: Remove Windows Vista support from manifest (xavier2k6)
    - WINDOWS: NSIS: Update Korean, Indonesian and Traditional Chinese translation (JungHee Lee, Faisal Al-Munawar Fathur Rahman, SiderealArt)

Sun Aug 29 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.8
    - BUGFIX: Delay processing of watched folders (#15282) (glassez)
    - BUGFIX: Use the same icon for selecting folders/files (Chocobo1)
    - BUGFIX: Use default upper limits for ddns entries (Chocobo1)
    - WEBUI: Expose SSRF mitigation (#15247) (Sylvain Finot)
    - WEBUI: Update webui libraries (Chocobo1)
    - WEBUI: Group trackers by hostname (#15264) (Mengyang Li)
    - WEBUI: Improve "last activity" calculation in WebAPI (#15339) (Chocobo1)
    - WINDOWS: NSIS: Add Polish translation (#15262) (Matthaiks)

Tue Aug 03 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.7
    - BUGFIX: Don't forget to start Watched folders timer (glassez)
    - BUGFIX: Don't close tags menu when toggling items (tgregerson)
    - BUGFIX: Don't overwrite tracker message (glassez)
    - BUGFIX: Bump file pool size (#14966) (An0n)
    - BUGFIX: Properly create "clean path" for watched folder (glassez)
    - WEBUI: Disconnect comment links (Daniel Aleksandersen)
    - WINDOWS: NSIS: Update Danish translation (scootergrisen)

Sat Jun 26 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.6
    - FEATURE: New languages: Mongolian, Persian, Thai
    - BUGFIX: Provide correct error description in "upload mode" (glassez)
    - BUGFIX: Allow adding torrents with relative save path (glassez)
    - BUGFIX: Fix main window turns blank after restoring from tray (#15031) (Chocobo1)
    - BUGFIX: Remove the lockfile on exit (#14997) (brvphoenix)
    - BUGFIX: Improve "Watched folders" feature (glassez)
    - BUGFIX: Keep sub-sorting order (#15074) (Dmitry Khlestkov)
    - BUGFIX: Properly add torrent with new tags (glassez)
    - WINDOWS: NSIS: Update Japanese, Turkish, Hungarian, Swedish translation (maboroshin, Burak Yavuz, xkrstudio, nonew-star)

Sun May 02 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.5
    - BUGFIX: Move cursor to the end when autofilling URL/hash in "Download from URLs" dialog (Chocobo1)
    - BUGFIX: Sort invalid QDateTime values after valid values (Chocobo1)
    - BUGFIX: Fix tabChangesFocus attribute in "Edit trackers" dialog (Christoph Rackwitz)
    - BUGFIX: Update DynDNS register url (zhuangzi926)
    - BUGFIX: Handle "not enough disk space" error more graciously (glassez)
    - BUGFIX: Correctly draw progress background with stylesheet (jagannatharjun)
    - WEBUI: Fix magnet url from the search facility (Chocobo1)
    - WEBUI: Revise folder monitoring functions (Chocobo1)
    - WEBUI: Fix magnet url from the browser (brvphoenix)
    - WEBUI: Allow to specify file indexes in torrents/files API (glassez)
    - WINDOWS: NSIS: Allow more strings to translated (bovirus, Chocobo1)
    - WINDOWS: NSIS: Update Italian, German, Estonian, Russian, PortugueseBR translations (bovirus, Henry Water, PriitUring, Долматов Алексей, Felipe)
    - LINUX: Fix D-Bus Notification `desktop-entry` field (Chocobo1)
    - MACOS: Don't use executable name as CFBundleName value (Nick Korotysh)
    - OTHER: Lower Qt requirement to 5.11 (sledgehammer999)
    - OTHER: Clarify that the license is GPLv2+ (sledgehammer999)

Wed Mar 24 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.4.1
    - BUGFIX: Correctly draw progress bar (glassez)
    - WEBUI: Fix javascript code which broke the UI (Chocobo1)

Tue Mar 23 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.4
    - FEATURE: Add ability to prioritize selected items by shown file order (Chocobo1)
    - FEATURE: Allow tab to escape the text box in "Edit trackers" dialog (Christoph Rackwitz)
    - FEATURE: Support sub-sorting in Transferlist (jagannatharjun)
    - FEATURE: Expose ToS setting from libtorrent (Chocobo1)
    - FEATURE: Improve tracker entries handling (glassez)
    - BUGFIX: Drop extension from generated content folder name (glassez)
    - BUGFIX: Change qBittorrent Updater window title (xavier2k6)
    - BUGFIX: Validate HTTPS Tracker Certificate by default (an0n666)
    - BUGFIX: Don't let "program update" dialog steal focus (Chocobo1)
    - BUGFIX: Disable expand on double click in TorrentContentTreeView (jagannatharjun)
    - BUGFIX: Add hyperlink to Transifex on translator list (Si Yong Kim)
    - BUGFIX: Enlarge "speed limit" icon slightly (Chocobo1)
    - BUGFIX: Don't prevent system sleep due to errored torrents (dyumin)
    - BUGFIX: Use stable sorting in transfer list (Chocobo1)
    - BUGFIX: Allow "missing files" torrents to save more resume data (glassez)
    - BUGFIX: Restart "missing files" torrents after changing location (glassez)
    - BUGFIX: Show proper string when torrent availability is not available (Chocobo1)
    - BUGFIX: Apply "Hide zero/infinity values" to "Time Active", "Down/Up Limit" and ETA columns (Chocobo1)
    - BUGFIX: Fix potential out-of-bounds access (Chocobo1)
    - BUGFIX: Make SpeedPlotView averager time aware (jagannatharjun)
    - BUGFIX: Add a 3-Hour graph (jagannatharjun)
    - BUGFIX: Add an option to disable icons in menus (always disabled on MacOS) (Michał Kopeć)
    - BUGFIX: Improve detection of filename extension of audio/video files (Chocobo1)
    - BUGFIX: Various drawing improvements of progress bar (Chocobo1)
    - BUGFIX: Properly stop torrent creation if aborted (Chocobo1)
    - BUGFIX: Replace external program parameters in one step (Chocobo1)
    - BUGFIX: Improve "save resume data" handling (glassez)
    - BUGFIX: Fix bad IPv6 address format for outgoingInterfaces (treysis)
    - WEBUI: Properly decode strings (brvphoenix)
    - WEBUI: Accept "share limits" when adding torrent using WebAPI (glassez)
    - WEBUI: Add seeding time to the active time column (thalieht)
    - WEBUI: Fix incorrect seeding time string in General tab (thalieht)
    - WEBUI: Allow >100 days in WebUI function "friendlyDuration" (thalieht)
    - WEBUI: Avoid decoding strings repeatedly (brvphoenix)
    - RSS: Add category button on AutomatedRSSDownloader on GUI (Si Yong Kim)
    - WINDOWS: NSIS: Update Czech translation (slrslr)
    - WINDOWS: NSIS: Update Portuguese BR translation (Alex)
    - WINDOWS: NSIS: Add Estonian translation (PriitUring)
    - WINDOWS: Allow change-case-only file renaming (glassez)
    - LINUX: Systemd: wait for mounting of local filesystems (Juraj Oršulić)
    - OTHER: Raise minimum libtorrent version to 1.2.12 (glassez)
    - OTHER: Raise minimum Qt version to 5.12 (glassez)

Tue Jan 19 2021 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.3
    - FEATURE: New languages: Azerbaijani, Estonian
    - BUGFIX: Unify global speed dialogs for normal/alternative speeds (thalieht)
    - BUGFIX: Increase maximum global speed limits ~2 GiB/s (thalieht)
    - BUGFIX: Save fastresume when setting torrent speed limits (thalieht)
    - BUGFIX: Group several torrent options into one dialog (thalieht)
    - BUGFIX: Capitalize locale names (Chocobo1)
    - BUGFIX: Improve content file/folder names handling (glassez)
    - BUGFIX: Drop notification about move storage finished or failed (glassez)
    - BUGFIX: Reload "missing files" torrent instead of re-checking (glassez)
    - BUGFIX: Remember dialog sizes (Chocobo1)
    - BUGFIX: Improve detection of file extension string (Chocobo1)
    - WEBUI: Don't call non-existent elements (glassez)
    - WEBUI: Update "Keep top-level folder" in WebUI options (thalieht)
    - MACOS: QMake: Raise minimal macOS target version to 10.14 (glassez)
    - LINUX: Use legacy 'data' directory only as a fallback (lbilli)
    - OTHER: Bump project requirement to C++17 (Chocobo1)

Sun Dec 27 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.2
    - FEATURE: Allow to add root folder to torrent content (glassez)
    - FEATURE: "HTTPS tracker validation" option is available on all platforms with latest libtorrent (Chocobo1)
    - FEATURE: Option for supporting internationalized domain names (IDNs) (Chocobo1)
    - BUGFIX: Fix broken sorting on some columns (Chocobo1)
    - BUGFIX: Fix availability per file value (Chocobo1)
    - BUGFIX: Fix status of torrents without metadata (sledgehammer999)
    - BUGFIX: Don't try to remove folders for a torrent without metadata (sledgehammer999)
    - BUGFIX: Lift upper limit of "Max concurrent HTTP announces" option (Chocobo1)
    - BUGFIX: Add links to libtorrent documentation (Chocobo1)
    - BUGFIX: Move "embedded tracker" options to qbt section (Chocobo1)
    - BUGFIX: Properly handle "Append extension" option changing (glassez)
    - BUGFIX: Correctly save paused torrent state (glassez)
    - BUGFIX: Fix bug of "move storage job" can be performed multiple times (glassez)
    - WEBUI: Add ability to use 'shift+delete' to delete torrents (Chocobo1)
    - WEBUI: Allow to attach tags while adding torrents (Jesse Chan)
    - WEBUI: Bump version to 2.6.2 (Jesse Chan)
    - WEBUI: Remove unnecessary restriction on input length (Chocobo1)
    - WINDOWS: NSIS: Update Russian translation (Andrei Stepanov)
    - WINDOWS:  NSIS: Update Italian translation (Alessandro Simonelli)
    - OTHER: Drop support for building with libtorrent < 1.2.11 (Vladimir Golovnev)

Wed Nov 25 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.1
    - FEATURE: Allow progress bar styling from custom themes (jagannatharjun)
    - FEATURE: Allow adding torrents using "Paste" key sequence (Chocobo1)
    - FEATURE: Add Latgalian translation (sledgehammer999)
    - BUGFIX: Prevent resume data to be saved for removed torrent (glassez)
    - BUGFIX: Clarify connection protocol choice label (FranciscoPombal)
    - BUGFIX: Fix crash when clicked outside the table of torrent content view (jagannatharjun)
    - BUGFIX: Don't resume "paused" torrents when put into "checking" state by libtorrent (glassez)
    - BUGFIX: Fix torrent state calculation (glassez)
    - BUGFIX: Align integer data to right in torrent content view (jagannatharjun)
    - WEBUI: Place WebUI RSS description in sandboxed iframe (Sepro)
    - WEBUI: Avoid settings being reset via WebAPI (Chocobo1)
    - WEBUI: Fix toggling advanced option in WebUI (thalieht)
    - WEBUI: Expose contentPath in WebAPI torrents/info (FranciscoPombal)
    - WEBUI: Fix the issue that IPv6 address can't be banned (brvphoenix)
    - RSS: Fix confusion in date format description (Thomas De Rocker)
    - WINDOWS: Update dutch.nsi (Thomas De Rocker)
    - LINUX: Update .desktop file translations (sledgehammer999)

Thu Oct 22 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.0.1
    - WINDOWS: NSIS: Update Italian translation (bovirus)

Sun Oct 18 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.3.0
    - FEATURE: Many UI elements colors are themeable now (jagannatharjun)
    - FEATURE: Allow changing GUI icons from theme bundles (jagannatharjun)
    - FEATURE: Notify user when torrent moving finished (glassez)
    - FEATURE: Shortcut CTRL + I opens Statistics window (LoopsGod)
    - FEATURE: Add RSS functionality in Web UI (Sepro)
    - FEATURE: Drop ".unwanted folder" feature (glassez)
    - FEATURE: Expose libtorrent peer_turnover, max_concurrent_http_announces, no_connect_privileged_ports settings (Sophist, an0n666, NotTsunami)
    - BUGFIX: Fix typo in Options dialog (Andrei Stepanov)
    - BUGFIX: Remove "requires restart" from network interface settings (an0n666)
    - BUGFIX: Rename "Create subfolder" to "Keep top-level folder" (thalieht)
    - BUGFIX: Show tooltip for some properties in transfer list (Nick Korotysh)
    - BUGFIX: Fix calculation of torrent current state (glassez)
    - BUGFIX: Improve detecting completed files when adding, rechecking or moving a torrent (glassez)
    - BUGFIX: Fixed broken announce logic in embedded tracker causing failures in some cases (FranciscoPombal)
    - BUGFIX: Disable checkbox if torrent doesn't have root folder (thalieht)
    - BUGFIX: Update country flag icons with upstream (Chocobo1)
    - BUGFIX: Private torrent: If tracker entry is edited clear old peer list. Also don't allow user to manually add peers. (an0n666)
    - BUGFIX: Fix large strings not visible in log widget (jagannatharjun)
    - BUGFIX: Disable edit action in Peer list widget (Chocobo1)
    - BUGFIX: Add a scroll area to torrent creator dialog (Ernesto Castellotti)
    - BUGFIX: Content tab: Open double-clicked folder regardless on which column the click happens (Chocobo1)
    - BUGFIX: "Open containing folder" on a folder now opens it in its parent folder (Chocobo1)
    - BUGFIX: Fix GeoDB download in systems with non-C locales (FranciscoPombal)
    - BUGFIX: Fix peer blocked message (FranciscoPombal)
    - BUGFIX: Make more robust the banning of selected peers from the list (NotTsunami)
    - BUGFIX: Use toned green color for downloading pieces in Pieces bar (jagannatharjun)
    - BUGFIX: Correctly fill whole width of speed graph (jagannatharjun)
    - BUGFIX: Fix impossible speed in speed graph (jagannatharjun)
    - WEBUI: Hide additional search filters on small screens (Thomas Piccirello)
    - WEBUI: Shrink search bar on small screens (Thomas Piccirello)
    - WEBUI: Fix search categories only working in English (Thomas Piccirello)
    - WEBUI: Add Trackers section to sidebar (Thomas Piccirello)
    - WEBUI: Fix Enter button behavior in textarea (Tom Piccirello)
    - WEBUI: Fix wrong file renaming selection range (MR)
    - WEBUI: Preselect "Default save path" in watched folders (thalieht)
    - WEBUI: Fix banning peers (brvphoenix)
    - WEBUI: Fix seeding time checkbox placement (Chocobo1)
    - WEBUI: Bump Web API version (Thomas Piccirello)
    - RSS: Fix renaming RSS autodownload rule (glassez)
    - RSS: Fix RSS article is not marked as "read" when torrent is downloaded (glassez)
    - SEARCH: Update minimum Python version to 3.5.0 (ngosang)
    - SEARCH: Make middle-click close search tabs (Will Da Silva)
    - WINDOWS: NSIS: Update Dutch translation (Thomas De Rocker)
    - WINDOWS: NSIS: Change the installers uninstallation question to clear confusion (an0n666)
    - LINUX: Fix typo in systemd service file (Shane Allgeier)
    - LINUX: Don't use HTML in tray tooltip (thalieht)
    - LINUX: Don't create 'data' subdirectory in XDG_DATA_HOME (lbilli)
    - LINUX/MACOS: Add HTTPS tracker certificate validation option (NotTsunami)
    - OTHER: Many CMake improvements (FranciscoPombal)
    - OTHER: Support for libtorrent 1.1.x is dropped (Chocobo1)
    - OTHER: Many code cleanups and improvements (FranciscoPombal, Chocobo1, glassez)

Sat Apr 25 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.5
    - BUGFIX: Fix crash when torrent is deleted on limit reached (glassez)
    - BUGFIX: Register datatype properly (Chocobo1)
    - WEBUI: Add ability to send custom HTTP headers (Chocobo1)
    - WEBUI: Expand RSS related API (Sepro)
    - WINDOWS: Installer: Update german translation (schnurlos)

Wed Apr 22 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.4
    - BUGFIX: Fix sub-sorting of Transfer list (glassez)
    - BUGFIX: Fix wrong logic that disables "prevent sleeping" timer (Chocobo1)
    - BUGFIX: Set disk cache size for older libtorrent versions (NotTsunami)
    - BUGFIX: Sort locale language list (Chocobo1)
    - BUGFIX: Remove white outline around mascot.png (adem)
    - BUGFIX: Various fixes in configuring the chosen network interface and not leaking the IP (Raif Atef, an0n666)
    - BUGFIX: Save "resume data" when torrent storage is moved (glassez)
    - BUGFIX: Avoid holding encoded resume data in memory (Chocobo1)
    - BUGFIX: Fix date format for "Last seen complete" (Chocobo1)
    - BUGFIX: Remove deprecated strict super seeding mode from advanced settings (an0n666)
    - BUGFIX: Change default stop_tracker_timeout settings (an0n666)
    - BUGFIX: Convert the Log widget to use custom View/Model (jagannatharjun)
    - BUGFIX: Change default upload slot choking limits (an0n666)
    - BUGFIX: Don't uncheck Authentication checkbox when changing proxy type (thalieht)
    - BUGFIX: Reduce ambiguity for selecting tray icons (Chocobo1)
    - WEBUI: Fix unable to add multiple peers in WebUI (Sepro)
    - WEBUI: Fix UPnP lease duration get/set (NotTsunami)
    - SEARCH: Detect python3 executable on Windows (József Sallai)

Wed Apr 01 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.3
    - FEATURE: Add logging for SOCKS5 proxy errors (Chocobo1)
    - FEATURE: Add UPnP lease duration advanced option (NotTsunami)
    - BUGFIX: Allow to translate error messages (Chocobo1)
    - BUGFIX: Don't round scaling factor (Nick Korotysh)
    - BUGFIX: Save log file in UTF-8 encoding (Chocobo1)
    - BUGFIX: Avoid log file excessive flushing (Chocobo1)
    - BUGFIX: Fix regression when fastresume contains network path (Tester798)
    - BUGFIX: Fix broken UNC paths in fastresumes on Windows (sledgehammer999)
    - BUGFIX: Prevent multiple instances for the same app config (glassez)
    - BUGFIX: Fix unexpected torrent resume after app restart with libtorrent 1.1.x (glassez)
    - WEBUI: Add alt and title tags for WebUI footer (LameLemon)
    - WINDOWS: Installer: Update Finnish translation (Roope Jukkara)
    - WINDOWS: Installer: Update Japanese translation (maboroshin)
    - WINDOWS: Installer: Update Turkish translation (Burak Yavuz)
    - WINDOWS: Installer: Update Russian translation (Andrei Stepanov)

Tue Mar 24 2020 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.2
    - FEATURE: Allow transfer list text color changes through QSS (Prince Gupta)
    - FEATURE: Option to show console when external program is run (sledgehammer999)
    - FEATURE: Rename Country column to "Country / Region" (Thomas Piccirello)
    - FEATURE: Change the defaults of some settings (FranciscoPombal)
    - FEATURE: Refactored Transfer List code to allow theming. As a sideffect the row height has more padding. (glassez)
    - FEATURE: Allow double-click in preview dialog (thalieht)
    - FEATURE: Expose stop_tracker_timeout in advanced settings (an0n666)
    - FEATURE: Add piece_extent_affinity to AdvancedSettings (FranciscoPombal)
    - FEATURE: Reorganize UI theme selection (Prince Gupta)
    - FEATURE: Show any multiple connections from the same IP in peer list (thalieht)
    - FEATURE: Add stalled filters to GUI and Web API/UI (FranciscoPombal)
    - FEATURE: Use IP geolocation database by DB-IP instead of MaxMind (sledgehammer999)
    - FEATURE: Allow to save downloaded metadata as torrent file (glassez)
    - FEATURE: Allow single app instance per configuration (glassez)
    - PERFORMANCE: Move multiple torrents one by one (glassez)
    - BUGFIX: Disable Torrent Queue by default for new users (an0n666)
    - BUGFIX: Update free disk space label on Category change in Auto Mode (Medvedishce)
    - BUGFIX: Save resume data after recheck (glassez)
    - BUGFIX: Tracker is errored only if all local endpoints fail (sledgehammer999)
    - BUGFIX: Change placement of stop tracker timeout setting (An0n)
    - BUGFIX: Redesign torrent startup handling (glassez)
    - BUGFIX: Show "∞" instead of " -1" in Preferences (Sakib-Abrar)
    - BUGFIX: Improve code efficiency for reverse resolution of peers (Chocobo1)
    - BUGFIX: Handle HTTP redirection to magnet URI (glassez)
    - BUGFIX: Various fixes for portable mode (Tester798)
    - BUGFIX: Include resume folder path in exception message (Chocobo1)
    - BUGFIX: Change placeholder text in torrent list's filter (djt3)
    - BUGFIX: Improvements in the embedded tracker to be more spec compliant (FranciscoPombal)
    - BUGFIX: Improve the options tooltips (NotTsunami)
    - BUGFIX: Check if file exists in seed mode (an0n666)
    - BUGFIX: Delegate GUI scaling work to Qt (Nick Korotysh)
    - BUGFIX: Fix crash when renaming torrent contents (Chocobo1)
    - BUGFIX: Fix total connected peers count calculation (FranciscoPombal)
    - BUGFIX: Allow other keypresses in LogListWidget (NotTsunami)
    - BUGFIX: Disable Auto TMM when not using default savepath from monitored folder (thalieht)
    - WEBUI: Fix first row renaming in files tab (Denis)
    - WEBUI: Use SVG image for WebUI favicon (Nick Korotysh)
    - WEBUI: Inherit text color for filter list elements (Nick Korotysh)
    - WEBUI: Expose WebUI ban counter to users (Chocobo1)
    - WEBUI: Expose WebUI ban duration to users (Chocobo1)
    - WEBUI: Implement "Secure" flag for session cookie (FranciscoPombal)
    - WEBUI: Remove unused/deprecated option (FranciscoPombal)
    - WEBUI: Prevent excessive sync requests (FranciscoPombal)
    - WEBUI: Fix populating statistics window (FranciscoPombal)
    - WEBUI: Fix matching uncategorized torrents (FranciscoPombal)
    - WEBUI: Always allow whitespace in category names (FranciscoPombal)
    - SEARCH: Bump python version for new installation (Chocobo1)
    - SEARCH: Fix missing string (Chocobo1)
    - SEARCH: Drop python2 support (Chocobo1)
    - WINDOWS: Installer: Option to start qBittorrent on Windows start up (An0n)
    - WINDOWS: Installer: Improve Czech translation (slrslr)
    - WINDOWS: Installer: Update French translation (zywo)
    - WINDOWS: Installer: Update German translation (schnurlos)
    - WINDOWS: Installer: Update Japanese translation (maboroshin)
    - WINDOWS: Path length limitation is removed on Windows 10 1607 onwards (an0n666)

Wed Dec 18 2019 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.1
    - FEATURE: Enable portable mode if "profile" directory exists (Tester798)
    - FEATURE: Enable "Apply rate limit to peers on LAN" option by default (Chocobo1)
    - BUGFIX: Sync translations from Transifex and run lupdate (sledgehammer999)
    - BUGFIX: Don't unnecessarily delete OS files in folders (sledgehammer999)
    - BUGFIX: Use the incomplete folder where appropriate (sledgehammer999)
    - BUGFIX: Align Properties tab bar correctly on window resize (Prince Gupta)
    - BUGFIX: Rework the listening IP/interface selection code (sledgehammer999)
    - BUGFIX: Fix inconsistent icon for deleting torrent (Chocobo1)
    - BUGFIX: Show torrent error message in transfer list (Chocobo1)
    - BUGFIX: Fix stuck in wrong torrent state (Chocobo1)
    - BUGFIX: Expand single-item folders in torrent content (warren)
    - WEBUI: Bump Web API version (sledgehammer999)
    - WEBUI: Add ability to rename torrent files from the WebUI (Thomas Piccirello)
    - WEBUI: Mention lack of HTTPS in WebUI magnet link warning (nl6720)
    - WEBUI: Fix HTML elements size in search tab (Chocobo1)
    - SEARCH: Fix incorrect translation displayed after language change (Chocobo1)
    - SEARCH: Fix missing translations in search plugins dialog (Chocobo1)
    - WINDOWS: Update russian translation of the installer (Andrei Stepanov)

Tue Dec 03 2019 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.2.0
    - FEATURE: Libtorrent 1.2.x series are supported now (glassez)
    - FEATURE: Add OpenSSL version to GUI and stackdump (Chocobo1)
    - FEATURE: Add zlib version to GUI & stackdump (silverqx)
    - FEATURE: Use PBKDF2 for the GUI lock. You will need to set your password again. (Chocobo1)
    - FEATURE: Rename "#" column to "Tier" in the tracker list (thalieht)
    - FEATURE: Allow setting larger checking memory usage in GUI (airium)
    - FEATURE: Converted remaining icons to svg (Bert Verhelst)
    - FEATURE: Replace CheckBox with Arrow in the side panel (Prince Gupta)
    - FEATURE: Log performance alerts from libtorrent (Chocobo1)
    - FEATURE: Use native folder icon in content tree (Chocobo1)
    - FEATURE: Move copy actions under a submenu (Chocobo1)
    - FEATURE: Add "Socket backlog size" option (Chocobo1)
    - FEATURE: Add "File pool size" option (Chocobo1)
    - FEATURE: Allow styling with QSS stylesheets (Prince Gupta)
    - FEATURE: Add "Tracker entries" dialog (Chocobo1)
    - FEATURE: Add availability column (Chocobo1)
    - FEATURE: Use a randomized port number for the first run (Chocobo1)
    - FEATURE: Enable Super Seeding mode once ratio/time limit is reached (thalieht)
    - FEATURE: Improve embedded tracker. Now it conforms to BEPs more closely. (Chocobo1)
    - FEATURE: Add option to align file to piece boundary when creating new torrent (Chocobo1)
    - FEATURE: Ability to open file or trigger torrect action via keypad Enter (Chocobo1)
    - FEATURE: Add "Remove torrent and its files" option to share ratio limiting (thalieht)
    - FEATURE: Allow to select multiple entries in "banned IP" dialog (Chocobo1)
    - FEATURE: Reallow to pause checking torrents (thalieht)
    - FEATURE: Reallow to force recheck torrents that aren't fully started (thalieht)
    - FEATURE: Add "Preview file" double-click action (warren)
    - BUGFIX: Avoid performance penalty when logger is full (Chocobo1)
    - BUGFIX: Remove the max half-open connections option (thalieht)
    - BUGFIX: Center align the section labels in advanced settings (thalieht)
    - BUGFIX: Add documentation links to some advanced settings (thalieht)
    - BUGFIX: Improve DownloadManager code (glassez)
    - BUGFIX: Limit DownloadHandler max redirection to 20 (Chocobo1)
    - BUGFIX: Log DownloadManager SSL errors (Chocobo1)
    - BUGFIX: Force recheck multiple torrents one by one (glassez)
    - BUGFIX: Close context menu when content model is reset (glassez)
    - BUGFIX: Improve Properties widget (glassez)
    - BUGFIX: Prevent flickering preview dialog (silver)
    - BUGFIX: Rename "Prefer encryption" to "Allow encryption" (thalieht)
    - BUGFIX: Fix search icon placement when using RTL languages (Chocobo1)
    - BUGFIX: Avoid combo boxes extending to the right in Options dialog (Chocobo1)
    - BUGFIX: Fix speed limit not applying to IPv6 peers (Chocobo1)
    - BUGFIX: Log failed file rename errors (Chocobo1)
    - BUGFIX: Fix wrong "Time Active" value displayed (Chocobo1)
    - BUGFIX: Rename priority to queue in the context of torrents (thalieht)
    - BUGFIX: Update remaining size of ignored files to 0 (Thomas Piccirello)
    - BUGFIX: Move "Check for program updates" checkbox to the Behavior settings (Chocobo1)
    - BUGFIX: Improve error messages for URL seed (Chocobo1)
    - BUGFIX: Rename share ratio limiting options (thalieht)
    - BUGFIX: Fix country name misspelling (horgan)
    - PERFORMANCE: Faster/efficient way of handling updates in the Transfer list (Chocobo1)
    - WEBUI: Bump Web API version
    - WEBUI: Use PBKDF2 for the WebUI password. You will need to set your password again. (Chocobo1)
    - WEBUI: Use Javascript strict mode (Chocobo1)
    - WEBUI: Remove autocorrect/autocapitalise from filepaths on WebUI (AceLewis)
    - WEBUI: Display warning when Javascript is disabled (Chocobo1)
    - WEBUI: Remove mootools lib from login page (Chocobo1)
    - WEBUI: Prevent login credential appearing in URL (Chocobo1)
    - WEBUI: Load WebUI certificate & key from file path (Chocobo1)
    - WEBUI: Add migration code for WebUI https related change (Chocobo1)
    - WEBUI: Fix wrong element id being used (Thomas Piccirello)
    - WEBUI: Fix direction of Web UI sorted column icon (Thomas Piccirello)
    - WEBUI: Match WebUI About page to GUI (Thomas Piccirello)
    - WEBUI: Simplify tab logic (Thomas Piccirello)
    - WEBUI: Separate URL components before percent-decoding (glassez)
    - WEBUI: Capitalize event name (Thomas Piccirello)
    - WEBUI: Fix bug where input wouldn't always be focused (Thomas Piccirello)
    - WEBUI: Add Web UI support for escape key (Thomas Piccirello)
    - WEBUI: Fix broken image link (Tom Piccirello)
    - WEBUI: Include application version in css/js url for cache busting (Thomas Piccirello)
    - WEBUI: Update WebUI img to use svg images (Chocobo1)
    - WEBUI: Fix speed limit icon too large on WebUI (Chocobo1)
    - WEBUI: Fix misaligned icons in STATUS list in GUI (Chocobo1)
    - WEBUI: Drop legacy WebAPI support (glassez)
    - WEBUI: Allow WebUI Content tab to be sorted (Thomas Piccirello)
    - WEBUI: Encode torrent name before passing in URL (Thomas Piccirello)
    - WEBUI: Move WebUI Peers code to separate file (Thomas Piccirello)
    - WEBUI: Prevent WebUI tables from being highlighted (Thomas Piccirello)
    - WEBUI: Allow WebUI Trackers table to be manipulated (Thomas Piccirello)
    - WEBUI: Fix only the first newline char is replaced (Chocobo1)
    - WEBUI: Fix missing semicolon in WebUI (Chocobo1)
    - WEBUI: Add autocomplete attribute to WebUI (Chocobo1)
    - WEBUI: Always use index.html as default page (CzBiX)
    - WEBUI: Set title attribute for all WebUI table cells (Thomas Piccirello)
    - WEBUI: Align WebUI login button to the right (Chocobo1)
    - WEBUI: Use force refresh on WebUI logout (Chocobo1)
    - WEBUI: Use a random number for WebUI cache busting (Chocobo1)
    - WEBUI: Register protocol handler in WebUI for magnet links (Cory)
    - WEBUI: Add WebAPI session timeout settings (Chocobo1)
    - WEBUI: Fix encoding of special characters (Tom Piccirello)
    - WEBUI: Avoid word wrap in webui footer (airium)
    - WEBUI: Add advanced options in WebUI (Zhaoyu Gan)
    - WEBUI: Move WebUI copy actions under a submenu (Thomas Piccirello)
    - WEBUI: Add WebUI support for triggering context menus on mobile (Thomas Piccirello)
    - WEBUI: Implement tag management for WebUI (Vasiliy Halimonchuk)
    - WEBUI: Fix WebUI removing parameters from magnet links (Thomas Piccirello)
    - WEBUI: Enable by default the search tab (Thomas Piccirello)
    - WEBUI: Add context menu to Web UI search table (Thomas Piccirello)
    - WEBUI: Display files hierarchically in Web UI content tab (Thomas Piccirello)
    - WEBUI: Add ability to add and ban a peer from the Web UI (Thomas Piccirello)
    - WEBUI: Increase WebUI window heights (Thomas Piccirello)
    - WEBUI: Sort torrent names case-insensitively in webui (airium)
    - WEBUI: Support exclusions in WebUI table filters (Thomas Piccirello)
    - WEBUI: Don't save preferences until all options are processed (Tom Piccirello)
    - WEBUI: Disable port selection when "Use different port on each startup" is selected (Chocobo1)
    - WEBUI: Remove max character limit of location path (Clément Pera)
    - RSS: Better widget for choosing file path in automated downloader (thalieht)
    - RSS: Allow to cancel/retry the fetching of feeds (glassez)
    - RSS: Add create subfolder option to RSS auto-download rules (Xegor)
    - RSS: Log "RSS Feed successfully downloaded" event (glassez)
    - SEARCH: Add default tooltip "Searching..." on tab creation. (paolo-sz)
    - SEARCH: Avoid crashes on torrent search (paolo-sz)
    - SEARCH: Add right click menu to SearchJobWidget (Chocobo1)
    - SEARCH: Rename label in search widget (Chocobo1)
    - SEARCH: Add more copy field actions to search widget (Chocobo1)
    - SEARCH: Remove buttons from search widget (Chocobo1)
    - SEARCH: Update python installer URL (Chocobo1)
    - WINDOWS: Drop support for < Windows 7
    - WINDOWS: Allow headless builds on Windows (knackebrot)
    - WINDOWS: Add option to control qBittorrent process memory priority (Chocobo1)
    - LINUX: Add content_rating, release tags to appdata (Peter Eszlari)
    - LINUX: Update .appdata descriptions (Chocobo1)
    - LINUX: Use reverse DNS convention for metadata files naming (Chocobo1)
    - LINUX: Adjust open file descriptor limit on startup to max (Chocobo1)
    - MACOS: Drop support for < macOS 10.10 (Yosemite)
    - MACOS: Replace deprecated `qt_mac_set_dock_menu()` (Chocobo1)
    - MACOS: Add some padding to macOS app icon (Nick Korotysh)
    - OTHER: Raise minimum C++ version to C++14 (Chocobo1)
    - OTHER: Raise minimum Qt version to 5.9.0 (sledgehammer999)
    - OTHER: Drop support of libtorrent < 1.1.10 (glassez)
    - OTHER: Drop upgrade code from older saving systems (sledgehammer999)
    - OTHER: Update INSTALL dependencies (Chocobo1)
    - OTHER: Optimize PNG images losslessly with zopflipng (Peter Dave Hello)
    - OTHER: Optimize svg files using SVGO (sledgehammer999)
    - OTHER: QMake: Compile translations at build time (glassez)
    - OTHER: Drop support for "BC Link" format (Chocobo1)
    - OTHER: Lots of code refactorings, cleanups, improvements and optimizations (Chocobo1, glassez, thalieht)

* Sun Aug 04 2019 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.7
    - FEATURE: Add 12 hour and 24 hour speed graphs (dzmat)
    - FEATURE: Change "Add new torrent" dialog to horizontal layout (Evgeny Lensky)
    - BUGFIX: Fix messed up symbols in log (Chocobo1)
    - BUGFIX: Fix incomplete file extension not applied for new torrents (Chocobo1)
    - BUGFIX: Save updated resume data for completed torrents (Vladimir Golovnev (Glassez))
    - BUGFIX: Fix requested torrent resume data handling (Vladimir Golovnev (Glassez))
    - BUGFIX: Prevent command injection via "Run external program" function (Chocobo1)
    - BUGFIX: Avoid race conditions when adding torrent (Vladimir Golovnev (Glassez))
    - BUGFIX: Fix torrent checking issues (Vladimir Golovnev (Glassez))
    - BUGFIX: Use proper log message when there are no error (Chocobo1)
    - BUGFIX: Fix torrent properties not saved for paused torrents (Chocobo1)
    - BUGFIX: Some improvements on qtsingleapplication code (Chocobo1)
    - BUGFIX: Remove limits of "Disk cache expiry interval" setting (Chocobo1)
    - BUGFIX: Remove upper limit of "Disk cache" setting (Chocobo1)
    - BUGFIX: Fix crash when removing phantom tags (Chocobo1)
    - BUGFIX: Improve handleFileErrorAlert error message (Chocobo1)
    - BUGFIX: Fix updated save path not saved for paused torrents (Chocobo1)
    - BUGFIX: Log save_resume_data_failed_alert (Chocobo1)
    - BUGFIX: Don't remove parent directories (Chocobo1)
    - BUGFIX: Properly remove empty leftover folders after rename (Chocobo1)
    - BUGFIX: Focus behavior row in Options dialog (silverqx)
    - BUGFIX: Fix unable to rename folder on Windows when same is used in different case(Chocobo1)
    - BUGFIX: Fix unable to control add torrent dialogs when opened simultaneously (Chocobo1)
    - BUGFIX: Disable "Upload mode" when start preloaded torrent (Vladimir Golovnev (Glassez))
    - BUGFIX: Fix wrong comparison result when sorting items(Chocobo1)
    - BUGFIX: Fix sequential downloading when redirected (Vladimir Golovnev (Glassez))
    - BUGFIX: Fix typos (Chocobo1)
    - BUGFIX: Fix assertion fail (Chocobo1)
    - BUGFIX: Change number of time axis divisions from 5 to 6 for convenience (dzmat)
    - BUGFIX: Don't turn window blank when closed to system tray (Ekin Dursun)
    - WEBUI: Fix WebUI encoding of special characters (Thomas Piccirello)
    - WEBUI: Change the speed unit from Bytes/s to KiB/s for the rate limiter(jerrymakesjelly)
    - WEBUI: Fix '+' char not decoded to space correctly (Chocobo1)
    - RSS: Ignore RSS articles with non-unique identifiers (Vladimir Golovnev (Glassez))
    - RSS: Perform more RSS parsing in working thread (Vladimir Golovnev (Glassez))
    - RSS: Download RSS enclosure element if no proper MIME type is found (Matan Bareket)

* Sun May 05 2019 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.6
    - BUGFIX: Force recheck multiple torrents one by one in all possible cases. Closes #9120 (glassez)
    - BUGFIX: Don't query Google for tracker favicons, for privacy reasons (sledgehammer999)
    - BUGFIX: Work around the crash occurred in QTimer. Closes #9985 (Chocobo1)
    - BUGFIX: Increase the .torrent file download size limit to 100 MiB (thalieht)
    - BUGFIX: Disable downloading tracker favicons by default. Works around reported crashes in Linux. Closes #9667 (Chocobo1)
    - WEBUI: Separate URL components before percent-decoding. Allow special characters in query string parameters. Closes #9116 (glassez)
    - WEBUI: Prevent login credential appearing in URL. Closes #10221 (Chocobo1)
    - WEBUI: Display warning when Javascript is disabled (Chocobo1)
    - WEBUI: Fix translatable strings (Chocobo1)
    - WEBUI: Correctly handle '+' sign in x-www-form-urlencoded data. Closes #10451 (Chocobo1)
    - WEBUI: Remove closed connections immediately. Closes #10487 (Chocobo1)
    - WEBUI: Fix "Create subfolder" option is not working. Closes ##10392 (Chocobo1)
    - SEARCH: Make num enter key work the same as return in searchjobwidget (thalieht)
    - LINUX: Make window title bar icon work in Wayland (Peter Eszlari)
    - LINUX: Update appdata.xml file (Chocobo1)
    - MACOS: Fix progress bar drawing by using different style than native (Nick Korotysh)
    - MACOS: Updated and cleaned up fields in Info.plist (Nick Korotysh)
    - OTHER: Mention more translators in the about tab. Closes #10043 (sledgehammer999)

* Mon Dec 24 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.5
    - FEATURE: Add checking_mem_usage option to AdvancedSettings (FranciscoPombal)
    - FEATURE: Save torrents queue in separate file. Now a new file named 'queue' is created, saving on each line the infohash of each queued torrent in sorted order. (glassez)
    - BUGFIX: Fix regression on resuming torrents without metadata (thalieht)
    - BUGFIX: Reorder and rename Tracker list context menu option (Thomas Piccirello)
    - BUGFIX: Rename Tracker List columns (Thomas Piccirello)
    - BUGFIX: Show error message when Session failed to start (glassez)
    - BUGFIX: Embedded tracker: Use ip parameter from tracker request if provided (Chocobo1)
    - BUGFIX: Fix weekday names translations (Chocobo1)
    - BUGFIX: Fix strings not translated (Chocobo1)
    - WEBUI: Change qBittorrent exit message to HTML5 (Chocobo1)
    - WEBUI: Revise CSP header (Chocobo1)
    - WEBUI: Enforce referrer-policy in WebUI (Chocobo1)
    - WEBUI: Add torrent name filtering to WebUI (Thomas Piccirello)
    - WEBUI: Send numeric status without translation (Thomas Piccirello)
    - WEBUI: Add WebUI Trackers context menu (Thomas Piccirello)
    - WEBUI: Add DHT, PeX, and LSD to WebUI Tracker list (Thomas Piccirello)
    - WEBUI: Add additional Tracker columns to WebUI (Thomas Piccirello)
    - WEBUI: Bump Web API version
    - WEBUI: Fix display bugs in WebUI Files tab. Remove <IE9 support (Thomas Piccirello)
    - WEBUI: Fix incorrect priority value sent from WebUI (Thomas Piccirello)
    - WEBUI: Set priority for multiple files in one WebAPI request (Thomas Piccirello)
    - WEBUI: Match WebUI Peers table column order to GUI (Thomas Piccirello)
    - WEBUI: Fetch data less frequently when torrents tab isn't visible (Thomas Piccirello)
    - WEBUI: Add Search tab to WebUI (Thomas Piccirello)
    - WEBUI: Add ability to pass urls to the webui download page (Thomas Piccirello)
    - WEBUI: Fix JavaScript error (Tom Piccirello)
    - WEBUI: Disallow setting a blank alternative WebUI location (Thomas Piccirello)
    - WEBUI: Add slow torrent options (Thomas Piccirello)
    - WEBUI: Add "Use alternative Web UI" option (Thomas Piccirello)
    - WEBUI: Add "Apply rate limit to peers on LAN" option (Thomas Piccirello)
    - WEBUI: Add email "From" option (Thomas Piccirello)
    - WEBUI: Set WebUI download options using set preferences (Thomas Piccirello)
    - WEBUI: Show list of categories on WebUI download page (Thomas Piccirello)
    - WEBUI: Hide WebUI text input for custom monitor save locations (Thomas Piccirello)
    - WEBUI: Add "When adding a torrent" options (Thomas Piccirello)
    - WEBUI: Add WebUI Auto TMM options (Thomas Piccirello)
    - WEBUI: Add speed limit icons to WebUI Speed options (Thomas Piccirello)
    - WEBUI: Add WebUI Random port button and proxy unencrypted password notice (Thomas Piccirello)
    - WEBUI: Replace WebUI Options fixed-width labels (Thomas Piccirello)
    - WEBUI: Reorder WebUI options to match GUI (Thomas Piccirello)
    - WEBUI: Allow WebUI sidebar to be collapsed (Thomas Piccirello)
    - WEBUI: Show ellipsis when WebUI sidebar is too narrow (Thomas Piccirello)
    - WEBUI: Fix WebUI bug on override of Start Download option.Closes #9855. (Tom Piccirello)
    - WEBUI: Fix missing words in WebUI (Chocobo1)
    - WEBUI: Add SameSite attribute to WebUI session cookie (Thomas Piccirello)
    - WEBUI: Put WebUI security related options into a groupbox (Chocobo1)
    - WEBUI: Add option for WebUI Host header validation (Chocobo1)
    - WEBUI: Show icon in WebUI sorted column (Thomas Piccirello)
    - RSS: Keep track of REPACK/PROPER downloads. Closes #9898. (Stephen Dawkins)
    - SEARCH: Only instantiate SearchPluginManager as needed (Thomas Piccirello)
    - MACOS: Make file icon look like other macOS icons (Nick Korotysh)
    - MACOS: Save option to start minimized in Mac (thalieht)

* Mon Nov 19 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.4
    - FEATURE: Recognize *.ts files as previewable (silver)
    - FEATURE: Allow to disable speed graphs (dzmat)
    - FEATURE: Clear LineEdit on ESC (silverqx)
    - BUGFIX: Fix divide-by-zero crash (Chocobo1)
    - BUGFIX: Remove speed limit checkbox in Options dialog (Chocobo1)
    - BUGFIX: Fix speed graph "high speeds" bug (dzmat)
    - BUGFIX: Don't update torrent status unnecessarily (glassez)
    - BUGFIX: Improve force recheck of paused torrent (glassez)
    - BUGFIX: Restore torrent in two steps (glassez)
    - BUGFIX: Improve scaling of speed graphs (dzmat)
    - BUGFIX: Add isNetworkFileSystem() detection on Windows. This allows network mounts to be monitored correctly by polling timer. (Chocobo1)
    - BUGFIX: Reduce horizontal graphs resolution. Improves performance. (dzmat)
    - BUGFIX: Don't recheck just checked torrent (mj-p, glassez)
    - BUGFIX: Add SMB2 magic number (Chocobo1)
    - BUGFIX: Restore startup performance to v4.1.2 times. Needs at least libtorrent 1.1.10 (sledgehammer999)
    - BUGFIX: Make strings actually translatable (sledgehammer999)
    - WEBUI: Handle downloading .torrent file as success (Tom Piccirello)
    - WEBUI: Fix Alternative Web UI to be available (glassez)
    - WEBUI: Consider empty locale setting as not set (glassez)
    - WEBUI: Add free disk space to WebUI status bar (Thomas Piccirello)
    - WEBUI: Add WebUI search API controller (Thomas Piccirello)
    - WEBUI: Fix WebUI Auto TMM context menu bug (Thomas Piccirello)
    - WEBUI: Use independent translation for WebUI (glassez)
    - WEBUI: Add categories WebAPI (Thomas Piccirello)
    - WEBUI: Fix minor JavaScript defects (Thomas Piccirello)
    - WEBUI: Add locale to js file path (Thomas Piccirello)
    - WEBUI: Translate WebUI torrents Status column (Thomas Piccirello)
    - WEBUI: Bump Web API version
    - RSS: Allow to disable downloading REPACK/PROPER matches (Stephen Dawkins)
    - RSS: Improve RSS Feed updating (glassez)
    - SEARCH: Allow resizing search filter in search job (thalieht)
    - SEARCH: Improve parser for search engine versions.txt (Chocobo1)
    - SEARCH: Update Python URLs (Chocobo1)
    - SEARCH: Fix asking to install Python (Chocobo1)
    - SEARCH: Reformat python code to be compliant with PEP8 (Chocobo1)
    - OTHER: cmake: restore out-of-source build (Eugene Shalygin)
    - OTHER: cmake: cmake: use C++14 when available (Eugene Shalygin)

* Tue Sep 18 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.3
    - FEATURE: Preselect name without extension when renaming files (thalieht)
    - FEATURE: Allow setting seq & first/last from context menu without metadata (thalieht)
    - BUGFIX: Show "N/A" if there is no scrape (thalieht)
    - BUGFIX: Save option about tracker favicons under correct key (sledgehammer999)
    - BUGFIX: When file data are unreachable pause torrent and show "Missing Files" status (temporary fix) (sledgehammer999)
    - BUGFIX: Don't disable DHT when using force proxy (Thomas Piccirello)
    - BUGFIX: Correctly save torrent queue position/state/priority changes in fastresume (glassez, thalieht, sledgehammer999)
    - BUGFIX: Fix icon height/width ratio (Chocobo1)
    - BUGFIX: Fix values sorted wrong in "Last Activity" column (Chocobo1)
    - BUGFIX: Replace png icons with svg (Chocobo1)
    - WEBUI: Allow WebUI sidebar filters to be hidden (Thomas Piccirello)
    - WEBUI: Increase WebUI Options initial height (Thomas Piccirello)
    - WEBUI: Adjust WebUI Options form alignment (Thomas Piccirello)
    - WEBUI: Fix WebUI unreachable issue (Chocobo1)
    - WEBUI: Require torrent category creation to be explicit (Thomas Piccirello)
    - WEBUI: Include category save path in web api sync data (Thomas Piccirello)
    - WEBUI: Add save path and editing to WebUI new category dialog (Thomas Piccirello)
    - WEBUI: Bump Web API version
    - SEARCH: Refactor in searchjob to always color visited entries (thalieht)
    - SEARCH: Set "enter" as shortcut to download the selected torrents in search job (thalieht)
    - SEARCH: Add regex option in the search filter's context menu (thalieht)
    - LINUX: Fix GUI scaling issue on Linux (Chocobo1)
    - LINUX: Fix regression that broke installing desktop file (Eli Schwartz)
    - OPENBSD: Better filesystem support for filewatcher (Elias M. Mariani)

* Sun Aug 12 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.2
    - FEATURE: New options for "inhibit sleep" (Lukas Greib)
    - FEATURE: Add option for regexps in the transferlist search filter's context menu (thalieht)
    - FEATURE: Add async io threads option to AdvancedSettings (tjjh89017)
    - FEATURE: Allow save resume interval to be disabled (Chocobo1)
    - FEATURE: Add checkbox for recursive download dialog (Chocobo1)
    - FEATURE: Add changelog link in program updater (Chocobo1)
    - BUGFIX: Avoid allocating large memory when loading a .torrent file (Couchy)
    - BUGFIX: Notify users on 1st time close/minimize to tray (sledgehammer999)
    - BUGFIX: Fix I/O error after fetching magnet metadata (Chocobo1)
    - BUGFIX: Never save resume data for already paused torrents (glassez)
    - BUGFIX: Make ProgramUpdater upgrade to 64-bit qbt when running on 64-bit Windows (Chocobo1)
    - BUGFIX: Put temporary files in qbt own temp folder (Chocobo1)
    - BUGFIX: Avoid potentially setting the wrong piece priorities (Chocobo1)
    - BUGFIX: Various code refactorings/improvements (Chocobo1, thalieht, glassez)
    - BUGFIX: Add options "Download in sequential order" and "Download first and last pieces first" in AddNewTorrentDialog (Chocobo1)
    - BUGFIX: Download favicon using appropriate protocol (glassez)
    - BUGFIX: Apply proxy settings on DownloadManager creation (glassez)
    - BUGFIX: Improve torrent initialization (glassez)
    - BUGFIX: Save resume data on torrent change events (glassez)
    - BUGFIX: Increase default resume data save interval (Chocobo1)
    - BUGFIX: Work around crash when processing recursive download. Closes #9086 (Chocobo1)
    - BUGFIX: Reduce queries to python version (Chocobo1)
    - BUGFIX: Disable certain mouse wheel events in Options dialog (Chocobo1)
    - WEBUI: Send all rechecks in one request (Thomas Piccirello)
    - WEBUI: Add WebUI Force Reannounce option (Thomas Piccirello)
    - WEBUI: Create non-existing path in setLocationAction() (Goshik)
    - WEBUI: Add WebUI support for Mac ⌘ (Command) key (Thomas Piccirello)
    - WEBUI: Show current save path in 'Set location' window (Goshik)
    - WEBUI: Fix WebUI cache behavior for css files (Chocobo1)
    - WEBUI: Send Cache-Control header in WebUI responses (Chocobo1)
    - WEBUI: Add form-action to CSP (Thomas Piccirello)
    - WEBUI: Add upgrade-insecure-requests to CSP when HTTPS is enabled (Thomas Piccirello)
    - WEBUI: Reset WebUI ban counter on login success (Chocobo1)
    - WEBUI: Add logging messages in WebUI login action (Chocobo1)
    - WEBUI: Add option to control CSRF protection (Chocobo1)
    - WEBUI: Add option to control WebUI clickjacking protection (Chocobo1)
    - RSS: Implement "Sequential downloading" feature. Closes #6835 (glassez)
    - RSS: Don't use RSS feed URLs as base for file names. Closes #8399 (glassez)
    - SEARCH: Add a name filter for search results (thalieht)
    - SEARCH: Fix python version detection (Chocobo1)
    - SEARCH: Clear python cache conditionally (Chocobo1)
    - SEARCH: Properly normalize version string before parsing it (hannsen)
    - WINDOWS: Turn on Control Flow Guard for MSVC builds (Chocobo1)
    - MACOS: Replace deprecated function IOPMAssertionCreate() on macOS (Chocobo1)
    - OTHER: Fix CMake build with QtSingleApplication. Fixes #9196 (Eugene Shalygin)

* Sun May 27 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.1
    - FEATURE: Add 'Moving' state for torrents being relocated/moved (sledgehammer999)
    - FEATURE: Show rechecking progress (sledgehammer999)
    - FEATURE: Add option to remember last used save path (glassez)
    - FEATURE: Torrent name is also renamed if the content was renamed in the "Add New Torrent" dialog (glassez)
    - FEATURE: Relax behavior of "Download first and last piece first". It applies to all files and not only to the previewable. (Chocobo1)
    - BUGFIX: Fix issues with translatable strings (Chocobo1)
    - BUGFIX: Fix displayed tracker messages (Chocobo1)
    - BUGFIX: Make settings file recovery more robust (Chocobo1)
    - BUGFIX: Retry saving settings when operation failed (Chocobo1)
    - BUGFIX: Log successful torrent move (sledgehammer999)
    - BUGFIX: Fix deletion of old logs (sledgehammer999)
    - BUGFIX: Delete non-commited fastresume files (sledgehammer999)
    - BUGFIX: Don't migrate torrents that have newer fastresumes (sledgehammer999)
    - BUGFIX: Fix adding multiple torrents at once from WebUI (glassez)
    - BUGFIX: Improve "Run External Program" behavior. On Windows, a backslash isn't appended to paths from path variables (Chocobo1)
    - BUGFIX: Suppress multiple I/O errors for the same torrent (sledgehammer999)
    - BUGFIX: Replace raster qbt logo with vector version (Chocobo1)
    - WEBUI: Fix wrong API method names (glassez)
    - WEBUI: Filter torrent info endpoint by hashes (Marcel Petersen)
    - WEBUI: Fix invalid API calls in WebUI (glassez)
    - WEBUI: Improve legacy API params handling (glassez)
    - WEBUI: Fix params handling for some legacy API methods (glassez)
    - WEBUI: Apply locale changes immediately in WebUI (Chocobo1)
    - WEBUI: Use 32px icons for favicon (Chocobo1)
    - WEBUI/RSS: Properly set RSS settings via API (glassez)
    - RSS: Fix auto-downloading rule when Smart filter with regular Episode filter are used (glassez)
    - RSS: Make "Ignoring days" to behave like other filters (glassez)
    - RSS: Place "Use Smart Episode Filter" more correctly (glassez)
    - RSS: Use RSS feed update time as a fallback (glassez)
    - COSMETIC: Fix Stats dialog size (sledgehammer999)
    - MACOS: Fix GUI scaling factor on macOS (Chocobo1)
    - WINDOWS: Update icons (adem4ik)
    - LINUX: Fix open destination folder with Nautilus > 3.28 (Evgeny Lensky)
    - OTHER: Code improvements and refactoring (thalieht, Nick Korotysh, Chocobo1)

* Sat May 05 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.1.0
    - FEATURE: Add "Coalesce reads & writes" checkbox in advanced options (Chocobo1)
    - FEATURE: Smart Filter for RSS (Stephen Dawkins)
    - FEATURE: Possibility to configure at which speed a torrent is considered slow (thalieht)
    - FEATURE: When creating a torrent you can choose to preserve the file order (toster, Chocobo1)
    - FEATURE: A new, redesigned and refactored WebAPI (glassez)
    - BUGFIX: Redefine CacheStatus.readRatio field. (Chocobo1)
    - BUGFIX: Clarify some terms in stats dialog (Chocobo1)
    - BUGFIX: Fix possible crash when using both share limits (thalieht)
    - BUGFIX: Disable options when `Disable connections not supported by proxies` is enabled (Thomas Piccirello)
    - BUGFIX: Add link to an explanation of `Disable connections not supported by proxies` (Thomas Piccirello)
    - BUGFIX: Fix typo in a log message (Andrei Stepanov)
    - BUGFIX: Fix loading very large torrents. Closes #8449. (Chocobo1)
    - BUGFIX: Fix reverting backslashes to slashes in run external program. Closes #7800 (Chocobo1)
    - BUGFIX: Use https for documentation links (Chocobo1)
    - BUGFIX: Use original scheme when downloading favicons (Chocobo1)
    - BUGFIX: Parse URL query string at application level (glassez)
    - BUGFIX: Properly reply to announce request (embedded tracker) (glassez)
    - BUGFIX: Add `Tags` parameter to "Run External Program" (Chocobo1)
    - BUGFIX: Fix various typos (Chocobo1)
    - BUGFIX: Refactor filesystem watcher. Delay before processing new files. (Chocobo1)
    - BUGFIX: Don't strip empty arguments passed to external program. Closes #8454. (Chocobo1)
    - BUGFIX: Stop creating Download folder on start (Chocobo1)
    - BUGFIX: Avoid data corruption when rechecking paused torrents (sledgehammer999)
    - BUGFIX: Fix crashes due to invalid iterator use (Luís Pereira)
    - BUGFIX: Fix renaming completed files (Chocobo1)
    - BUGFIX: Fix path separator in log messages (Chocobo1)
    - WEBUI: Switch built-in Web UI html to HTML5 (glassez)
    - WEBUI: WebUI Save user's resized window sizes (Thomas Piccirello)
    - WEBUI: Make download + upload windows resizable (Thomas Piccirello)
    - WEBUI: Add option to show/hide webui status bar (Thomas Piccirello)
    - WEBUI: Add "Use proxy only for torrents" option to webui (Thomas Piccirello)
    - WEBUI: Various fixes in the html code (Thomas Piccirello)
    - WEBUI: Don't unselect selected torrents after a few seconds (Thomas Piccirello)
    - WEBUI: Enable Http/1.1 persistence connection (Chocobo1)
    - WEBUI: Format Read cache hits as percentage (Thomas Piccirello)
    - WEBUI: Re-order and rename stats (Thomas Piccirello)
    - WEBUI: Right align stat values (Thomas Piccirello)
    - WEBUI: Enable Statistics window to be scrolled and resized (Tom Piccirello)
    - WEBUI: Save WebUI Statistics window size (Thomas Piccirello)
    - WEBUI: Make WebUI iframe windows scrollable on iOS (Thomas Piccirello)
    - WEBUI: Remove unused CSS from WebUI login page (Thomas Piccirello)
    - WEBUI: Consolidate CSS into style.css (Thomas Piccirello)
    - WEBUI: Resolve JavaScript errors (Thomas Piccirello)
    - WEBUI: Fix spacing in login form(Thomas Piccirello)
    - WEBUI: Update WebUI to be more compliant with HTML5 standard (Chocobo1)
    - WEBUI: Update clipboard.js to v2.0.0 (Chocobo1)
    - WEBUI: Remove unused JavaScript library (Chocobo1)
    - WEBUI: Fix setting preferences via WebAPI (glassez)
    - WEBUI: Rename property to match its definition (Thomas Piccirello)
    - WEBUI: Add Limit Share Ratio context menu option (Thomas Piccirello)
    - RSS: Disable Auto TMM when RSS rule has save path (glassez)
    - RSS: Process loaded RSS articles in case of error (glassez)
    - RSS: Resolve (X)HTML entities in RSS content (glassez)
    - SEARCH: Improve Search handling (glassez)
    - SEARCH: Calculate supported categories based on selected plugin (Thomas Piccirello)
    - SEARCH: Fix memory leak (Chocobo1)
    - COSMETIC: Use spinbox suffix to display rate/time units (thalieht)
    - COSMETIC: Avoid showing an empty row in AdvancedSettings (Chocobo1)
    - OTHER: Various code optimizations and fixes (Luís Pereira, Chocobo1)
    - OTHER: Fix build when using Clang under CMake (Luís Pereira)
    - OTHER: Allow to disable Stacktrace support (Nick Korotysh)
    - OTHER: Use RNG provided by OS (Chocobo1)

* Fri Feb 16 2018 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.0.4
    - FEATURE: Add source field in Torrent creator. Closes #7965. (Chocobo1)
    - FEATURE: Torrent creator: raise maximum piece size to 32 MiB (Chocobo1)
    - FEATURE: Add a force reannounce option in the transfer list context menu. Closes #6448. (Jesse Bryan)
    - BUGFIX: Fix sorting of country flags column in Peers tab. (sledgehammer999)
    - BUGFIX: Fix natural sorting when the common part of 2 strings ends partially in a number which continues in the uncommon part. Closes #8080 #6732. (sledgehammer999)
    - BUGFIX: Fix application of speed limits on LAN and μTP connections. Closes #7745. (sledgehammer999)
    - BUGFIX: Make peer information flags in peerlist more readable. (thalieht)
    - BUGFIX: Fix gui issues on high DPI monitor. (Chocobo1)
    - BUGFIX: Fix dialog and column size on high DPI monitors. (Chocobo1)
    - BUGFIX: Fix constant status of '[F] Downloading'. Closes #7628. (sledgehammer999)
    - BUGFIX: Fix translation context. Closes #8211. (sledgehammer999)
    - BUGFIX: Separate subnet whitelist options into two lines. (Thomas Piccirello)
    - BUGFIX: Don't set application name twice. (Luís Pereira)
    - BUGFIX: Set default file log size to 65 KiB and delete backup logs older than 1 month. (sledgehammer999)
    - WEBUI: Only prepend scheme when it is not present. Closes #8057. (Chocobo1)
    - WEBUI: Add "Remaining" and "Availability" columns to webui Content tab. (Thomas Piccirello)
    - WEBUI: Make value formatting consistent with GUI (Thomas Piccirello)
    - WEBUI: Reposition Total Size column to match gui (Thomas Piccirello)
    - WEBUI: Add Tags and Time Active columns (Thomas Piccirello)
    - WEBUI: Use https for www.qbittorrent.org (Thomas Piccirello)
    - WEBUI: Match webui statuses to gui, closes #7516 (Thomas Piccirello)
    - WEBUI: Right-align stat values (Thomas Piccirello)
    - WEBUI: Add missing units. (Thomas Piccirello)
    - RSS: Fix crash when deleting rule because it tries to update. Closes #8094 (glassez)
    - RSS: Don't process new/updated RSS rules when disabled (glassez)
    - RSS: Remove legacy and corrupted RSS settings (glassez)
    - SEARCH: Search only when category is supported by plugin. Closes #8053. (jan.karberg)
    - SEARCH: Only add search separators as needed. (Thomas Piccirello)
    - COSMETIC: Tweak spacing in torrent properties widget and speed widget. (Chocobo1)
    - WINDOWS: Use standard folder icon for open file behavior on Windows. Closes #7880. (Chocobo1)
    - WINDOWS: Revert "Run external program" function. Now you will not be able to directly run batch scripts. (Chocobo1)
    - MACOS: Fix torrent file selection in Finder on mac (vit9696)
    - MACOS: Fix Finder reveal in preview and torrent contents (vit9696)
    - MACOS: Fix cmd+w not closing the main window on macOS (vit9696)
    - OTHER: Fix splitting of compiler flags in configure. Autoconf removes a set of [] during script translation, resulting in a wrong sed command. (sledgehammer999)
    - OTHER: configure: Parse all compiler related flags together. (sledgehammer999)
    - OTHER: Update copyright year. (sledgehammer999)

* Sun Dec 17 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.0.3
    - BUGFIX: Add height padding to the transfer list icons. Closes #7951. (sledgehammer999)
    - BUGFIX: Allow to drag-n-drop URLs into mainwindow to initiate download. (Chocobo1)
    - BUGFIX: Fix crash when fitlering search results. Stable sorting is removed. Closes #7952.(Chocobo1)
    - WEBUI: Fix missing qbt logo on login page in webUI. Closes #7953. (Chocobo1)
    - WEBUI: Add check to avoid type error after logout. (Chocobo1)
    - WEBUI: Use POST for logout command. This is to avoid browser being smart to prefetch the link then logging out the user. (Chocobo1)
    - WEBUI: Fix WebUI is not reachable via IPv6. (glassez)
    - WINDOWS: Disable the "?" help button in all dialogs on Windows. Closes #7365. Requires Qt 5.10. (Chocobo1)

* Fri Dec 01 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.0.2
    - BUGFIX: Fix crash on some systems when creating address object for 255.255.255.255. Closes #7735. (sledgehammer999)
    - PERFORMANCE: Change MixedModeAlgorithm default to TCP. This was the v3_3_x default and should sustain higher speeds. Closes #7779. (Chocobo1)
    - PERFORMANCE: Stop logging IP filter parsing errors after a while, otherwise the GUI freezes or qBittorrent doesn't start. (sledgehammer999)
    - GUI: Implement stable sort. Rows in transfer list shouldn't flicker anymore. (Chocobo1)
    - WEBUI: Fix build when webui is disabled. (Heiko Becker)
    - RSS: Fix build because of missing header. Closes #7805. (thoradia)
    - RSS: Fix RSS parser. (glassez)
    - RSS: Implement Import/Export RSS rules in legacy(aka v3_3_x) format. (glassez)
    - RSS: Implement Import/Export RSS rules in JSON format. (glassez)
    - WINDOWS: Fixed blurry text under Windows by setting DPI awareness to default. (TheNicker)
    - LINUX: Fix i386 build. (Evgeny Lensky)

* Wed Nov 22 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.0.1
    - BUGFIX: Fix crash on opening torrent/magnet (uninitialized pointer). Closes #7739 #7723. (sledgehammer999)
    - BUGFIX: Enable preferences Apply button when ip banlist is modified (Thomas Piccirello)
    - BUGFIX: Allow drag-n-drop magnet links to mainwindow. Closes #7742. (Chocobo1)
    - BUGFIX: Fix crash when aborting a torrent creation process. Closes #7783. (Chocobo1)
    - BUGFIX: Correctly check if torrent passed during application start already exists. (sledgehammer999)
    - WEBUI: Add ip subnet whitelist for bypassing webui auth (Thomas Piccirello)
    - WEBUI: Fix logo missing in login page (Chocobo1)
    - COSMETIC: Fix english typo. (sledgehammer999)
    - OTHER: cmake: qtsingleapplication should always be built statically (luigino)

* Mon Nov 20 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v4.0.0
    - FEATURE: Change qbittorrent logo. Issue #6467. (HVS, Atif Afzal, sledgehammer999)
    - FEATURE: New icon theme with SVG source, so we can scale it appropriately in the future. (Bert Verhelst)
    - FEATURE: Drop Qt 4 support. Raise minimum Qt version to 5.5.1 (evsh)
    - FEATURE: UI for managing locally banned IP list (dzmat)
    - FEATURE: Support for specifying where to save/load config files. Support for portable mode. (evsh)
    - FEATURE: It is now possible to pass options via ENV variables instead of cmd options. (evsh)
    - FEATURE: Allow to strip subfolder in multifile torrents. (glassez, sledgehammer999)
    - FEATURE: Allow cmd args to specify options when adding torrents. (Brian Kendall)
    - FEATURE: Widget for showing filesystem paths while typing. Used in the Add New Torrent and Options dialogs. (evsh)
    - FEATURE: Trackerlist: Allow to toggle columns (thalieht)
    - FEATURE: Add availability column to torrent content model and torrent properties window (evsh)
    - FEATURE: Implemented share limit by seeding time (naikel)
    - FEATURE: Revamp Torrent creator (Chocobo1)
    - FEATURE: Enable drag n drop to create torrent on mainwindow (Chocobo1)
    - FEATURE: Add show/hide statusbar option (takiz)
    - FEATURE: Show number of pieces. Closes #6774. (Chocobo1)
    - FEATURE: Allow to select & delete multiple entries in "Manage Cookies" dialog (Chocobo1)
    - FEATURE: Fetch Favicons via google as a final fallback (KingLucius)
    - FEATURE: Add a Tags (multi-label) feature to the GUI. Closes #13. (tgregerson)
    - FEATURE: Use the system icons for each file type in the Content tab (evsh)
    - FEATURE: Use SVG files for monochrome tray icons. Closes #6085. (evsh)
    - FEATURE: Prefill torrent name when creating a new torrent. Closes #7229. (Chocobo1)
    - FEATURE: Expose more libtorrent options in advanced settings (Chocobo1)
    - FEATURE: Add comboBox for selecting BitTorrent protocol. Closes #6316. (Chocobo1)
    - FEATURE: Allow SMTP sender to be set. Closes #7575. (Chocobo1)
    - FEATURE: Allow to specify if announcing to all tiers is desired. (sledgehammer999)
    - FEATURE: Configurable number of history of paths in Add New Torrent dialog. (evsh)
    - BUGFIX: Adjust icons names to better fit FDO scheme (evsh)
    - BUGFIX: Optimized IP filter parsing, making blazingly fast (sledgehammer999, evsh)
    - BUGFIX: Fix dialogs didn't position on the correct screen which qBittorrent window is on. Closes #1690, #2474, #3538. (Chocobo1)
    - BUGFIX: Refactor and improve StatusBar (glassez)
    - BUGFIX: Set expiration date for newly added cookie to +2 years from now, instead of +99 years. (Chocobo1)
    - BUGFIX: Don't create subfolder inside temp folder (glassez)
    - BUGFIX: Don't replace existing files when relocating torrent (glassez)
    - BUGFIX: Fix explicit Torrent Management Mode in Add New Torrent dialog. Closes #5602. (sledgehammer999)
    - BUGFIX: Fix calculation of 'Average time in queue' stat under libtorrent 1.1.x (sledgehammer999)
    - BUGFIX: Don't disable bandwidth scheduler when manually switching speed limits. Closes #7306. (glassez)
    - BUGFIX: Fix dereferencing freed pointer. Closes #7420. (Chocobo1)
    - BUGFIX: Change the default cache size to 64MiB. (Chocobo1)
    - BUGFIX: The previous "Disk write cache size" is not accurate since it is also being used for read cache, so rename it to "Disk cache". (Chocobo1)
    - BUGFIX: Replace dialog ok-cancel buttons with QDialogButtonBox, which follows the platform specific button order. (Chocobo1)
    - BUGFIX: Better reporting of success/failure of torrent and file deletion. (sledgehammer999)
    - BUGFIX: Fix last activity calculation. Closes #7461. (Chocobo1)
    - BUGFIX: Save state of options windows on cancel too. (silverqx)
    - BUGFIX: Persist size and treeview header state in preview dialog. (silverqx)
    - BUGFIX: Show torrent name in "add new torrent" dialog on merging trackers (Chocobo1)
    - BUGFIX: Properly pre-select the selected torrent's current ratio limiting options in  UpDownRatioDlg dialogs. Fixes #7352 (thalieht)
    - BUGFIX: Optimize code for SpeedWidget. (dzmat)
    - BUGFIX: Disable processing events when adding torrents(prevents crashes). Closes #7436. (Chocobo1)
    - BUGFIX: Open links in browser. Closes #7651. (Chocobo1)
    - BUGFIX: Change default settings for tracker/tier announces to mimic μTorrent behavior. (sledgehammer999)
    - BUGFIX: Explicitly set UPnP state on start-up. Closes #7338. (Chocobo1)
    - BUGFIX: Include/print caught signal in stackdump (Chocobo1)
    - COSMETIC: Trackerlist: Set text alignment of columns with numbers to the right (thalieht)
    - COSMETIC: Enable alternatingRowColors for "Manage Cookie" dialog (Chocobo1)
    - COSMETIC: Remove indentation for category/tag filter widgets in all platforms (thalieht)
    - COSMETIC: Add space between widgets in left side panel. Closes #7224. (Chocobo1, glassez)
    - COSMETIC: Unify preference window borders across the tabs (vit9696)
    - COSMETIC: Center Options dialog when showed. (silverqx)
    - COSMETIC: Show delete accelerator key in menu. closes #7508 (Nick Korotysh)
    - COSMETIC: Set QTextOption::NoWrap property in "Download from URLs" dialog (Chocobo1)
    - COSMETIC: Use SVG icons for the country flags. Closes #6223. (sledgehammer999)
    - WEBUI: Allow to load/use ECDSA certificate in webUI. (Chocobo1)
    - WEBUI: Add copy options to webui context menu (addresses #6815) (#7036) (Tom Piccirello)
    - WEBUI: Set torrent location from webui context menu (addresses #6815) (#7062) (Tom Piccirello)
    - WEBUI: Add option to rename torrent from WebUI (Thomas Piccirello)
    - WEBUI: Add auto torrent management to webui context menu (addresses #6815) (Thomas Piccirello)
    - WEBUI: Option for "Create subfolder" when adding new torrent. (thalieht)
    - WEBUI: Fix addPaused wrong default behavior. (Chocobo1)
    - WEBUI: Reposition "Priority" menu option in WebUI to match gui. Closes #7072. (Thomas Piccirello)
    - WEBUI: Report TCPServer errorString() if webui fails to listen to port. (Matthew Fioravante)
    - WEBUI: Exit gracefully when failed to initialize web server with qbt-nox (Chocobo1)
    - WEBUI: Add file-to-piece-index mappings in /query/propertiesFiles command (Chocobo1)
    - WEBUI: Add optional parameters for /command/download & /command/upload (Chocobo1)
    - WEBUI: Print error messages upon receiving invalid header fields. (Chocobo1)
    - WEBUI: Add WebUi\Address config option. (Matthew Fioravante)
    - WEBUI: Reinitialize webUI server when "IP address" setting changed. An app restart won't be necessary from now on. (Chocobo1)
    - WEBUI: Improve log and error messages (Chocobo1)
    - SEARCH: Use explicit class for search plugin versions (evsh)
    - SEARCH: Remove all search plugins from repo. There is another repo named 'search-plugins'. (sledgehammer999)
    - SEARCH: Update the backend when a new plugin favicon is downloaded. (sledgehammer999)
    - SEARCH: Allow search plugins sorting. Closes #7526. (Nick Korotysh)
    - RSS: Redesigned RSS subsystem (glassez)
    - RSS: Do not use hardcoded colors in RSS feed view (evsh)
    - RSS: Improve RSS events logging (glassez)
    - WINDOWS: Use dpiawareness=1 on Windows. Closes #5393. (sledgehammer999)
    - WINDOWS: Reformat Windows build configuration files. (glassez)
    - LINUX: Allow custom tray icons when system icon theme is used. Closes #7403. (evsh)
    - MACOS: Various macOS UI improvements (vit9696)
    - MACOS: Fix main menu item location on macOS (vit9696)
    - MACOS: Fix macOS window restoration after using hide icon (vit9696)
    - MACOS: Fix notification display on macOS (vit9696)
    - OTHER: Use new classes/methods from libtorrent and stop using deprecate ones. (glassez)
    - OTHER: Various string fixes (Allan Nordhøy, sledgehammer999)
    - OTHER: cmake: do not use Qt5Widgets when locating QtSingleApplication. Closes #7551. (evsh)
    - OTHER: Update BOOST m4 macros and simplify AX_BOOST_BASE usage (Chocobo1)
    - OTHER: Drop OS/2 support. (sledgehammer999)
    - OTHER: Optimize file size of PNG and SVG files. (sledgehammer999)
    - OTHER: Add new translators in the About page.

* Thu Jun 01 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.13
    - BUGFIX: Fixed UI glitch about torrent numbers in the sidepanel. Fixes #6454. (evsh)
    - BUGFIX: Fix downloaded/uploaded columns were not highlighted properly when selected. (Chocobo1)
    - BUGFIX: Always draw background in files list and search result list (Chocobo1)
    - BUGFIX: Remove torrent temp folder if it becomes unneeded (glassez)
    - BUGFIX: Remove torrent temp folder when torrent is deleted (glassez)
    - BUGFIX: Setup DPI at startup (Chocobo1)
    - BUGFIX: Do not attempt to show detailed tooltips without torrent metadata. Closes #6768. (evsh)
    - BUGFIX: Better detection of already present files when adding a torrent. (fbriere)
    - BUGFIX: Fix double click on system tray icon causing program to open and minimize immediately. Closes #5826. (Chocobo1)
    - BUGIFX: Fix categories sorting in AddNewTorrentDialog. Partially fixes #6708. (fbriere)
    - BUGFIX: Set "category" column as case-insensitive in transfer list. (fbriere)
    - BUGFIX: Properly sort categories case-insensitively in filter widget. Closes #6708. (fbriere)
    - BUGFIX: Fix renaming files is not case sensitive on Windows platform. Closes #5128. (Chocobo1)
    - BUGFIX: Fix crash in download piece bar (evsh)
    - BUGFIX: Fix focusing on the previously opened dialog didn't work (Chocobo1)
    - WEBUI: Bugfix: `RequestParser::splitMultipartData` drop extra trailing newline. (OpenGG)
    - WEBUI: Add `skip_checking` and `paused` to `/command/download` and `/command/upload` (OpenGG)
    - WEBUI: Fix checkbox hidden. Closes #6642. (Chocobo1)
    - WEBUI: Implement http persistence connection. Max simultaneous connection limit set to 500. This also release allocated memory of Connection instances at runtime instead of at program shutdown. (Chocobo1)
    - WEBUI: Always send Content-Length header. (Chocobo1)
    - WEBUI: Send Date http header (Chocobo1)
    - WEBUI: Fix "Content-Encoding" header is always created. (Chocobo1)
    - WEBUI: Implement robust checking for gzip encoding and revise gzip compressing/decompressing code. (Chocobo1)
    - WEBUI: Make the context obligatory for translatable strings. Also delete duplicate strings from extra translations. (sledgehammer999)
    - WEBUI: Use translatable strings in Statistics dialog. (sledgehammer999)
    - WEBUI: Add missing unit sizes in misc.js (sledgehammer999)
    - WEBUI: Use the same layout in the Speed tab in preferences as the GUI. (sledgehammer999)
    - WEBUI: Return status indicating if at least one torrent was successfully added (Thomas Piccirello)
    - WEBUI: Increase the number of digits after the decimal point (thalieht)
    - WEBUI: Use less permissive Content Security Policy (Thomas Piccirello)
    - WEBUI: Fix connection status icon too large. Closes #6804. (Chocobo1)
    - WEBUI: Cosmetic fixes for WebUI upload and download windows (naikel)
    - WEBUI: Fix slow filtering in WebUI. (naikel)
    - WEBUI: Make cookie parsing robust (Chocobo1)
    - WEBUI: New API for getting torrent piece info (Chocobo1)
    - WEBUI: Implement Cross-Site Request Forgery defense. Due to this the HTTP referer header is now expected in (almost) all HTTP requests. qBittorrent will drop the request sent without the referer header. That's why we bump the API_VERSION_MIN too. (reported by OpenGG, fixed by Chocobo1)
    - SEARCH: Update demonoid, legittorrents plugins (ngosang)
    - SEARCH: Remove mininova, ExtraTorrent plugins (ngosang, KingLucius)
    - SEARCH: Add btdb plugin (ngosang)
    - WINDOWS: Updated Spanish, Ukrainian, German, Chinese languages of the installer. (ngosang, evsh, schnurlos, wevsty)
    - LINUX: Rename .desktop and appdata files to match executable name. Fixes #6625. (evsh)
    - MACOS: Fix UI responsiveness after AddNewTorrentDialog received metadata. (Brian Kendall)

* Thu Apr 06 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.12
    - FEATURE: Indicate bitness in stackstrace and about dialog. Closes #6172. (sledgehammer999)
    - BUGFIX: Fix incomplete type compile error with Qt4 (Chocobo1)
    - BUGFIX: Fix compile error: ‘escape’ is not a member of ‘Qt’ (Chocobo1)
    - BUGFIX: Use system locale to format dates/time/etc (sledgehammer999)
    - BUGFIX: Follow http user-agent format (Chocobo1)
    - BUGFIX: Fix cancel "Set location" causes files move to installation dir. (Chocobo1)
    - WEBUI: Improve performance of updating 'progress' column (buinsky)
    - WEBUI: Implement statistics window in web UI (FranciscoPombal)
    - WEBUI: fixed "remaining" column in WebUI (FranciscoPombal)
    - WEBUI: Set HttpOnly attribute to SID cookie (Chocobo1)
    - WEBUI: Fire up the timer to clean inactive sessions (Chocobo1)
    - WEBUI: Set cookie SID value to empty on logout (Chocobo1)
    - WINDOWS: Make the installer DPI aware (regs01)
    - WINDOWS: Set exit code to 0 on install/uninstall success. Fixes problem with silent installations. (Chocobo1)
    - WINDOWS: The 64-bit installer refuses to install on 32-bit systems. (sledgehammer999)
    - WINDOWS: The 64-bit installer uses the correct "Program Files" now. Detection will not work if you install on top of previous installer. (sledgehammer999)
    - WINDOWS: Fix running the uninstaller if the user chose a different path in the installer. Closes #6080. (sledgehammer999)
    - LINUX: Add keywords to the .desktop file. (sledgehammer999)
    - LINUX: Update stuff in appdata.xml and run 'appstream-utl upgrade' on it. (sledgehammer999)
    - OTHER: Replace rand() by a true uniform distribution generator (Chocobo1)
    - OTHER: Change our user-agent format as indicated earlier in the news section (Chocobo1)
    - OTHER: cmake: fix OSX bundle creation (evsh)

* Fri Mar 03 2017 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.11
    - FEATURE: Always show progress and remaining bytes for unselected files. (sledgehammer999)
    - FEATURE: Allow to change priority for unselected files through the combobox like it is done via the context menu. (sledgehammer999)
    - FEATURE: Remove settings to exchange trackers. It wasn't used by non-libtorrent clients. Also it has a privacy risk and you might be DDoSing someone. (sledgehammer999)
    - FEATURE: Put temp files in .qBittorrent directory. Closes #4462. (Chocobo1)
    - FEATURE: Use the numbers from tracker scrape response. Closes #5048, #6117. (Chocobo1)
    - FEATURE: Implement category filter widget. Show categories in tree mode when subcategories are enabled. (glassez)
    - FEATURE: Allow to toggle columns in searchtab (thalieht)
    - FEATURE: PeerList: allow to hide zero values for the "uploaded" and "downloaded" columns (thalieht)
    - FEATURE: Display more information in tracker tab (ngosang)
    - FEATURE: Use Ctrl+F to search torrents. Closes #5797. (Tim Delaney)
    - FEATURE: Transferlist: add hotkeys for double click and recheck selected torrents (thalieht)
    - FEATURE: Add hotkey for execution log tab, Trackerlist, Peerlist etc (thalieht)
    - FEATURE: Separate seeds from peers for DHT, PeX and LSD (thalieht)
    - BUGFIX: Do not remove added files unconditionally. Closes #6248 (Eugene Shalygin)
    - BUGFIX: Ignore mouse wheel events in Advanced Settings. Closes #866. (Chocobo1)
    - BUGFIX: Add queue repair code. It should fix missing torrents after restarting. (Eugene Shalygin, nxd4)
    - BUGFIX: Fetch torrent status when generating final fastresume data. It should fix missing torrents after restarting. (Eugene Shalygin)
    - BUGFIX: Fix queue overload for add torrent at session start. It should fix missing torrents after restarting. (falco)
    - BUGFIX: After files relocate, don't remove the old folder even if it is empty. (Chocobo1)
    - BUGFIX: Fix finding 'English' item in language dropdown menu when an unrecognized locale is requested. Closes #6109. (sledgehammer999)
    - BUGIFX: Speedlimitdlg: raise slider default value to 10000. Closes #6150. (Chocobo1)
    - BUGFIX: TransferListWidget: keep columns width even if they are hidden on qBittorrent startup (unless something goes wrong) (thalieht)
    - BUGFIX: fix index overflow for torrents with invalid meta data or empty progress (Falco)
    - BUGFIX: Immediately update torrent_status after manipulating super seeding mode. Partially fixes #6072. (sledgehammer999)
    - BUGFIX: Use case-insensitive comparison for torrent content window. Closes #6327. (Chocobo1)
    - BUGFIX: Fixed sort order for datetime columns with empty values (closes #2988) (Vladimir Sinenko)
    - BUGFIX: Disable proxy in WebUI HTTP server. Closes #6349. (Eugene Shalygin)
    - COSMETIC: Use a disabled progressbar's palette for unselected files. (sledgehammer999)
    - COSMETIC: Support fallback when selecting theme icons (Eugene Shalygin)
    - COSMETIC: Do not resize SVG icons (Eugene Shalygin)
    - COSMETIC: Align text to the right in columns that handle numbers for PeerList and SearchTab (thalieht)
    - COSMETIC: Increased number of digits after the decimal point for Gibibytes and above (thalieht)
    - COSMETIC: Use non-breaking spaces between numbers and units (thalieht)
    - WEBUI: Fix proxy type bug (Oke Atime)
    - WEBUI: Use the correct value for KEY_TORRENT_NUM_COMPLETE/KEY_TORRENT_NUM_INCOMPLETE (Chocobo1)
    - WEBUI: Make torrents table scrollable horizontally (buinsky)
    - WEBUI: Make torrent peers table scrollable horizontally (buinsky)
    - WEBUI: Add tooltips to dynamic table header (buinsky)
    - WEBUI: Implement dynamic table columns resizing, reordering and hiding (buinsky)
    - WEBUI: Add some missing columns to dynamic tables (buinsky)
    - WEBUI: Make too tall menus scrollable (buinksy)
    - WEBUI: Prevent text wrapping in menus (buinsky)
    - WEBUI: Add a vertical separator between columns (buinsky)
    - WEBUI: Implement resizable progress bar in "Done" column (buinsky)
    - WEBUI: Fix scrollbar covers menu item with long text (buinsky)
    - WEBUI: Remove 300px limit of column width (buinsky)
    - WEBUI: Avoid lags in firefox on resizing progress column (buinsky)
    - WEBUI: Fix category in torrent upload. Closes #6260 (ngosang)
    - WEBUI: Turn off port forwarding of WebUI by default for GUI users (Chocobo1)
    - WEBUI: Exclude insecure ciphers. Fixes security issues reported by @beardog108 privately. (Chocobo1)
    - WEBUI: Avoid clickjacking attacks. Fixes security issues reported by @beardog108 privately. (ngosang)
    - WEBUI: Add X-XSS-Protection, X-Content-Type-Options, CSP header. Fixes security issues reported by @beardog108 privately. (Chocobo1)
    - WEBUI: Escape various values that might contain injected html. Fixes security issues reported by @beardog108 privately. (Chocobo1)
    - WEBUI: Bump API_VERSION to 12.
    - SEARCH: Update extratorrent plugin. Closes #6261 (ngosang)
    - SEARCH: SearchTab: can now save sorting column changes (thalieht)
    - SEARCH: Use case-insensitive sort for Name column in Search tab. Closes #407. (Chocobo1)
    - RSS: Fix tab order in RSS downloader. Closes #6164. (Tim Delaney)
    - RSS: Move old RSS items to separate config file. Closes #6167. (Tim Delaney)
    - RSS: Episode filter code refactoring (Tim Delaney)
    - RSS: Allow resetting rule to no category. Closes #5539. (Tim Delaney)
    - RSS: Save rule on enable/disable even if not selected. Closes #6163. (Tim Delaney)
    - RSS: Allow | in RSS must contain. Closes #6171. (Tim Delaney)
    - RSS: RSS use red text to indicate invalid filter. Closes #6165. (Tim Delaney)
    - RSS: Allow episode zero (special) and leading zeroes in RSS episode filter. (Tim Delaney)
    - RSS: RSS parse torrent episodes like 1x01 as well as S01E01. Closes #2749. (Tim Delaney)
    - RSS: RSS allow infinite range to extend beyond current season. Closes #800, #3876, #6170. (Tim Delaney)
    - RSS: Improve UI responsiveness during RSS downloading. Closes #873, #1089, #1235, #5423. (Tim Delaney)
    - RSS: Show name of feed list and sort rules in editor. Closes #3782, #6281. (Tim Delaney)
    - RSS: Fix regex matching. Closes #6337. (Tim Delaney)
    - MACOS: Fix qbittorrent-nox build (Oke Atime)
    - LINUX: fixes default indicator name (Bilal Elmoussaoui)
    - OTHER: Workaround problem with moc from Qt4 and #if (Eugene Shalygin)
    - OTHER: Print warning to the user if stacktrace contains no function names (Eugene Shalygin)
    - OTHER: Various cmake fixes (Eugene Shalygin)
    - OTHER: Fix finding qmake in configure when cross-compiling (Zach Bacon)

* Sat Dec 17 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.10
    - BUGFIX: Fix share ratio limiting. Broken by commit 259b5e51c49b744. Closes #6039 #6048. (sledgehammer999)
    - BUGFIX: Case insensitive sort for client column. Closes #6054. (Oke Atime)
    - BUGFIX: Make resume/pause menu items clickable. Closes #6040. (Oke Atime)
    - WINDOWS: Make the updater to look for the x64 installer if running x64 version. (sledgehammer999)

* Wed Dec 14 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.9
    - BUGFIX: Fix slider for per torrent speed limits when no global speed limit has been set. Closes #6046. (sledgehammer999)
    - BUGFIX: Fix GUI for proxy settings. Closes #6045. (sledgehammer999)
    - OSX: Correctly migrate settings/rss/usage stats in macOS. Closes #6041. (sledgehammer999)

* Wed Dec 14 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.8
    - FEATURE: Start using new libtorrent 1.1.x APIs (needs at least 1.1.2). Still unofficial support. (glassez, sledgehammer999)
    - FEATURE: Add a new DHT bootstrap node run by libtorrent author arvidn. (sledgehammer999)
    - FEATURE: Option to disable tracker's favicon download. (sledgehammer999)
    - FEATURE: Shift + scroll = horizontal scroll. Closes #5980. Only for TransferListWidget, PeerListWidget. (Chocobo1)
    - BUGFIX: Actually set new path as default when checkBox is enabled in Add New Torrent dialog. (erikssm)
    - BUGFIX: Properly fix the handling of default save path store/load. (sledgehammer999)
    - BUGFIX: Fix crash when restoring from tray. Closes #5854. (Chocobo1)
    - BUGFIX: Export torrents added only after the setting was enabled. (sledgehammer999)
    - BUGFIX: Delete old rss favicon before assigning new one. (sledgehammer999)
    - BUGFIX: Don't revert save path value in the Dialog when metadata are received. Closes #5482. (sledgehammer999)
    - BUGFIX: Don't ever stop seeding forced torrents. Closes #5784. (sledgehammer999)
    - BUGFIX: Fix potential crash in TransferList widget. Closes #5873. (Chocobo1)
    - BUGFIX: Sort torrent names case insensitively. (Yez Ezey)
    - BUGFIX: Fix mistake in getting values for sorting in TransferList widget. (Anton Lashkov)
    - BUGFIX: Fix memory leaks. (dzmat, Chocobo1)
    - WEBUI: Fix webui port overflow. (thalieht)
    - WEBUI: Changed meaning of the value of the 'dl_limit', 'up_limit', 'alt_dl_limit' and 'alt_up_limit' tokens. The value is expressed in bytes and not in KiB. (sledgehammer999)
    - WEBUI: Don't request client SSL certificate. Closes #3883. (borouhin)
    - WEBUI: Bump API_VERSION and API_VERSION_MIN to 11.
    - SEARCH: Fixed extratorrent search not working Closes #5736 #5753. (Yez Ezey)
    - SEARCH: Update Demonoid plugin. (ngosang)
    - SEARCH: Remove TorrentReactor plugin. (ngosang)
    - SEARCH: Fix python auto install, deletion of installer and use 3.5.x series for Vista+. Closes #5871. (sledgehammer999)
    - SEARCH: Set /usr/local/bin before default PATH on macOS. closes #5639 #5571. This enables finding newer python installs. (Yez Ezey)
    - COSMETIC: Log: set embedded Tracker [OFF] msg type as info. (thalieht)
    - COSMETIC: Remove (mostly) useless log warnings about tracker's favicon. (sledgehammer999)
    - COSMETIC: Change RSS view layout to horizontal. Closes #5920. (Chocobo1)
    - OSX: Fix crash on exit using Qt4. (Yez Ezey)
    - OSX: Change QSettings to IniFormat on macOS. Closes #5770 #5808. (Yez Ezey)
    - LINUX: Workaround a Qt5 bug which results in a flood of network interface change signals. (Eugene Shalygin)
    - OTHER: Turkish translation for installer. (Burak Yavuz)
    - OTHER: Update portugueseBR for installer. (DaRKSoM)
    - OTHER: Update portuguese for installer. (EdwardLinux)
    - OTHER: Add --disable-qt-dbus to configure if $host_os is macOS. (Yez Ezey)
    - OTHER: New translations: Icelandic, Latvian, Malay, Occitan, Uzbek.
    - OTHER: A whole lot of code refactoring by various people.

* Sun Sep 11 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.7
    - FEATURE: Delete torrent+files with Shift+Delete (pieniacy)
    - BUGFIX: Fix 6-hour speedplot point push rate. Close #5545 (Daniel Segesdi)
    - BUGFIX: Avoid spawning a new explorer.exe process when selecting "Open containing folder". Closes #5564. (Chocobo1)
    - BUGFIX: Fix loading of new geoip db due to an artificial size limit. (SagePtr)
    - BUGFIX: Better error handling and logging with smtp communication. (Brian Kendall)
    - SEARCH: Remove KickassTorrents search engine (ngosang)
    - SEARCH: Remove BTDigg search engine (ngosang)
    - SEARCH: Update Torrentz search engine (ngosang)

* Wed Jul 20 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.6
    - BUGFIX: Do not create save folder in advance (glassez)
    - BUGFIX: Fix upper-bound limit of command line for "Run External Program" in Windows. Closes #5399. (Chocobo1)
    - BUGFIX: Invoke system's cmd.exe directly. (Chocobo1)
    - BUGFIX: Workaround space issues in file path for running external program on Windows. (Chocobo1)
    - BUGFIX: Fix icons are missing when using RTL languages in Options dialog. Closes #5398. (Chocobo1)

* Mon Jun 20 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.5
    - FEATURE: Implement Torrent Management Mode(TMM) (glassez)
    - FEATURE: New cookies management dialog and various related fixes (glassez)
    - FEATURE: Use unique temp directories (temp_path/<truncated_torrent_hash>). Closes #5154. (glassez)
    - FEATURE: Display notifications when a torrent is added. Closes #334 and #915. (sledgehammer999)
    - FEATURE: Sort labels with natural sort algorithm in the right-click menu. Closes #3919. (Chocobo1)
    - FEATURE: Add option to automatically remove .torrent files upon adding (Eugene Shalygin)
    - FEATURE: Add option to bind directly to an IP instead of using a network Interface (Sjoerd van der Berg, sledgehammer999)
    - FEATURE: Detailed tooltips on the progress and availability bars in the General button of each torrent. (Eugene Shalygin)
    - FEATURE: Let user able to specify a filter when choosing an IP filter file (Chocobo1)
    - FEATURE: Improve usability of "Run External Program". Users can write (platform dependent) shell scripts now. (Chocobo1)
    - PERFORMANCE: Optimize drawing in speed graph (Anton Lashkov, Chocobo1)
    - BUGFIX: Fix memory leak. (sledgehammer999)
    - BUGFIX: Fix resizing bug in "add torrent dialog". Closes #5036. (Chocobo1)
    - BUGFIX: Fix qBittorrent doesn't exit immediately when "all downloads are done -> exit" option enabled. (glassez, Chocobo1)
    - BUGFIX: Display the filepath when a torrent fails to load. Closes #100 and #805. (sledgehammer999)
    - BUGFIX: Fix Add tracker dialog empty trackers (ngosang)
    - BUGFIX: Fix Add tracker dialog URL download (ngosang)
    - BUGFIX: Fix torrent adding with existing data (glassez)
    - BUGFIX: Try to find incomplete files for new torrent (glassez)
    - BUGFIX: Fix rechecking after torrent is finished (glassez)
    - BUGFIX: Fix duplicate network interfaces. Closes #5131 (ngosang)
    - BUGFIX: Fix .!qB extension is added when disabled (glassez)
    - BUGFIX: Fix "IP Filtering - Apply to trackers" wasn't being applied. Closes #5217. (Chocobo1)
    - BUGFIX: Don't resize the Country column needlessly (thalieht)
    - BUGFIX: Fix crashing when exiting the program while the Options window was showing. Closes #4871, #5049. (Chocobo1)
    - BUGFIX: Fix parsing of eMule .DAT filters. Closes #5281. (thalieht, sledgehammer999)
    - WEBUI: Implement in setting/removing/showing categories. (buinsky)
    - WEBUI: Add 'Added on' column in Webui. Closes #5145,#1092,#738 (Ibrahim Tachijian)
    - WEBUI: Add command to get the logs (pmzqla)
    - WEBUI: Expose Add trackers feature (pmzqla)
    - WEBUI: Bump API_VERSION and API_VERSION_MIN to 10. (sledgehammer999)
    - SEARCH: Implement search filters in the proxy model. (Eugene Shalygin)
    - SEARCH: Optimize widgets inside of the search tab (Eugene Shalygin)
    - SEARCH: Remove duplicated code from search tab and widget (Eugene Shalygin)
    - SEARCH: Use nova2dl.py script instead of DownloadManager. Closes #5026. (glassez)
    - SEARCH: Various UI cleanups and optimizations. (Chocobo1, ngosang)
    - SEARCH: Fix Torrentz, Mininova, LegitTorrents, PirateBay plugins (ngosang)
    - SEARCH: Fix toolbar resizing when m_searchFilter appears/disappears. Closes #5120. (Chocobo1)
    - SEARCH: Use QPalette::LinkVisited color for downloaded items in search results (Eugene Shalygin)
    - SEARCH: Update Python version requirements (min 2.7.9 / 3.3.0) (ngosang)
    - SEARCH: Remove filters from Torrentreactor, BTDigg and Demonoid. It is done in the GUI now. (ngosang)
    - RSS: default refresh interval to 30 mins (botmtl)
    - COSMETIC: Improve TransferListDelegate::sizeHint (Chocobo1)
    - COSMETIC: Fix long text clipping. Closes #5091. (Chocobo1)
    - COSMETIC: Minor change in Stats dialog (ngosang)
    - COSMETIC: Fix Update all button height in RSS tab (ngosang)
    - COSMETIC: Disable `comboHideZero` when `checkHideZero` is unchecked. (Chocobo1)
    - COSMETIC: Disable `checkLimituTPConnections` when `checkuTP` is unchecked. (Chocobo1)
    - COSMETIC: Enable word wrap for "Run external program" help text (Chocobo1)
    - COSMETIC: Fix mutually exclusive radio buttons can be unselected. (Chocobo1)
    - COSMETIC: Set About tab font-size to default (zywo)
    - COSMETIC: Improve wordings in "Auto download torrent" section (Chocobo1)
    - COSMETIC: Change "Auto download torrent" default save path to "default location". (Chocobo1)
    - COSMETIC: Change ambiguous text "Copy selected" to "Copy IP:port" (Chocobo1)
    - COSMETIC: Improve error messages for "Auto download torrents" (Chocobo1)
    - COSMETIC: Slim down 'Downloads' page of options window. (sledgehammer999)
    - COSMETIC: Cleanup Connection page in Option dialog. Closes #845. (Chocobo1)
    - COSMETIC: Fix reload button size is not the same size as "..." button in options dialog. (Chocobo1)
    - WINDOWS: Let Windows handle all widgets scaling. (Chocobo1)
    - WINDOWS: Improve stack trace for windows by including source filenames and line numbers (SeigneurSerpent)
    - OSX: Fix qt5 bundle on OSX. Closes #4014. (sledgehammer999)
    - OTHER: Make AddNewTorrentDialog behavior uniform (glassez)
    - OTHER: Optimize the shutdown dialog (Chocobo1)
    - OTHER: Enable access to shutdown functions when configured with `--disable-gui` option (Chocobo1)
    - OTHER: Delete Import Torrent Dialog. Just use the "add new torrent" dialog. (glassez)
    - OTHER: Optimize code for natural sorting (Chocobo1)
    - OTHER: Use new alert dispatching API for libtorrent 1.1.x (glassez)
    - OTHER: Fix gcc 6 compilation with qmake. See #5237. (sledgehammer999)

* Tue Mar 29 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.4
    - FEATURE: Download more pieces in "Download first and last pieces first" feature (ngosang)
    - FEATURE: Unlock first column in peerlist too (thalieht)
    - FEATURE: Add "Hide zero values" option. Closes #3543. (Chocobo1)
    - FEATURE: Add a "remaining" column to the torrent content model (Ben Lau)
    - FEATURE: Allow to toggle columns in peerlist (thalieht)
    - FEATURE: Add ability to filter log messages by type. (sledgehammer999)
    - FEATURE: Add ability to write the log to file. (sledgehammer999)
    - FEATURE: Add 'never show again' checkbox/pref to auto-exit confirm dialog (d3fault, sledgehammer999, Chocobo1)
    - PERFORMANCE: Perform fastresume data saving in separate thread (glassez)
    - PERFORMANCE: Optimize session startup (glassez)
    - BUGFIX: Save resume data using QSaveFile (Qt5 only). This reduces chances of corrupt files. (glassez)
    - BUGFIX: Check torrent file permissions before opening (birdie-github)
    - BUGFIX: Always update native session's announce_ip setting (Jesse Connop)
    - BUGFIX: Fix loading *.magnet files from watched folders. Closes #4701. (sledgehammer999)
    - BUGFIX: Fix upgrade corrupted fastresume file (glassez)
    - BUGFIX: Fix total values for "Seeds" & "Peers" (Chocobo1)
    - BUGFIX: Fix potential race condition. Closes #4742. (Chocobo1)
    - BUGFIX: Don't merge trackers for private torrents. Closes #2928. (sledgehammer999)
    - BUGFIX: Fix double buttons in "Add New Torrent" dialog. (Chocobo1)
    - BUGFIX: Fix malformed date header in email. Closes #4828. (Chocobo1)
    - BUGFIX: Save "Run external program" input as is. Closes #4830. (Chocobo1)
    - BUGFIX: Enable "filename" column in peers list again. Crash is fixed now. (Eugene Shalygin)
    - BUGFIX: Don't display warning when folder name stayed the same after rename. (sledgehammer999)
    - BUGFIX: Fix selection of Portuguese translation files. (sledgehammer999)
    - BUGFIX: Fix selection of Esperanto locale. Closes #4999. (sledgehammer999)
    - BUGFIX: Fix "caja" file manager opens the file instead of opens the directory. Closes #5003. (Chocobo1)
    - BUGFIX: Fix periodic latency spikes on Windows with WiFi connections. Closes #4209. (sledgehammer999)
    - BUGFIX: Potentially fix a random crash coming from the sidepanel (sledgehammer999, ngosang)
    - WEBUI: Fix max_ratio precision. Closes #4707 (ngosang)
    - WEBUI: Fix JavaScript exception on WebUI load (buinsky)
    - WEBUI: Fix translation (buinsky)
    - WEBUI: Submit the label in the new label dialog on pressing enter key (buinsky)
    - WEBUI: Check WebUI username and password length. Closes #4191 (ngosang)
    - WEBUI: Minor changes in CSS styles (ngosang)
    - WEBUI: Add "Added on" and "Completion on" fields to query/torrents query response (buinsky)
    - WEBUI: Do not try to parse request message when content-length is 0 (Dan Seminara)
    - WEBUI: Support SSL certificate bundles. Issue #4896. (UnDifferential)
    - WEBUI: Change the order of the values of speed labels (buinsky)
    - WEBUI: Bump WebUI API_VERSION
    - SEARCH: Update PirateBay plugin. (ngosang)
    - SEARCH: Added TorLock search engine (ngosang)
    - COSMETIC: Fix splash screen staying on top of all windows. Closes #1391. (sledgehammer999)
    - COSMETIC: Rearrange advanced settings (Chocobo1)
    - COSMETIC: Cleanup "about" dialog (Chocobo1)
    - COSMETIC: Cleanup "Add New Torrent" dialog (Chocobo1)
    - COSMETIC: Use short date in addnewtorrentdialog (Chocobo1)
    - COSMETIC: Change "Free disk space" to "Free space on disk" (Chocobo1)
    - COSMETIC: Let OS handle DPI scaling for now. Should let Qt do the work when it's more mature. (Chocobo1)
    - COSMETIC: Put comment_lbl in QScrollArea. Closes #4881. (Chocobo1)
    - COSMETIC: Change the order of the values of speed labels (buinsky)
    - COSMETIC: Cleanup the Log tab (Chocobo1)
    - COSMETIC: Cleanup the RSS tab (Chocobo1)
    - OTHER: Set "Show splash screen on start up" option default to off (Chocobo1)
    - OTHER: Support for cross-compilation with MXE (Boris Nagaev)
    - OTHER: Add basic (and unofficial) cmake support (Eugene Shalygin)
    - OTHER: Move some URLs overs to https (funkydude)
    - OTHER: Add appveyor support (Chocobo1)
    - OTHER: TravisCI: switch to Trusty image. Closes #4953. (Chocobo1)
    - OTHER: Many other internal code restructuring, cleaning and fixing.

* Thu Jan 21 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.3
    - BUGFIX: Temporarily disable "filename" column of peers view. It has a bug that causes frequent crashes. See issue #4597.
    - WEBUI: Move style of dynamic table header to CSS (buinsky)
    - WEBUI: Fix unnecessary updates of torrent peers table (buinsky)

* Tue Jan 19 2016 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.2
    - FEATURE: Add a new column to peers list that shows list of files which are downloaded right now from a peer. (evsh)
    - FEATURE: Improve the "Watch folders" UI. Closes #4300. You'll need to redo your watch folders settings. (sledgehammer999, glassez)
    - FEATURE: Support loading multiple magnets/hashes/urls per .magnet file in the watched folder(one per line). Closes #217. (sledgehammer999)
    - BUGFIX: Fix resolution of peer host names. Closes #4307. (sledgehammer999)
    - BUGFIX: Don't recheck twice after 'Force Recheck' with 'Recheck torrents on completion' enabled. Closes #4274. (sledgehammer999)
    - BUGFIX: Don't apply some settings again if they weren't changed. Closes #4278. (sledgehammer999)
    - BUGFIX: Update ISO 3166 country codes. Closes #3942. (Chocobo1)
    - BUGFIX: Fix moving torrents to Temp after app restart. Closes #4434. (glassez)
    - BUGFIX: Fix crash in favicon code due to null pointer dereference. (glassez)
    - BUGFIX: Move the 'qBittorrent-resume' file even when no magnets were recovered. Also make sure to rename it with a unique name. Closes #4334. (sledgehammer999)
    - BUGFIX: Don't add the watch folder before the user closes the Preferences window. (sledgehammer999)
    - BUGFIX: Remove watch folders permanently only if the user accepts the Preferences dialog. (sledgehammer999)
    - BUGFIX: Better handling of cookies in the download manager (glassez)
    - BUGFIX: Use the download manager for RSS, the program updater and the dns updater. (glassez)
    - BUGFIX: Fix reconfigure additional trackers (glassez)
    - BUGFIX: Fix loading corrupted .fastresume file (glassez)
    - WEBUI: Show filtered torrents number (buinsky)
    - WEBUI: Fix paused, active and inactive filters (buinsky)
    - WEBUI: Fixed bug when uploading several files and only the last one was considered. (naikel)
    - WEBUI: Implemented WebUI interface for the new Watched Folders feature (naikel)
    - WEBUI: Fix possible showing "qBittorrent client is not reachable" message on deleting torrents. (buinsky)
    - WEBUI: Don't show "Limit download speed" menu item for downloaded torrents. (buinsky)
    - WEBUI: Update webui run program parameters (buinsky)
    - WEBUI: Allow to remove the label assigned to a torrent (pmzqla)
    - WEBUI: Repair translation (buinsky)
    - WEBUI: Remember last opened tab (buinsky)
    - WEBUI: Bump WebUI API_VERSION and API_VERSION_MIN.
    - COSMETIC: Update native names for Chinese locales. Closes #4381. (sledgehammer999)
    - COSMETIC: Rename column header in Content view. (Chocobo1)
    - COSMETIC: Edit speed limits and upload ratio icons (buinsky)
    - SEARCH: Code refactoring. (glassez)
    - SEARCH: Fix PirateBay plugin implementation for Python 3 (ngosang)
    - SEARCH: Update PirateBay URL. Closes #4470 (ngosang)
    - RSS: Code refactoring. (glassez)
    - LINUX: Fix build. (sledgehammer999)
    - OSX: Set qBittorrent as default torrent app in  Mac OS (dmitry.viktorov)
    - OTHER: Fix lrelease version due to the default Qt5 build (Fabio Alessandro Locati)
    - OTHER: Indicate to the user that he's going to download the new version. Indicate from the installer that the old version was detected and no settings will be deleted. Closes #4320. (sledgehammer999)
    - OTHER: Don't require GUI libs for qt4 nox build. Closes #4404. (sledgehammer999)
    - OTHER: Fix cross-compilation (bnagaev)
    - OTHER: Allow GeoIP in nox builds (glassez)

* Tue Dec 08 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.1
    - FEATURE: New "Set as default label" option in Add torrent dialog. (takiz)
    - FEATURE: Support wildcards for filtering torrent list and torrent content (vlakoff)
    - BUGFIX: Fix -1 is displayed instead of the infinity symbol (Chocobo1)
    - BUGFIX: Fix scan dirs settings saving. Closes #4254, #4239, #4187. (glassez)
    - BUGFIX: Exported torrents now use name instead of hash. Closes #4205. (glassez)
    - BUGFIX: Improve upgrade to v3.3.0. Now undownloaded magnets will be migrated too. Fixes #4195. (glassez)
    - BUGFIX: Fix wrong encoding for listen failed error message. (glassez)
    - BUGFIX: Fix RSS not automarking articles as read. (glassez)
    - BUGFIX: Fix possible deadlock during application exit. (sledgehammer999)
    - WEBUI: Cookies support on WebUI when downloading torrent from a URL. (Naikel Aparicio)
    - WEBUI: Modified download and upload windows to allow autocompletion of browsers. (Naikel Aparicio)
    - WEBUI: Fixed the spinner in the WebUI upload page. (Naikel Aparicio)
    - WEBUI: Modified height of the WebUI download page. (Naikel Aparicio)
    - WEBUI: Fixed all the JavaScript functions for download and upload pages. (Naikel Aparicio)
    - WEBUI: Add seeds tab to WebUI (buinsky)
    - WEBUI: Bump WebUI API_VERSION.
    - COSMETIC: Cleanup "Trackers", "Peers", "HTTP Sources", "Speed" and "Content" page layout (Chocobo1)
    - COSMETIC: Reduce mainwindow border width (Chocobo1)
    - COSMETIC: Use QLineEdit built-in ClearButton (Qt5 only) (Chocobo1)
    - COSMETIC: Change text description for half-open connection (Chocobo1)
    - OTHER: Change update URL to FossHub. Closes #4188. (sledgehammer999)

* Sun Nov 29 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.3.0
    - FEATURE: Huge core code refactoring. Problems with labels, temp folders etc should be eliminated. Smoother UI should be observed too. (glassez)
    - FEATURE: Speed graph (Anton Lashkov)
    - FEATURE: Add multiple peers in Peers addition dialog. Closes #1563, #2245, #3133, #1419, #3287, #1419 (ngosang)
    - FEATURE: Allow to copy all peers with a keyboard shortcut (ngosang)
    - FEATURE: Use GeoIP2 database, allows for country resolution of IPv6 peers. It is no longer embedded in the program but downloaded and updated monthly. (glassez)
    - FEATURE: Add more "Run External Program" parameters, closes #3053, #238, #1291, #1522. (Chocobo1, glassez)
    - FEATURE: Add an option to allow the use of proxies only for torrents. Closes #2701. (pmzqla)
    - FEATURE: Detect network interface state changes. It should detect VPN connection resets. (Pawel Polewicz)
    - FEATURE: Switch to using c++11 (glassez)
    - FEATURE: Automatically add trackers to new downloads. (ngosang)
    - FEATURE: You can now choose the path to download for watched folders. (dsimakov, sledgehammer999)
    - FEATURE: Switch to Qt5 by default.
    - BUGFIX: Fix progress calculation in Content tab. Closes #2639 Closes #2752 (ngosang)
    - BUGFIX: Fix label filter. Closes #3429. (glassez)
    - BUGFIX: Fix "Run External Program Launches too Early" issue, closes #2107. (Chocobo1)
    - BUGFIX: Don't remove torrent contents parent folder, even it is empty. Closes #2244. (Chocobo1)
    - BUGFIX: Always apply filter for manually banned IPs. Related #3988. (sledgehammer999)
    - BUGFIX: Fix reporting of tracker status. Closes #3101. (sledgehammer999)
    - BUGFIX: Don't connect to "any interface" when the configured network interface is missing. Closes #3943, #2741, #1159, #844 and #143. (sledgehammer999)
    - BUGFIX: Fix reordering of first column with Qt5. Closes #2835. (sledgehammer999)
    - COSMETIC: Add back "qBittorrent" in program updater title, closes #3549. (Chocobo1)
    - COSMETIC: Use infinity symbol rather than -1 for nb_connections (pmzqla)
    - COSMETIC: Move uTP options to it's own section (Chocobo1)
    - COSMETIC: Fix availability bar & progress bar height being too small on high DPI displays (Chocobo1)
    - COSMETIC: Fix availability label & progress label clipped on high DPI displays, closes #3237. (Chocobo1)
    - COSMETIC: Add tooltips/legend for availability bar & progress bar (Chocobo1)
    - COSMETIC: Use theme color for background in PropertiesWidget (Chocobo1)
    - COSMETIC: Replace horizontal line with border in bottom panel (Chocobo1)
    - COSMETIC: Various visual changes in the side panel. (Chocobo1)
    - COSMETIC: Use thin border for transfer list (Chocobo1)
    - COSMETIC: Make URL in "Add Torrent File..." clickable. Closes #3928. (Chocobo1)
    - COSMETIC: New view for errored torrents. (sledgehammer999)
    - WEBUI: Add information in General tab (ngosang)
    - WEBUI: Reorder "Super seeding mode" option in right click menu (ngosang)
    - WEBUI: Clean up JavaScript code (ngosang)
    - WEBUI: Added labels support. #648 (Felipe Barriga Richards, ngosnag)
    - WEBUI: Fix accessing the WebUI through IPv6 (ngosang)
    - WEBUI: Bump WebUI API_VERSION to 6.
    - WEBUI: Change selected color to differentiate from the progressbar. (Daniel Peukert, ngosang)
    - SEARCH: Add "Copy description page URL" button in search tab. Closes #2371. (pmzqla)
    - SEARCH: Add https_proxy env variable. This forces Python to use the HTTP proxy for HTTPS connections. (pmzqla)
    - SEARCH: Detect new plugin URL from clipboard (ngosang)
    - SEARCH: Update Torrentz trackers (ngosang)
    - WINDOWS: Fix german translation of the installer (netswap)
    - NOX: Don't ask the user questions in nox build when in non-interactive mode. Closes #3875. (sledgehammer999)
    - OTHER: Fixed typos, spelling correction (dartraiden)
    - OTHER: Fix need for restart to enable/disable peer countries resolution. (glassez)
    - OTHER: Unload the GeoIP db when disabled. (sledgehammer999)
    - OTHER: Reduce max value of "Disk cache size" to 1536MB for 32bit. Closes to #4028. (Chocobo1)
    - OTHER: Make "Download in sequential order" and "Download first and last piece first" options independent. (glassez)

* Sat Oct 31 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.5
    - BUGFIX: Fix difficult to reproduce crash. (glassez)
    - OTHER: Fix Windows' Qt5 build. (Gelmir)

* Sat Oct 10 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.4
    - FEATURE: Select the file of single file torrents when opening destination folder (pmzqla)
    - BUGFIX: Fix crash with invalid favicon. Closes #3632. (glassez)
    - BUGFIX: Try to download favicon.png when the download of favicon.ico fails (pmzqla)
    - BUGFIX: Try to avoid loading a corrupted configuration file. Also log errors encountered while saving/loading the configuration. Closes #3503. (sledgehammer999)
    - BUGFIX: Allow adding torrent link from Torcache (jsayol)
    - BUGFIX: Don't limit the number of torrents that can be announced to the tracker/dht/lsd. Closes #3473. (sledgehammer999)
    - BUGFIX: Fix potential crash when memory allocation failed. Closes #3877. (Chocobo1)
    - COSMETIC: Change Queue buttons order in the Toolbar (GUI & Web UI) (ngosang)
    - COSMETIC: Move option "Ignore transfer limits on local network" to Speed page (Chocobo1)
    - COSMETIC: Move option "Confirm torrent deletion" to Behavior page (Chocobo1)
    - COSMETIC: Fix typos. Make `μTP` untranslatable. Use American variation of words. Closes #3654. (sledgehammer999)
    - COSMETIC: Optimize text color for dark themes. Closes #3633 and #3815. (sledgehammer999)
    - COSMETIC: Show current label in the torrent context menu. Closes #3776. (sledgehammer999)
    - WEBUI: Add save_path to /query/torrents (Casey Bodley)
    - WEBUI: Bump API_VERSION to 5
    - SEARCH: Fix python detection when the 'Anaconda' software is installed. Closes #3731. (sledgehammer999)
    - RSS: Handle magnet links as torrents instead of news URLs. Closes #3560 (ngosang)
    - RSS: Trim elements text in RSS articles (ngosang)
    - RSS: Fix contextual menu in RSS torrents list (ngosang)
    - RSS: Improve error handling when a RSS feed doesn't contain torrents (ngosang)
    - RSS: More precise message and code simplification in RSS feeds deletion (ngosang)
    - RSS: Don't hide the elements in Unread list when clicked (ngosang)
    - RSS: Allow multiple selection in RSS torrents list (ngosang)
    - RSS: Simplify string translation (ngosang)
    - RSS: Handle more types of RSS feeds (ngosang)
    - RSS: Fix RSS panel position not saved (ngosang)
    - RSS: Fix forgetting label changes to first item in RSS rule list. (Gelmir)
    - RSS: Add label to UI when a new one is creating during rule addition. (Gelmir)
    - RSS: Removes refresh message when adding a new feed (ngosang)
    - RSS: Fix RSS crash when deleting RSS feeds. Closes #997, #2152, #2461, #3718, #3747, #3766, #3806, #3814, #3829 and #3846. (ngosang)
    - RSS: Sort labels in RSS Downloader dialog, closes #3140. (Chocobo1)
    - WINDOWS: Correctly show german letters in the installer. Closes #3574, #3566. (sledgehammer999)
    - WINDOWS: Fix file selection on Explorer when the filename contains weird characters. Closes #3185. (sledgehammer999)
    - WINDOWS: Fix wrong default download directory in Windows. Closes #2625. (Chocobo1)
    - WINDOWS: Fix German translation of the installer. (netswap)
    - LINUX: Fix broken .desktop file icon for some locales. See #3905. (sledgehammer999)
    - OTHER: Fix ppc64le detection during configure (sledgehammer999)
    - OTHER: Don't use sed in configure. Closes #3169. (pmzqla)
    - OTHER: Fix broken donation link. Closes #3771. (sledgehammer999)
    - OTHER: Add forum link in README. Closes #3853. (sledgehammer999)
    - OTHER: New translation: Esperanto
    - OTHER: Fix Qt5 nox build on non-Windows. (sledgehammer999)

* Sun Aug 02 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.3
    - BUGFIX: Fix crash when closing a search tab while search is running (pmzqla)
    - SEARCH: Other minor search fixes and improvements (pmzqla)

* Sat Aug 01 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.2
    - FEATURE: Allow to force reannounce DHT too (Chocobo1)
    - FEATURE: Implement an option to disable confirmation of torrent recheck (blaxspirit)
    - FEATURE: Allow to copy all the trackers with a keyboard shortcut (pmzqla)
    - BUGFIX: Fix torrent renaming. Closes #3398 (ngosang)
    - BUGFIX: Fix localhost address (::ffff:127.0.0.1) is not recognized when connecting to WebUI (Chocobo1)
    - BUGFIX: Fix '&' character in label name becomes accelerator key, closes #3454. (Chocobo1)
    - BUGFIX: Fix HTTP header parsing when torrent filename contains a semicolon. Closes #3511.
    - BUGFIX: Fix installing search plugin from local file. (sledgehammer999)
    - BUGFIX: Fix installing search plugin by drag-n-dropping file. (sledgehammer999)
    - COSMETIC: Update color scheme of completed.png icon. (sledgehammer999)
    - COSMETIC: Fix printing of the copyright symbol in the About dialog. (sledgehammer999)
    - COSMETIC: Minor changes in Preview File dialog (ngosang)
    - COSMETIC: Add Force Resume icon (ngosang)
    - COSMETIC: Add count of unread items to RSS tab label (pmzqla)
    - WEBUI: Ports between 1 and 65535 as in the GUI. Closes #1602 (ngosang)
    - WEBUI: Fix an error in Content tab when the torrent doesn't have metadata (ngosang)
    - WEBUI: New option Web UI port UPNP. Closes #3358 (ngosang)
    - WEBUI: Fix API Content Types. Closes #3393 (ngosang)
    - WEBUI: Fix empty trackers addition (ngosang)
    - WEBUI: Torrent download from hash. Closes #1173 (ngosang)
    - WEBUI: Fix sort by queue number (ngosang)
    - WEBUI: Open external links in a new window/tab (ngosang)
    - WEBUI: Massive increase in performance. (ngosang)
    - SEARCH: Search status per tab (DoumanAsh)
    - SEARCH: Remove the word 'torrent' in ExtraTorrent results (ngosang)
    - SEARCH: Prefer python3 over python2 on Linux and OS X (pmzqla)
    - SEARCH: Show notification if Python is not found and a search is started (pmzqla)
    - SEARCH: Update link to the Windows Python installer (pmzqla)
    - SEARCH: Improve checks for python. Print python version and path to log. (sledgehammer999)
    - SEARCH: Improve Python detection (ngosang)
    - OTHER: Improvements on the build system (Chocobo1)
    - OTHER: Bump minimum libtorrent version required to 1.0.6/0.16.19. (sledgehammer999)
    - OTHER: New translation: Slovenian

* Sat Jul 11 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.1
    - FEATURE: Change default preferences (ngosang)
    - FEATURE: Add "Add link to torrent" menu in TrayIconMenu. Closes #2918. (Chocobo1)
    - FEATURE: Allow to Open files from the properties pane by pressing "Enter" (pmzqla)
    - FEATURE: Add checkbox option for IpFilterTrackers. (Chocobo1)
    - FEATURE: Download-from-URL textbox change focus on tab key (Mayank Asthana)
    - FEATURE: Increase priority value of "High" (pmzqla)
    - FEATURE: Add 16 KiB, 8 MiB and 16 MiB piece sizes in Torrent Creator (ngosang)
    - BUGFIX: Disable Auto piece size when creating a new torrent (ngosang)
    - BUGFIX: Set default focus to cancel button in delete confirm dlg, closes #3085 (Chocobo1)
    - BUGFIX: Set default focus to ok button in add new torrent dlg (Chocobo1)
    - BUGFIX: Set default focus to no button in exit confirm box (Chocobo1)
    - BUGFIX: Fix Start Minimized checkbox in Options (ngosang)
    - BUGFIX: Remove limits on alternative speeds setting (LazyBui)
    - BUGFIX: Fix sorting torrents by ETA (pmzqla)
    - BUGFIX: Improve ratio calculation formula. Closes #3096. (Chocobo1)
    - BUGFIX: Clear missing files flag when resuming or force rechecking. Fixes issues in #2750. (sledgehammer999)
    - BUGFIX: Delete tempfile when downloading favicon.ico. Closes #3257. (sledgehammer999)
    - BUGFIX: Don't close downloadFromURL dialog when showing empty url warning (Chocobo1)
    - BUGFIX: Minimize to tray only if the relevant option is enabled. (sledgehammer999)
    - BUGFIX: Update disk space label after changing partition, closes #3309. (Chocobo1)
    - BUGFIX: Don't use a default upload limit. Closes #3275. (sledgehammer999)
    - BUGFIX: Fix Properties bar size when started minimized to tray. Closes #3206. (sledgehammer999)
    - COSMETIC: Change option text "Confirmation on exit when torrents are active" (Chocobo1)
    - COSMETIC: Enable to choose dark/light tray icons on all platforms. (Chocobo1)
    - COSMETIC: Use AllUppercase for label text (Chocobo1)
    - COSMETIC: changes in typography (ngosang)
    - COSMETIC: Menu revamp (Chocobo1)
    - COSMETIC: Revamp general tab info (Chocobo1)
    - COSMETIC: Better update message for users (Chocobo1)
    - COSMETIC: Fix ugly 'C++' wrapping in About dialog. (glassez)
    - WEBUI: Fix login and logout relative URLs (ngosang)
    - WEBUI: Fix resumeAll and pauseAll. Closes #3016 (ngosang)
    - WEBUI: Changes in title bar (ngosang)
    - WEBUI: Complete translatable strings (ngosang)
    - WEBUI: Minor changes in style (ngosang)
    - WEBUI: Fix Max connections and Time active in transfer information (ngosang)
    - WEBUI: New config - Global maximum number of upload slots (ngosang)
    - WEBUI: Display wasted data with friendly units. Closes #2994 (ngosang)
    - WEBUI: add delay in shutdown command in order to send out response msg (Chocobo1)
    - WEBUI: Option to hide Top Toolbar (ngosang)
    - WEBUI: Reorder the tabs/groups in Options window (ngosang)
    - WEBUI: Add new options (ngosang)
    - WEBUI: Increase API_VERSION due to changes in #3279, #3197, #3226 and #3040 (ngosang)
    - WEBUI: Add Web Seeds (HTTP Sources) tab (ngosang)
    - WEBUI: Don't update the tabs if tab's panel is collapsed (ngosang)
    - WEBUI: Fix alternative global rate limits. (ngosang)
    - SEARCH: Fix thepiratebay. Closes #3012 (ngosang)
    - SEARCH: Improve torrentz engine to return more results (ngosang)
    - SEARCH: Change width of columns in search tab. Closes #764 (ngosang)
    - SEARCH: Make strings translatable in search engine (ngosang)
    - SEARCH: Aborting search engine process during closure. Close #2671 (DoumanAsh)
    - SEARCH: Perform searches in parallel (DoumanAsh)
    - SEARCH: Add Demonoid search engine (ngosang)
    - SEARCH: Minor fixes in search engines (ngosang)
    - SEARCH: Show the version of search engines (ngosang)
    - SEARCH: Update Legit Torrent to remove sgmllib (DoumanAsh)
    - SEARCH: Update KickassTorrents (ngosang)
    - SEARCH: Update BTDigg (ngosang)
    - SEARCH: Update Torrentz (ngosang)
    - SEARCH: Update ExtraTorrent (ngosang)
    - SEARCH: Update TorrentReactor (ngosang)
    - SEARCH: Fix Python 2 implementation of Torrentz (ngosang)
    - SEARCH: Cosmetic changes in search engine (ngosang)
    - SEARCH: Fix column sort in search engine. Closes #2621 (ngosang)
    - RSS: Update matching RSS articles while editing rules (pmzqla)
    - WINDOWS: Fix python detection from registry when multiple versions are installed (sledgehammer999)
    - LINUX: Fixes Linux issue for when the theme doesn't have a corresponding icon. (sledgehammer999)
    - OTHER: Correctly detect FreeBSD when configuring. (sledgehammer999, yurivict)
    - OTHER: Add translator to credits.
    - OTHER: New translation: Indonesian.
    - OTHER: Split Chinese locales into Chinese Simplified, Chinese Traditional(Taiwan), Chinese Traditional(Hong Kong). (sledgehammer999)

* Sun May 10 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.2.0
    - FEATURE: Show actual protocol for listen success/failure in the log. Needs libtorrent v1.0.0 (Gelmir)
    - FEATURE: Support per tracker re-announce. Needs libtorrent v1.0.0 (Gelmir)
    - FEATURE: Support saving in network locations. (Gelmir)
    - FEATURE: Support Qt5 (mostly Glassez)
    - FEATURE: Code optimizations resulting in a more CPU efficient and snappier qBittorrent. (sorokin)
    - FEATURE: WEBUI code rewritten, refactored and improved. (glassez, pmzqla, buinsky)
    - FEATURE: Add option to hibernate computer in Auto-Shutdown menu (Bruno Barbieri)
    - FEATURE: Cache preferences in memory. Minimize chance of settings corruption. Closes #1272, #1523, #1694. (sledgehammer999)
    - FEATURE: Option to disable connections not supported by proxies. Closes #1894. (sledgehammer999)
    - FEATURE: Haiku OS support (diger)
    - FEATURE: Add a save resume data interval option(useful for SSD). (john-peterson)
    - FEATURE: Add "Last Seen Complete" column (pmzqla)
    - FEATURE: Add "Last Activity" column (pmzqla)
    - FEATURE: Add "Total Size" column (pmzqla)
    - FEATURE: Show current speed limits in the status bar (pmzqla)
    - FEATURE: Episode filtering for RSS (Gelmir)
    - FEATURE: Highlight files when opening containing folder on Windows and Linux(nautilus, dolphin, konqueror). (Gelmir, pmzqla)
    - FEATURE: Setting to ignore RSS rule matches for X days (Gelmir)
    - FEATURE: Add hotkeys and buttons for Top and Bottom priorities (alfrix)
    - FEATURE: Implement peer relevance column. Closes #1630. (sledgehammer999)
    - FEATURE: Show reason why a peer was blocked. Needs libtorrent 1.0.x. (sledgehammer999)
    - FEATURE: Use the 'fastest_upload' setting as seed choking algorithm. (sledgehammer999)
    - FEATURE: Allow to set text options for the toolbar icons (pmzqla)
    - FEATURE: Add 'Resumed' torrent filter (john.s.peterson)
    - FEATURE: 'Add New Torrent` dialog has a button for quickly choosing a location (sledgehammer999)
    - FEATURE: Copy selected peers as IP:Port format. (ngosang)
    - FEATURE: Show info hash in the torrent details in 'Add New Torrent' dialog. (sledgehammer999, chrishirst)
    - FEATURE: New feature: Remove empty labels (ngosang)
    - FEATURE: Add "Copy name" option in right-click menu of torrent list. Closes #2452 (chrishirst)
    - FEATURE: Implement tracker list in the side panel. Closes #170. (sledgehammer999)
    - FEATURE: Implement a 'Completed' status. Closes #2326 #2483 #939. (sledgehammer999)
    - FEATURE: Columns for session-based download and upload statistics (LazyBui)
    - BUGFIX: Use completed time from libtorrent directly. Closes #1726.
    - BUGFIX: Speedup and fix a bug in torrent moving. (sorokin)
    - BUGFIX: Scan Folder dialog now remembers last location (Bryan Roscoe)
    - BUGFIX: Show input box to filter torrent list only when the list is shown (pmzqla)
    - BUGFIX: Add placeholder text to the input to filter the torrent list (pmzqla)
    - BUGFIX: Put directories first when sorting torrent content by name (pmzqla)
    - BUGFIX: Fix missing icon for open action in file list (Gelmir)
    - BUGFIX: Set placeholder text to torrent content filter. (sorokin)
    - BUGFIX: Fix torrent creation when data is too large (sorokin)
    - BUGFIX: Load torrents that have big metadata file. Closes #1889. (sledgehammer999)
    - BUGFIX: Use correct separator for "OR" condition in RSS rules (pmzqla)
    - BUGFIX: Don't waste UI space in 'Content' window. Closes #2159 (alfrix)
    - BUGFIX: Fix the language selection in the combobox when the system locale only has a lang equivalent and not a lang_COUNTRY one. Closes #1786. (sledgehammer999)
    - BUGFIX: Don't overwrite the 'Add Paused' setting from the Add New Torrent Dialog (Gelmir)
    - BUGFIX: Fix file preview when .!qB extension is used (pmzqla)
    - BUGFIX: Ensure that the priority column has enough width when queueing is enabled. Closes #2263. (sledgehammer999)
    - BUGFIX: Don't put limits to the alternative speed limits (pmzqla)
    - BUGFIX: Make space key change all selected files' checkboxes (sorokin)
    - BUGFIX: Don't block peers that use privileged ports. (sledgehammer999)
    - BUGFIX: Accept multiple files at once. Closes #2253 (buinsky)
    - BUGFIX: Don't touch torrents whose files are missing. Closes #342 #2308 #2469. (sledgehammer999)
    - BUGFIX: Save the new save path first in the history. Closes #2382. (sledgehammer999)
    - BUGFIX: Fix default tracker in 'Create Torrent' dialog. (ngosang)
    - BUGFIX: Let the OS decide the default interface regardless of IPv4/IPv6. Closes #2156. (Chocobo1)
    - BUGFIX: Delete the correct selected torrents when the list is filtered. Closes #2729. (sledgehammer999)
    - BUGFIX: Don't use HTML in tray icon pop-up on OSX. Closes #2830. (pmzqla)
    - BUGFIX: Fix crash when trying to open destination folder on a torrent with no metadata. Closes #2522. (pmzqla)
    - BUGFIX: Change torrent name when metadata is retrieved. (ngosang)
    - COSMETIC: Removes white bar in the labels list. Closes #1151. (ngosang)
    - COSMETIC: Fix speed printing in the tray icon and in the title bar. Closes #2737. (sledgehammer999)
    - COSMETIC: Change the color scheme used (sledgehammer999)
    - RSS: Display remote images in the preview (Mladen Milinkovic)
    - RSS: Format html descriptions in the preview (Mladen Milinkovic)
    - RSS: Support overriding global "Add paused" option on per rule basis (Gelmir)
    - WINDOWS: Fix automatic python download. Closes #2076. (sledgehammer999)
    - WINDOWS: Fix crash when searching the registry for installed python (glassez)
    - WINDOWS: Tell Windows to wait during shutdown. (sledgehammer999, paolo-sz)
    - OSX: Use the configure script to prepare the build in Mac OSX too. Closes #2295. (sledgehammer999)
    - OSX: Fix the build (David Christenson)
    - LINUX: Distribute systemd service file for the nox build (sledgehammer999, leigh123linux)
    - LINUX: Create qBittorrent.appdata.xml (alxpl)
    - SEARCH: Update KickassTorrents plugin (pmzqla)
    - SEARCH: Remove vertor engine. Closes #2260. (DoumanAsh)
    - SEARCH: Small fix of import in legittorrents engine (DoumanAsh)
    - SEARCH: Add combo box for fast search engine switch (DoumanAsh)
    - SEARCH: Fix error in mininova search engine (ngosang)
    - SEARCH: Fix piratebay. Closes #2270 (DoumanAsh)
    - SEARCH: Updated URL in kickasstorrents search engine (ngosang)
    - SEARCH: Torrentz search engine added (ngosang)
    - OTHER: Drop libtorrent 0.15.x support
    - OTHER: Drop Qt < 4.8.0 support
    - OTHER: Migrate build system to autotools (sledgehammer999)
    - OTHER: Remove deprecated feature of separate DHT port. (sledgehammer999)
    - OTHER: Speedup compilation speed (sorokin)
    - OTHER: Backtrace generation now works on MinGW. (Gelmir)
    - OTHER: New translation: Hindi(India).

* Wed Feb 22 2015 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.12
    - OSX: Fix build to work with older machines. (sledgehammer999, Noctem)
    - WINDOWS: Fix automatic Python download. (sledgehammer999)
    - WINDOWS: Fix crashes due to memory corruption and improve Python registry searching. (glassez)

* Wed Oct 22 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.11
    - FEATURE: Allow relative torrent paths when qBittorrent is already running (pmzqla)
    - FEATURE: Make Windows icons suitable for high dpi screens (pmzqla)
    - FEATURE: Increase maximum size of system icons (pmzqla)
    - BUGFIX: Fix crash in the "Content" widget when user would right click in it without a torrent selected (Ivan Sorokin)
    - BUGFIX: Don't show multiple unlock UI dialogs. Closes #2040. (sledgehammer999)
    - SEARCH: Fix bug where python would falsely be detected and nothing worked (paolo-sz)
    - SEARCH: Fix TorrentReactor search plugin (Bruno Barbieri)
    - SEARCH: Fix search engine encoding issues with python3 on Windows (Bruno Barbieri)
    - SEARCH: Pirate bay search engine update (DoumanAsh)
    - SEARCH: Internal improvements in the python code (Bruno Barbieri)
    - WINDOWS: Fix magnet link association. Closes #1952. (sledgehammer999)
    - WINDOWS and OSX: Fix again the program updater. The url was changed by sourceforge.net. Closes #1954. (sledgehammer999)
    - OSX: Fix compilation (sledgehammer999)
    - WEBUI: Set correct HTTP Content-Type in case of forbidden access. (pmzqla)
    - COSMETIC: Remove unneeded tooltip (pmzqla)
    - COSMETIC: Don't stretch the last section in the transfer list (pmzqla)
    - COSMETIC: Set minimum width of the left panel in the preferences (pmzqla)
    - OTHER: Optimize sorting of rows. This should have less CPU impact when many torrents are present. (Ivan Sorokin)
    - OTHER: Use the correct character encoding for exceptions coming from libtorrent. (sledgehammer999)
    - OTHER: Use boost:bind() as the docs show. Allows compilation with older gcc versions. (sledgehammer999)

* Sun Sep 21 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.10
    - FEATURE: Allow disabling of OS cache. This will prevent RAM increases on Windows when seeding many files. Closes #1699. (sledgehammer999)
    - FEATURE: Add 'Completed' column. Closes #1241. (sledgehammer999)
    - FEATURE: Added 'Ratio Limit' column. Closes #936. (sledgehammer999)
    - FEATURE: Add 'Open' and 'Open Containing Folder' entries in the content's right-click menu. Closes #1143. (sledgehammer999)
    - FEATURE: Don't listen on IPv6 address by default. Prevents network connectivity problems. Closes #1880. (sledgehammer999)
    - FEATURE: Added 'Shutdown now' button in shutdown confirmation dialog. Closes #969. (sledgehammer999)
    - FEATURE: Add peer port column to PeerListWidget. Closes #1650. (Ivanov Juriy)
    - COSMETIC: Fix weird ratio values when torrent was imported or downloaded history was lost due to crash. (sledgehammer999)
    - COSMETIC: Use 'μTP' instead of 'uTP'. (sledgehammer999)
    - COSMETIC: Show the loaded torrents in the transferlist when qBT is launched with a torrent/magnet and the AddNewTorrentDialog is showing. Closes #1564. (sledgehammer999)
    - COSMETIC: Don't mix finished/unifinished torrents when sorting by ETA. Closes #1688. (sledgehammer999)
    - COSMETIC: Sort finished torrents by completed date when sorting by queue number. (sledgehammer999)
    - COSMETIC: Right align numerical values in the transfer list. Partially revert 51a9a9aab. Closes #1903. (sledgehammer999)
    - COSMETIC: Don't display the Search Engine tab by default. (sledgehammer999)
    - WINDOWS: Correctly associate torrents and magnet links with qBittorrent under non-admin accounts. Closes #291 #527 #579 #614 #964. (glassez, sledgehammer999)
    - WINDOWS: Check for python before creating the search engine tab. Prevents the creation of python specific files in the user's PC if no python is found. Closes #1370. (sledgehammer999)
    - WINDOWS: Don't create keys in the registry if python isn't found. Closes #1370. (sledgehammer999)
    - WINDOWS: Can now correctly detect 64bit and 32bit python installations on 64bit Windows. Closes #1148 #445 #795 #1708. (sledgehammer999)
    - WINDOWS: Search first in PATH for python. Closes #956. (sledgehammer999)
    - OSX: Enable system tray in MACOSX (Nick Korotysh).
    - OSX: Fix headless (nox) build. (sledgehammer999)
    - WEBUI: Correctly save/load settings and other improvements (glassez)
    - WEBUI: Removed broken 'Report a bug' iframe. Closes #1343 (Benjamin Hutchins)
    - WEBUI: Removed broken 'Documentation'. Improves fix for #1343 (Benjamin Hutchins)
    - WEBUI: Removed essentially useless 'Visit website' iframe and changed it to a regular link. Improves fix for #1343 (Benjamin Hutchins)
    - BUGFIX: Fix RSS feed icon. The tmp file gets deleted in the feed destructor. Closes #1639 (sledgehammer999)
    - BUGFIX: fix issue #1674: AddNewTorrentDialog is shown again and again even if checkbox "don't ask me again" is set (Ivan Sorokin)
    - BUGFIX: Don't show availability bar for magnet links (Ivan Sorokin)
    - BUGFIX: Fix crash when the selected torrent disappears from the transfer list. Closes #1661 (sledgehammer999)
    - BUGFIX: Fix tracker announcing problem(hit-and-run) when many torrents are being active. Closes #1571 (sledgehammer999)
    - BUGFIX: Count magnet links in the 'downloading' filter and make them prevent system inhibition. Closes #1558 (sledgehammer999)
    - BUGFIX: Pick up updated plugins. Closes #1745. (sledgehammer999)
    - BUGFIX: Bring mainwindow in front when notification is clicked and other windows are in front. (sledgehammer999)
    - BUGFIX: Speedup torrent moving (Ivan Sorokin)
    - BUGFIX: Fix bug when moving a torrent before the previous move is completed (Ivan Sorokin)
    - BUGFIX: Add option to hibernate computer in Auto-Shutdown menu (Bruno Barbieri)
    - BUGFIX: Fix column resizing issues (Bryan Roscoe)
    - BUGFIX: Fix possible crashes. Closes #1814. (sledgehammer999)
    - BUGFIX: Limit max cache to 1800MiB for 32bits compiled binaries and to 4GiB for other. Closes #1698. (sledgehammer999)
    - BUGFIX: Don't localize double numbers in the webui. Closes #1525. (sledgehammer999)
    - BUGFIX: Don't shrink transferlist rows when scrolling horizontally. Closes #1613. (sledgehammer999)
    - BUGFIX: When qBT is launched with a magnet don't show it in the transferlist while the metadata are being loaded in the background. (sledgehammer999)
    - BUGFIX: Show disk space while retrieving metadata. Closes #1693. (sledgehammer999)
    - BUGFIX: Don't disable DHT/LSD/UPnP in the GUI when anonymous mode is enabled. (sledgehammer999)
    - BUGFIX: Possible fix for crash in RSS code. Closes #1901. (sledgehammer999)
    - BUGFIX: Fixed SMTP emailing code (Ivanov Juriy, sledgehammer999)
    - BUGFIX: Don't display the context menu in 'Content' and 'HTTP Sources' buttons when no torrent is selected. It prevents crashes. Closes #1906, #1900. (sledgehammer999)
    - BUGFIX: Don't translate file extensions. Closes #1907. (sledgehammer999)
    - BUGFIX: Fix available disk space label on single file torrents. (sledgehammer999)
    - BUGFIX: Show stalled downloads that are uploading under the 'Active' filter. Closes #1654." (sledgehammer999)
    - BUGFIX: fix import torrent with "Keep incomplete torrents in:" enabled (lojack5)
    - BUGFIX: Send a spoofed user agent for the search engines(fixes some of them) (Martin Janco)
    - BUGFIX: Support URLs that redirect to magnet links (Gelmir)
    - BUGFIX: Consider queued items before deciding to 'auto-shutdown on downloads completion'. Closes #1942. (sledgehammer999)

* Tue Apr 29 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.9.2
    - OTHER: The v3.1.9.1 Windows build was broken

* Mon Apr 28 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.9.1
    - OTHER: This is an excuse to produce new builds with an OpenSSL version that isn't affected by the heartbleed bug for Windows and Mac. This bug should only affect the WebUI and only if HTTPS/SSL authentication was enabled.

* Sat Mar 01 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.9
    - BUGFIX: Fix nox build. Closes #1368 (bob23450)
    - BUGFIX: Fix build with libtorrent 0.15.x (sledgehammer999)
    - BUGFIX: Fix missing percentage signs. Closes #1392. (sledgehammer999)
    - BUGFIX: Fix queue sorting order. (alfrix)
    - BUGFIX: Fix build using qt < 4.7 Closes #1385. (Evgeny Lensky)
    - BUGFIX: Fix autoupdater. Send our user-agent to sourceforge.net (sledgehammer999)
    - FEATURE: Add button for links in toolbar (alfrix)

* Sun Feb 02 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.8
    - BUGFIX: Really fix build of v3.1.6

* Sun Feb 02 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.7
    - BUGFIX: Fix build of v3.1.6

* Sun Feb 02 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.6
    - BUGFIX: Fix 'preview file' regression. Closes #1285. (sledgehammer999)
    - BUGFIX: Fix peers and seeds sorting in transfer list. (Angel Alonso)
    - BUGFIX: Fix btdigg search engine. (BTDigg research team)
    - BUGFIX: Save statistics every 15min and only if there was new traffic. Fixes #1288 and partially #1272. (sledgehammer999)
    - BUGFIX: Fix share ratio text in the 'general' tab. (sledgehammer999)
    - BUGFIX: Output a more generic message when blocking IPs and don't use italics in the log. (sledgehammer999)
    - BUGFIX: Allow 2 decimals when setting the share ratio. Closes #1303. (sledgehammer999)
    - BUGFIX: Fix extratorrents search plugin. (sledgehammer999)
    - BUGFIX: Use shorter names for amount columns in main UI (Gelmir)
    - BUGFIX: Fix overstretched options dialog. Closes #1293. (sledgehammer999)
    - BUGFIX: Don't show a popup menu when no torrent is selected. (sledgehammer999)
    - BUGFIX: Launch external programs async and don't block. Closes #1252. (sledgehammer999)
    - BUGFIX: Don't re-announce to trackers when torrent is paused. Closes #1310. (sledgehammer999)
    - BUGFIX: Bring dialog boxes in the front when qbt doesn't have focus. (sledgehammer999)
    - BUGFIX: Correctly resize 'name' column of the content tab. Closes #1360. (sledgehammer999)
    - BUGFIX: Correctly restore 'name' column width when loading magnet links in the 'Add new torrent dialog'. Closes #1334. (sledgehammer999)
    - WEBUI: Fix sorting by size in WebUI when non-default locale used. (Vladimir Golovnev)
    - UI: Reposition statistics menu item. (sledgehammer999)
    - UI: Convert more accurately decimal numbers to text. (sledgehammer999)
    - WINDOWS/OSX: Improvements on the behavior of the program updater(closes #1282) (sledgehammer999)
    - LINUX: Explicitle tell that we don't support freedesktop's startup notify standard. Fixes GNOME issues. Closes #1217. (sledgehammer999)
    - LINUX: Add our WM_CLASS in the .desktop file so window managers know how to group our windows. (sledgehammer999)
    - OTHER: Sync translations from Transifex.

* Thu 16 Jan 2014 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.5
    - BUGFIX: Fix compilation with Qt 4.7. Closes #1215. (sledgehammer999)
    - BUGFIX: Third attempt at fixing saving settings on OS shutdown. (sledgehammer999)
    - BUGFIX: Preview now correctly uses the selected file. Closes #1222 #1182. (sledgehammer999)
    - BUGFIX: Allow to resize the columns in Add New Torrent dialog. Closes #1207 #676 (sledgehammer999)
    - BUGFIX: Ensure that at least one column in the tranferlist is always visible. Closes #1165. (sledgehammer999)
    - BUGFIX: Ensure that the options window will always be placed onscreen. Closes #1226. (sledgehammer999)
    - BUGFIX: Delete temporary files after they aren't needed. Closes #1188. (sledgehammer999)
    - BUGFIX: Correctly detect libtorrent version. (sledgehammer999)
    - BUGFIX: Various code cppcheck fixes (Konstantin Goncharik)
    - BUGFIX: Remove isohunt search engine and update thepiratebay url (sledgehammer999)
    - BUGFIX: Fix rss settings corruption when checking regexp and going to other rule. (Gelmir)
    - BUGFIX: Don't count paused torrents for the autoshutdown. Closes #1280. (sledgehammer999)
    - LINUX: Fix notifications with xfce4-notifyd.
    - OSX: Added basic retina support. Closes #1251. (Sébastien Lavoie)
    - OTHER: Sync translations from Transifex.

* Sun 29 Dec 2013 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.4
    - FEATURE: Statistics dialog (Gelmir)
    - FEATURE: Tooltips explaining each peer's connection flags (sledgehammer999)
    - FEATURE: Win/Mac Check for program updates every 15min and allow the user to manually check for updates through the help menu. (sledgehammer999)
    - BUGFIX: Better dialog message for torrent delete confirmation (sledgehammer999)
    - BUGFIX: Fix resizing grip location. Closes #1146. (sledgehammer999)
    - BUGFIX: Lock toolbar in place. Closes #1144. (sledgehammer999)
    - BUGFIX: Second attempt at fixing saving settings on shutdown. (sledgehammer999)
    - BUGFIX: Sort labels in 'Add new torrent' dialog. Closes #1150 #411. (sledgehammer999)
    - LINUX: Fix build under Ubuntu 13.10 (sledgehammer999)
    - LINUX: Make sleep and shutdown functions work on systemd's logind (Faheem Pervez)

* Mon Nov 20 2013 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.3
    - FEATURE: Add a key shortcut to "Add link to torrent..." (Angel Alonso)
    - BUGFIX: Make all columns and headers use the same text alignment in the transferlist. (sledgehammer999)
    - BUGFIX: Fix build system for Unix/Linux. (sledgehammer999)
    - BUGFIX: Case insensitive sort in Peers list. Closes #1066. (sledgehammer999)
    - BUGFIX: Small optimization of WebUI responses when there isn't a data payload. (sledgehammer999)
    - BUGFIX: Hide empty folders after filtering. Closes #74. (sledgehammer999)
    - BUGFIX: Expand folders when filtering files. Closes #1076. (sledgehammer999)
    - BUGFIX: Updated search plugin's URL (Zach Thibeau)
    - BUGFIX: Strip some png to fix incorrect sRGB profiles. (Angel Alonso)
    - BUGFIX: Fixed font issues on OSX Mavericks (Zach Thibeau)
    - BUGFIX: Improve text in the About dialog (Artem S. Tashkinov)
    - BUGFIX: Always show a peer IP address as a tool tip (Artem S. Tashkinov)
    - BUGFIX: Fix inhibit system functionality. Closes #766. (sledgehammer999)
    - BUGFIX: WebUI: Don't gzip too small payloads. (sledgehammer999)
    - BUGFIX: Correctly detect if the browser supports gzip compression. (sledgehammer999)
    - BUGFIX: Fix WebUI link to 'Anonymous mode' explanation. Closes #1093. (sledgehammer999)
    - BUGFIX: Correctly update tracker tier number in the trackers tab. Closes #1075. (sledgehammer999)
    - BUGFIX: Speed improvements.(sledgehammer999)
    - OTHER: Updated translations.

* Tue Nov 05 2013 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.2
    - BUGFIX: Fix WebUI gzip compression. Closes #1037. (sledgehammer999)
    - BUGFIX: Fix compilation with qt < 4.8.0. Closes #1043. (sledgehammer999)
    - OTHER: Updated translations.

* Mon Oct 28 2013 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.1
    - FEATURE: Show external IP in the log. Closes #968. (sledgehammer999)
    - FEATURE: Enable gzip compression in the webui. It should be faster now. (sledgehammer999)
    - FEATURE: Torrents show more states(queued for checking, downloading metadata, allocating, checking resume). (sledgehammer999)
    - FEATURE: Re-enable "force reannounce" to all trackers. (sledgehammer999)
    - FEATURE: Allow to clear the UI lock password. Closes #973. (sledgehammer999)
    - FEATURE: New translations: English(Australia) and English(United Kingdom)
    - BUGFIX: Expose all available translation in the WebUI. Closes #976. (sledgehammer999)
    - BUGFIX: Copy IP copied wrong data. Closes #970 (sledgehammer999)
    - BUGFIX: "Preview file..." didn't work on single file torrents. (sledgehammer999)
    - BUGFIX: Fix and improve the scheduler (Gelmir and sledgehammer999)
    - BUGFIX: RSS fixes. Closes #960, #998 (Gelmir)
    - BUGFIX: Fix 'append label to save path' with magnet links. (sledgehammer999)
    - BUGFIX: Can download up to 10MB .torrent file when a link is provided. Closes #879 (sledgehammer999)
    - OTHER: Updated translations.
    - LINUX: Fix missing conf.pri error (leigh123linux)
    - WINDOWS: Don't remove file associations if they aren't our own. (sledgehammer999)

* Sat Oct 12 2013 - Christophe Dumez <chris@qbittorrent.org> and sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.1.0
    - FEATURE: Add command line option to daemonize qbittorrent-nox (ngaro)
    - FEATURE: Add "Shutdown qBittorrent" button to Web UI (ngaro)
    - FEATURE: Add setting to copy .torrent files for finished downloads (Driim)
    - FEATURE: Add option to start qBittorrent on Windows startup (sledgehammer999)
    - FEATURE: Add context menu to Web seed list (Gelmir)
    - FEATURE: Add support for tracker tiers / groups to creator (Gelmir)
    - FEATURE: Allow clearing execution and ban logs (Gelmir)
    - FEATURE: Add option to use random port on each startup (ireallylikeher)
    - FEATURE: Expose the cache expiry to the user (Gelmir)
    - FEATURE: Support Atom feeds (Gelmir)
    - FEATURE: Add "save path" column (John Peterson)
    - FEATURE: Add μTorrent-compatible "Flags" column in the peer tab(sledgehammer999)
    - FEATURE: Load magnet metadata in the background while the "Add New Torrent" Dialog is showing (Gelmir)
    - FEATURE: Allow to enter only an info-hash for download(sledgehammer999)
    - FEATURE: Bring the "Add New Torrent" Dialog to the front(glassez)
    - BUGFIX: Add confirmation dialog for "Force recheck" action (closes #131)
    - BUGFIX: Greatly improve RSS manager performance (closes #34)
    - BUGFIX: Ensure that all columns in the tranferlist have a size > 0.
    - BUGFIX: Don't mark RSS item as read when it failed to download (Gelmir)
    - BUGFIX: Fix ETA calculation when some files are downloaded and marked afterwards as 'do not download'(sledgehammer999)
    - BUGFIX: Make the UI show that PEX/DHT/LSD are actually disabled on private torrents(sledgehammer999)
    - BUGFIX: Scheduler should be much more robust and correct now(sledgehammer999)
    - BUGFIX: Now qBt won't forget torrent settings after an unclean shutdown(sledgehammer999)
    - BUGFIX: Text boxes in edit dialogs will fit to text width(Gelmir)
    - BUGFIX: Enable edit/rename via F2 or double click in various places(Gelmir)
    - BUGFIX: Allow to edit trackers and copy their urls(Gelmir and Driim)
    - BUGFIX: Add Uploaded column to main view(Gelmir)
    - BUGFIX: Calculate ETA for seeding torrents(Gelmir)
    - BUGFIX: Add option to ignore global share ratio limits for created torrents(Gelmir)
    - OTHER: Many RSS bugfixes and improvements all over the place(Gelmir)
    - OTHER: Generate translations at configure time to reduce tarball size
    - OTHER: Make peer tab sortable by ip too (Gelmir)
    - OTHER: Translations moved to Transifex(https://www.transifex.com/projects/p/qbittorrent/)
    - OTHER: New Translation - Vietnamese (Anh Phan)
    - PERFORMANCE: Improve drawing speed of tranferlist when there are many torrents(>100)
    - PERFORMANCE: Improve drawing speed of peers list when there are many peers

* Mon Jul 29 2013 - sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.0.11
    - FEATURE: Allow more fine tuning of upload slots. It should improve speed (sledgehammer999)
    - FEATURE: Enable edit/rename via F2 or double click in various places (Gelmir)
    - BUGFIX: Fix Spanish and Basque translations being messed up on Windows (sledgehammer999)
    - BUGFIX: Don't allow newlines in rename dialog (Gelmir)
    - BUGFIX: Treat unfinished dates as the newest ones when sorting (sledgehammer999)
    - BUGFIX: Fix text size problem on Windows with custom DPI (sledgehammer999)
    - BUGFIX: Respect UI lock when clicking on tray notification (sledgehammer999)
    - BUGFIX: Fix kickass torrents search plugin (Gelmir)
    - BUGFIX: Use system language as default language. Closes #780 (sledgehammer999)
    - BUGFIX: Move completed files to .unwanted folder when they are unselected by the user (constantined)
    - BUGFIX: Show delete action when multiple feeds are selected (Gelmir)
    - BUGFIX: Use Unicode for libtorrent alert messages (Gelmir)
    - OTHER: Update translations
    - WINDOWS: Shave off ~4MB from the binary size (sledgehammer999)
    - WINDOWS: Remove wrong dependency on msvc2008 runtime (sledgehammer999)
    - WINDOWS: Disable stacktrace when building with mingw (Gelmir)
    - WINDOWS: Updated NSIS script to include/delete .pdb file. (sledgehammer999)

* Tue Jul 9 2013 - Christophe Dumez <chris@qbittorrent.org> and sledgehammer999 <sledgehammer999@qbittorrent.org> - v3.0.10
    - BUGFIX: Fix LegitTorrents search plugin
    - BUGFIX: Improve peer host name resolution (closes #360)
    - BUGFIX: Context menu fix in the Web UI
    - BUGFIX: Respect 'don't show' torrent dialog in Search (sledgehammer999)
    - BUGFIX: Torrent creator can now use files/folders from disk root (Gelmir)
    - BUGFIX: Update free disk space when changing drives in the add new torrent dialog (sledgehammer999)
    - BUGFIX: Various fixes relating to RSS drag and drop (Gelmir)
    - BUGFIX: Properly rename torrent which changes position in filter model (Gelmir)
    - BUGFIX: Actually show tray notifications when a torrent finishes downloading (sledgehammer999)
    - BUGFIX: Don't download RSS items based on rules still being edited (Gelmir)
    - COSMETIC: Native look for the search boxes (Hyperz)
    - IMPROVEMENT: Use natural sorting where possible (Gelmir and sledgehammer999)
    - LINUX: Drop Boost.Thread dependency from configure script
    - OTHER: Update translations.
    - OTHER: Drop obsolete Boost.Thread dependency from configure script on linux (Dumez)
    - LIBTORRENT: SOCKS5 fixes (0.16.10)
    - LIBTORRENT: Fix hanging issue on Windows when closing files (0.16.10)
    - LIBTORRENT: Cache can now be returned to the OS (0.16.10)
    - PERFORMANCE: Improve drawing speed of tranferlist when there are many torrents(>100) (sledgehammer999)
    - PERFORMANCE: Improve drawing speed of peers list when there are many peers (sledgehammer999)

* Sat Mar 16 2013 - Christophe Dumez <chris@qbittorrent.org> - v3.0.9
    - BUGFIX: Raise qBittorrent windows when another instance is launched
    - BUGFIX: Show human readable names for network interfaces in preferences (Windows)
    - BUGFIX: Fix torrent creator bug when saving non-latin path (Windows)
    - BUGFIX: Enable 'copy magnet uri' for torrents without metadata too
    - BUGFIX: Fix a few JSON parser issues (Gelmir)
    - BUGFIX: Add support for gzipped encoded HTTP responses (daimor)
    - BUGFIX: Fix possibly missing "Add torrent" icon (Driim)
    - OTHER: Add search plugin for Legit Torrents

* Sun Jan 20 2013 - Christophe Dumez <chris@qbittorrent.org> - v3.0.8
    - BUGFIX: Fix support for --no-splash command line argument
    - BUGFIX: Fix compilation error with libtorrent v0.15
    - BUGFIX: Fix search issues with Python3
    - BUGFIX: Fix dead link about certificates in program preferences

* Sat Jan 19 2013 - Christophe Dumez <chris@qbittorrent.org> - v3.0.7
    - BUGFIX: Update max write cache size to 2048MB and set it to automatic by default (closes #148)
    - BUGFIX: Add m4v to the list of previewable file extensions (closes #216)
    - BUGFIX: Fix "Couldn't set environment variable..." message on start up (closes #245)
    - BUGFIX: Use right path separator in torrent addition dialog on Windows
    - BUGFIX: Fix "Set as default save path" setting (closes #254)
    - BUGFIX: Re-enable disk cache on Windows since the memory issue seems to be gone
    - BUGFIX: Fixed several search engine plugins and removed the dead ones
    - BUGFIX: Use https links in search plugins when possible
    - BUGFIX: Bump Mootools to v1.4.5 (Web UI)
    - BUGFIX: Require password to exit qBittorrent from tray icon when locked (closes #311)
    - BUGFIX: Fix possible crash in loadPeers() (closes #222)

* Sun Oct 7 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.6
    - BUGFIX: Fix unicode support for command-line arguments on Windows (closes #139)
    - BUGFIX: Do not store created torrent in memory before writing it to a file (closes #133)
    - BUGFIX: No longer fallback to ANY interface if the user-selected interface cannot be found (closes #143)
    - BUGFIX: Fix timezone parsing in RSS (closes #136)
    - BUGFIX: Fix cookie support for RSS feeds (closes #119)

* Sun Sep 30 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.5
    - BUGFIX: Disabling systray icon no longer disables file association settings (closes #114)
    - BUGFIX: Import new trackers from magnet link in case of duplicate torrent (closes #111)
    - BUGFIX: Fix "Skip hash check" feature in torrent import dialog (closes #128)
    - BUGFIX: Several Web UI connection fixes
    - BUGFIX: Add Basque locale to Web UI

* Tue Sep 18 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.4
    - BUGFIX: Fix issue with downloads starting from scratch on startup if temporary
      directory setting is enabled.

* Sun Sep 16 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.3
    - BUGFIX: Fix issue with temporary directory not being taken into consideration (closes #94)
    - BUGFIX: Address encoding issues when using search engine on Windows (closes #29)
    - BUGFIX: Bypass cache when uploading a torrent file in Web UI (closes #68)
    - BUGFIX: "Completed On" column is not updated until restart (closes #84)
    - BUGFIX: Fix possible build error on some systems
    - I18N: Add hebrew translation

* Sat Sep 1 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.2
    - FEATURE: Add "clear" functionality to search field (closes #59)
    - BUGFIX: Attempt to use qBittorrent icon from theme if available (closes #49)
    - BUGFIX: Fix crash when a fastresume file is empty (closes #52)
    - BUGFIX: Fix encoding problem for detected XDG Download folder (closes #53)
    - BUGFIX: Improve performance when showing torrent content panel (Improves #24)
    - BUGFIX: Fix label-based filtering of torrents whose label contains special characters
    - BUGFIX: Fix possible crash due to labels (closes #64)

* Tue Aug 21 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.1
    - BUGFIX: Fix possible crash when adding a tracker to a magnet torrent without metadata (Closes #1034254)
    - BUGFIX: Remember queue position for torrents without metadata (closes #17)
    - BUGFIX: Fix crash when using unauthorized characters in label names (closes #19)
    - BUGFIX: Fix search plugins updating (closes #25)
    - BUGFIX: Make uTP connections rate limited by default

* Thu Aug 09 2012 - Christophe Dumez <chris@qbittorrent.org> - v3.0.0
    - FEATURE: Brand new torrent addition dialog
    - FEATURE: Add the ability to choose the save path when using magnet links (mutoso)
    - FEATURE: Add support for adding multiple local torrents at once (Web UI)
    - COSMETIC: Improve style of left panel
    - BUGFIX: Lower panels no longer gets disabled
    - BUGFIX: Major code refactoring and various optimizations.
    - BUGFIX: No longer strip root folder from torrent files
    - OTHER: Drop support for libtorrent v0.14.x
    - OTHER: Drop support for Qt 4.5

* Unreleased - Christophe Dumez <chris@qbittorrent.org> - v2.9.12
    - BUGFIX: Fix issue when "Minimize to tray" and "Start minimized" are both enabled

* Sun Jul 1 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.11
    - BUGFIX: Fix unreversible "Minimize to tray" on some window managers
    - BUGFIX: Fix torrent availability computation (closes #988869)
    - BUGFIX: Bring window to front after restoring from systray
    - BUGFIX: Fix keyboard focus problems on main window (closes #1019563)
    - BUGFIX: Fix ThePirateBay search plugin

* Sun Jun 24 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.10
    - BUGFIX: Fix possible crash when showing torrent content (closes #1002586)
    - BUGFIX: Add support for RSS feeds using magnet links (closes #1016379)
    - BUGFIX: Remove 100kb limit for torrent file size in Web UI
    - BUGFIX: Fix ratio limiting bug (closes #835217)
    - BUGFIX: Do not display .!qB file extensions in Web UI
    - BUGFIX: Stop using absolute URLs in Web UI ajax requests (closes #1011226)
    - BUGFIX: Fix torrent association and loading on Mac OS X (closes #1011229)
    - BUGFIX: Fix unreversible "Minimize to tray" on some window managers (closes #917825)

* Sun May 20 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.9
    - BUGFIX: More reliable RSS feed parsing (closes #1001777)
    - BUGFIX: Better support for cookies in RSS
    - BUGFIX: Make sure show/hide text in tray icon menu is correct
    - COSMETIC: Improve style of left panel
    - COSMETIC: Never disable properties panel
    - COSMETIC: Make sure first tab is initially selected in options dialog
    - COSMETIC: Fix a few focus issues on Mac OS X

* Sat May 5 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.8
    - BUGFIX: Various UI style fixes
    - BUGFIX: Fix compilation with gcc 4.7
    - BUGFIX: Fix possible compilation error with msvc (Windows)
    - BUGFIX: Fix compilation on OS/2
    - I18N: Update Italian translation

* Sun Mar 18 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.7
    - BUGFIX: Fix important HTTP request parsing bug (Web UI)

* Sat Mar 17 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.6
    - BUGFIX: Fix download first/last pieces state reporting
    - BUGFIX: Fix name of progress column in torrent content panel
    - BUGFIX: Disable system tray icon on Mac OS X
    - BUGFIX: RSS downloader should not ignore "Do not start automatically" rule (closes #946910)
    - BUGFIX: Fix DHT port setting in Web UI (Closes #952182)
    - BUGFIX: Fix possible Web UI authentication problem when using SSL (closes #941343)
    - BUGFIX: Fix possible issues with folder removal when removing a torrent
    - I18N: Add Basque translation

* Sat Feb 18 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.5
    - BUGFIX: Fix crash when disabling then reenabling RSS
    - BUGFIX: Fix duplicate torrent detection when adding a magnet link
    - BUGFIX: Fix import of new trackers when adding a torrent with same hash (Closes #747000)
    - BUGFIX: Fix possible redownload of torrents marked as read (Closes #927495)
    - BUGFIX: Properly remove RSS feed settings/history upon feed removal

* Sat Feb 18 2012 - Christophe Dumez <chris@qbittorrent.org> - v2.9.4
    - BUGFIX: qBittorrent does not handle redirection to relative URLs correctly (Closes #919905)
    - BUGFIX: Cmd+M minimizes main window on Mac OS X (Closes #928216)
    - BUGFIX: Cmd+Del removes torrents on Mac OS X (Closes #928852)
    - BUGFIX: Fix potential bug when moving single file torrents to tmp folder (closes #932861)
    - BUGFIX: Fix torrent import dialog layout (Closes #930932)
    - BUGFIX: Prevent log window buffer from filling up (Closes #929673)
    - I18N: Add Belarusian translation

* Thu Dec 29 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.9.3
    - BUGFIX: Fix btdigg plugin (Python3 support + torrent name in magnet links)
    - BUGFIX: Fix banning of IPv6 peers (Closes #885021)
    - BUGFIX: Fix torrent addition dialog layout problem (Closes #84650522)
    - BUGFIX: Do not report any progress for disabled files (Closes #56731485)
    - BUGFIX: Make torrent sorting case insensitive (Closes #857154)
    - BUGFIX: Improve Web UI usability of small devices
    - BUGFIX: Program updater: More reliable version detection / comparison
    - I18N: Add Georgian translation

* Sat Oct 29 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.9.2
    - BUGFIX: Fix minimum dimensions for torrent addition dialog
    - BUGFIX: Remove dependency on boost-datetime
    - BUGFIX: Remove dependency on boost-filesystem (libtorrent v0.16.x)

* Sun Oct 23 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.9.1
    - BUGFIX: Add support for speed limits scheduling (Web UI)
    - BUGFIX: Fix ratio calculation for purely seeded torrents
    - I18N: Update Russian translation
    - COSMETIC: Torrent addition dialog layout fixes

* Sat Oct 08 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.9.0
    - FEATURE: Add file association settings to program preferences (Windows)
    - FEATURE: Add setting to ignore slow torrents in queueing system
    - FEATURE: Add advanced setting to announce to all trackers
    - FEATURE: Add support for anonymous mode (libtorrent >= v0.16)
    - FEATURE: Add quick "set as default save path" checkbox to torrent addition dialog (sledgehammer999)
    - BUGFIX: Add tray menu entry for toggling window visibility
    - BUGFIX: Fix execution log lines selection and copying
    - BUGFIX: Reduce CPU usage when running Web UI
    - BUGFIX: Save RSS items to disk regularly for safety
    - BUGFIX: Fix ratio calculation (use all_time_download)
    - BUGFIX: Fix torrent upload issues (Web UI)
    - BUGFIX: Fix some IE incompatibilities (Web UI)
    - COSMETIC: Display speed at the beginning of the Window title
    - COSMETIC: Several cosmetic fixes to the Web UI
    - COSMETIC: Make top toolbar follow system style
    - OTHER: Display libraries versions in about dialog (sledgehammer999)
    - OTHER: Display qBittorrent version in Web UI about dialog

* Thu Jun 02 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.8.0
    - FEATURE: Added full libtorrent v0.16 support (uTP, ...)
    - FEATURE: Proxy can be disabled for peer connections
    - FEATURE: Added support for secure SMTP connection (SSL)
    - FEATURE: Added support for SMTP authentication
    - FEATURE: Added UPnP/NAT-PMP port forward for the Web UI port
    - FEATURE: qBittorrent can update dynamic DNS services (DynDNS, no-ip)
    - FEATURE: Display peer connection type in peer list (BT, uTP, Web)
    - FEATURE: Added full regex support to RSS downloader
    - FEATURE: Added regex help and validation in RSS downloader
    - FEATURE: Added HTTPS support to Web UI (Ishan Arora)
    - BUGFIX: Change systray icon on the fly (no restart needed)
    - BUGFIX: Remember peer-level rate limits (requires libtorrent v0.16)
    - BUGFIX: Stop annoncing to trackers an all tiers (more respectful)
    - BUGFIX: Stop sharing private trackers with other peers
    - BUGFIX: Tracker exchange extension can be disabled
    - BUGFIX: Cleaner program exit on system log out
    - BUGFIX: Fix possible magnet link parsing problems
    - BUGFIX: Fix possible RSS URL parsing problems
    - COSMETIC: Added monochrome icon for light themes

* Sun Mar 20 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.7.0
    - FEATURE: Added search field for torrent content
    - FEATURE: Added auto-shutdown confirmation dialog
    - FEATURE: Added option to skip torrent deletion confirmation (Ville Kiiskinen)
    - FEATURE: IP address reported to trackers is now customizable
    - FEATURE: Inhibit system sleep when torrents are active (Vladimir Golovnev)
    - FEATURE: Added option to bypass Web UI authentication for localhost
    - FEATURE: Added option to disable program exit confirmation
    - FEATURE: Added per-torrent ratio limiting (Christian Kandeler)
    - FEATURE: Torrent content list is now sortable
    - BUGFIX: Fix compilation with namespaced Qt (Christian Kandeler)
    - BUGFIX: Added length restriction on UI lock password
    - COSMETIC: Added monochrome tray icon
    - COSMETIC: Improved status bar's style
    - OTHER: Make QtDBus dependency optional (X11)

* Sun Jan 9 2011 - Christophe Dumez <chris@qbittorrent.org> - v2.6.0
    - FEATURE: Use system icons (Linux, Qt >= 4.6)
    - FEATURE: Improved ETA calculation
    - FEATURE: Simplify program preferences
    - FEATURE: Software update check can now be disabled (Mac OS X / Windows)
    - FEATURE: Display pieces size in torrent properties
    - FEATURE: Added "Time Active/Seeded" column to transfer list
    - FEATURE: Give feedback regarding the IP filter parsing
    - FEATURE: Added a button to reload the IP filter
    - FEATURE: Search engine results can now be opened in a Web browser
    - FEATURE: Added a search engine plugin to extratorrent.com
    - FEATURE: Added a search engine plugin for kickasstorrents.com
    - FEATURE: Added auto-suspend upon downloads completion feature
    - BUGFIX: Hide unwanted files that have to be partly downloaded
    - BUGFIX: Do not allocate space for unwanted files (preallocation mode)
    - I18N: Added Galician translation
    - COSMETIC: Same deletion confirmation dialog in the GUI and Web UI
    - COSMETIC: Simplified the top toolbar
    - COSMETIC: Display execution log as a tab instead of a modal window

* Sun Dec 5 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.5.0
    - FEATURE: qBittorrent can now act as a tracker
    - FEATURE: New and improved RSS feed automated downloader
    - FEATURE: Added feature to shutdown qbittorrent on torrents completion
    - FEATURE: Added a torrent import assistant to seed or keep downloading outside torrents
    - FEATURE: qBittorrent can update itself from Sourceforge (Windows/Mac OS X only)
    - FEATURE: Added a transfer list column to display the current tracker
    - FEATURE: Remember the last trackers used in the torrent creation tool
    - FEATURE: The optimal piece size is now automatically computed in the torrent creation tool
    - FEATURE: Bring up the connection settings when clicking on the connection status icon
    - FEATURE: Major code refactoring and optimization
    - FEATURE: Added "Amount downloaded/left" columns to transfer list
    - FEATURE: Simplified proxy settings
    - FEATURE: Optimized and improved the peer country resolution code
    - FEATURE: Download first/last pieces first when sequential download is
    enabled (Thanks Ahmad)
    - FEATURE: Download first/last pieces first now applies to all media files
    in the torrent (Thanks Ahmad)
    - BUGFIX: Fix SOCKS5 proxy authentication in search engine(closes #680072)
    - BUGFIX: Fix two advanced settings (ignore limits on LAN and protocol
    overhead inclusion in rate limiter)
    - BUGFIX: Fix strict super seeding (was not working)
    - BUGFIX: Improve magnet save path handling (closes #683395)
    - BUGFIX: Disable overwrite confirmation in torrent addition dialog (closes # 685269)
    - COSMETIC: Replaced message box by on-screen notification for download errors
    - COSMETIC: Improved the torrent creation tool appearance
    - COSMETIC: Use country flags by Mark James (Thanks to Dmytro Pukha)
    - COSMETIC: Use bigger alternative speed icon
    - OTHERS: Dropped support for Qt <= 4.4

* Tue Aug 24 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.4.0
    - FEATURE: Added actions to "Move to top/bottom" of priority queue
    - FEATURE: Auto-Shutdown on downloads completion
    - FEATURE: Email notification on download completion
    - FEATURE: Added button to password-lock the UI
    - FEATURE: Added label-level Pause/Resume/Delete actions
    - FEATURE: Torrents can now be filtered by name
    - FEATURE: Run external program on torrent completion
    - FEATURE: Detect executable updates in order to advise the user to restart

* Tue Jul 27 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.3.0
    - FEATURE: Simplified torrent root folder renaming/truncating (< v2.3.0 is no longer forward compatible)
    - FEATURE: Remember previous save paths in torrent addition dialog
    - FEATURE: Max number of half-open connections can now be edited
    - FEATURE: Added support for strict super seeding
    - FEATURE: The user can force listening on a particular network interface
    - FEATURE: Added cookie support for RSS feeds
    - FEATURE: User can force tracker reannounce
    - FEATURE: Added "No action" setting for double-click action
    - FEATURE: Several torrents can be moved at once
    - FEATURE: Added error state for torrents (error is displayed in a tooltip)
    - FEATURE: Added filter for paused/error torrents
    - FEATURE: Add Check/Uncheck all feature in Web UI
    - FEATURE: Search engine can now be disabled
    - FEATURE: Torrents can be automatically paused once they reach a given ratio
    - FEATURE: Several files can now be disabled at once
    - FEATURE: Added "Select All/None" buttons to files list
    - FEATURE: Added support for BitComet links (bc://bt/...)
    - BUGFIX: Hide seeding torrents files priorities in Web UI
    - BUGFIX: The user can disable permanently recursive torrent download
    - BUGFIX: Peer Exchange status is now correctly reported
    - BUGFIX: Use an INI file instead of the registry on Windows (More reliable)
    - BUGFIX: Removed client spoofing feature to avoid tracker blacklisting
    - COSMETIC: Display peers country name in tooltip
    - COSMETIC: Display number of torrents in transfers tab label
    - COSMETIC: Simplified program preferences
    - COSMETIC: Fix naming of actions opening new dialogs (use Name...)

* Sun Mar 14 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.2.0
    - FEATURE: User can set alternative speed limits for fast toggling
    - FEATURE: Bandwidth scheduler (automatically use alternative speed limits for a given period)
    - FEATURE: Added "Added/Completed On" columns to transfer list
    - FEATURE: Added "Upload/Download limit" columns to transfer list
    - FEATURE: Torrent files can be exported to a given directory
    - FEATURE: Outgoing ports range can be customized (for QoS)
    - FEATURE: User can choose to apply transfer limits on LAN too
    - FEATURE: User can choose to include the protocol overhead in transfer limits
    - FEATURE: Torrents can be automatically rechecked on completion
    - FEATURE: If 2 torrents have the same hash, add new trackers/URL seeds to the existing torrent
    - FEATURE: Trackers can be added from Web UI
    - FEATURE: Global transfer information are displayed in the new Web UI status bar
    - FEATURE: Allow to change the priority of several files at once
    - FEATURE: Support for multiple scan folders (Patch by Christian Kandeler)
    - BUGFIX: Only one log window can be opened at a time
    - BUGFIX: Optimized RSS module memory usage
    - BUGFIX: Consider HTTP downloads >1MB as invalid .torrent files and abort
    - BUGFIX: Fix Web UI authentication with some browsers
    - BUGFIX: Set Web UI ban period to 1 hour
    - COSMETIC: Improved style management

* Mon Jan 18 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.1.0
    - FEATURE: Graphical User Interface can be disabled at compilation time (headless running)
    - FEATURE: Torrents can be labeled/categorized
    - FEATURE: Labeled torrent can be downloaded corresponding subfolders
    - FEATURE: Disk cache size can be set from preferences
    - FEATURE: Peer Exchange (PeX) can be disabled from preferences
    - FEATURE: Append !.qB extension to incomplete files option (libtorrent >= v0.15 only)
    - FEATURE: Torrent files/folders can be renamed (torrent addition dialog or files properties)
    - FEATURE: uTorrent compatible tracker list support (use torrentz.com url as a default)
    - FEATURE: Better proxy support and preferences remodeling
    - FEATURE: qBittorrent can identify itself as uTorrent, Vuze or KTorrent (Any stable version)
    - FEATURE: Torrents can be renamed in transfer list
    - FEATURE: Display torrent addition dialog for magnet links too
    - FEATURE: Files contained in a torrent are opened on double click (files panel)
    - FEATURE: Added support for magnet links in search engine
    - FEATURE: Added vertor.com and torrentdownloads.net search plugins
    - FEATURE: Search engine can now use a SOCKS5 proxy
    - FEATURE: HTTP proxy support for peer communication
    - BUGFIX: Search engine loads new proxy settings without program restart
    - BUGFIX: Use XDG folders (.cache, .local) instead of .qbittorrent
    - BUGFIX: Added legal notice on startup that the user must accept
    - BUGFIX: Protect Web UI authentication against brute forcing
    - BUGFIX: Use HTTP digest mode for Web UI authentication (instead of Basic)
    - BUGFIX: Properly display torrents with one file in subfolder(s)
    - BUGFIX: Display Web UI favicon
    - BUGFIX: File priority can be set for finished torrents that have filtered files
    - COSMETIC: Use checkboxes to filter torrent content instead of comboboxes
    - COSMETIC: Use alternating row colors in transfer list (set in program preferences)
    - COSMETIC: Added a spin box to speed limiting dialog for manual input

* Mon Jan 11 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.0.7
    - BUGFIX: Fix 'Add in pause' setting in torrent addition dialog
    - BUGFIX: Update RSS feed as soon as feed downloader is enabled
    - BUGFIX: RSS Feed downloader ignores articles above maximum number of articles
    - BUGFIX: Fix possible bug when deleting a RSS folder
    - BUGFIX: Remove persistent data when a RSS feed is deleted
    - BUGFIX: RSS filters are now alphabetically sorted
    - BUGFIX: Fix crash when renaming currently displayed RSS filter
    - BUGFIX: Remove overwriting confirmation when exporting RSS filters since Qt takes care of it

* Tue Jan 5 2010 - Christophe Dumez <chris@qbittorrent.org> - v2.0.6
    - BUGFIX: Fix detection of invalid torrent files
    - BUGFIX: Stop catching signals once one has been caught to avoid possible infinite loop
    - BUGFIX: Force data recheck whenever a torrent is moved
    - BUGFIX: Detect existing torrent data even if incomplete torrents are saved to a different folder
    - COSMETIC: Improve torrent deletion confirmation dialog so that the text that not get truncated

* Thu Dec 31 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.5
    - BUGFIX: Fix crash with downloaded/availability bars when the torrent has too many pieces

* Wed Dec 30 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.4
    - BUGFIX: Fix PeerGuardian .p2b binary filter support
    - BUGFIX: Fix possible crash when closing a search engine tab
    - BUGFIX: Make sure service port does not change
    - BUGFIX: Fix possible DHT port saving issue
    - BUGFIX: Fix communication between qBittorrent and Web UI (Qt 4.6)
    - BUGFIX: Use Wildcard matching instead of full regex in RSS feed downloader
    - BUGFIX: Fix code for listening on a random port whenever it failed to listen on the one defined
    - BUGFIX: Use global maximum transfer rates as maximum values in per-torrent speed limiting dialogs
    - BUGFIX: Fix global download rate limiting from Web UI
    - COSMETIC: Display a disconnected icon in status bar whenever qBittorrent failed to listen on the port defined

* Wed Dec 23 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.3
    - BUGFIX: Minor cosmetic fix to program preferences
    - BUGFIX: Fix "Temp path" button in program preferences
    - BUGFIX: Handle paths with [~, ., ..] properly
    - BUGFIX: Trackers are now displayed for torrents without metadata
    - BUGFIX: Fix issue with speed limiting (unlimited was not handled properly)
    - BUGFIX: Use the save path set in program preferences as a default in torrent addition dialog

* Fri Dec 18 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.2
    - BUGFIX: Fix .qbittorrent folder not being created (critical bug introduced in v2.0.1 that makes qBittorrent unusable for new users)
    - BUGFIX: Fix RSS Feed downloader for some feeds
    - BUGFIX: Do not use home folder as a fallback when the save path is not accessible
    - BUGFIX: Fix Mininova, ThePirateBay search engine plugins
    - BUGFIX: Read RSS articles are remembered on restart for feeds with no torrents attached

* Sun Dec 13 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.1
    - BUGFIX: µTorrent user-agent is now spoofed correctly
    - BUGFIX: Fix column hiding behavior when queueing system is disabled
    - BUGFIX: Fix link to plugins.qbittorrent.org in plugins dialog
    - BUGFIX: ~/qBT_dir is created only when it is actually used
    - BUGFIX: Fix possible missing slot message (toggleSelectedTorrentsSuperSeeding)
    - BUGFIX: Fix possible crash in torrent properties (files)
    - BUGFIX: Added Hex Magnet Links support (Thanks Haypo)

* Thu Dec 10 2009 - Christophe Dumez <chris@qbittorrent.org> - v2.0.0
    - FEATURE: Added program option to disable splash screen
    - FEATURE: Dropped dependency on libcurl and libzzip
    - FEATURE: Display more information regarding the torrent in its properties
    - FEATURE: Various optimizations to save CPU and memory
    - FEATURE: Folder scanning now works with CIFS and NFS mounted folders
    - FEATURE: Speed up qBittorrent startup and shutdown
    - FEATURE: Display per-torrent peer list
    - FEATURE: Make sure torrent files are always sorted by name
    - FEATURE: Seeds and Peers columns are now sortable
    - FEATURE: Torrents can be rechecked from Web UI (Stephanos Antaris)
    - FEATURE: New peers can manually be added to the torrents
    - FEATURE: Support per-peer rate limiting
    - FEATURE: Support peer manual ban
    - FEATURE: Display total amounts transferred in status bar
    - FEATURE: Display trackers status as well as error/warning messages
    - FEATURE: Display the number of peers returned by each tracker & DHT/PeX/LSD
    - FEATURE: Global upload/download speeds can be capped from status bar (µTorrent behavior)
    - FEATURE: Added option to download first and last piece of a torrent main file first (for preview)
    - FEATURE: Graphically display piece availability in torrent properties
    - FEATURE: Dropped Qt 4.3 support (Qt >= 4.4 is now required)
    - FEATURE: Display close tab button into the tabs in search engine (Qt >= 4.5 only)
    - FEATURE: Show official documentation when pressing F1 key
    - FEATURE: Search engine plugins now handle HTTP protocol gzip compression
    - FEATURE: Enabled lazy bitfield as a counter-measure for ISP speed throttling
    - FEATURE: Fall back to a random port if qBittorrent could not listen on the chosen port
    - FEATURE: Announce to all trackers specified for a torrent (µTorrent behavior) (libtorrent >= v0.15 only)
    - FEATURE: Added per-torrent super seeding mode (libtorrent >= v0.15 only)
    - FEATURE: Support for storing symbolic links in .torrent files (libtorrent >= v0.15 only)
    - FEATURE: Support for uTorrent interpretation of multi-tracker torrents (libtorrent >= v0.15 only)
    - FEATURE: Handle torrents with duplicate filenames (libtorrent >= v0.15 only)
    - FEATURE: Support for merkle hash tree torrents (.merkle.torrent) (libtorrent >= v0.15 only)
    - FEATURE: Metadata download from swarm is now compatible with µtorrent (libtorrent >= v0.15 only)
    - FEATURE: Support tracker exchange between peers (libtorrent >= v0.15 only)
    - FEATURE: Better http seed support (libtorrent >= v0.15 only)
    - FEATURE: Tracker connections are now also subject to IP filtering (libtorrent >= v0.15 only)
    - FEATURE: Include DHT traffic in the rate limiter (libtorrent >= v0.15 only)
    - FEATURE: Support for bitcomet padding files (libtorrent >= v0.15 only)
    - FEATURE: Option to skip file checking and start seeding immediately in torrent addition dialog (Stephanos Antaris) (libtorrent >= v0.15 only)
    - BUGFIX: Made sure qBittorrent does not scrape the tracker too frequently (libtorrent >= 0.15 only)
    - BUGFIX: Fix Paste action in search engine field
    - BUGFIX: Fix possible double free in search engine destructor
    - BUGFIX: Properly handle trackers error messages
    - WEB UI: Remodeled Web UI to match new qBittorrent UI (Properties and preferences available)
    - WEB UI: Added internationalization support
    - WEB UI: Reduced computation in Javascript (do this one server side instead)
    - WEB UI: Fixed Transfer list flickering
    - WEB UI: Password is now stored as md5
    - I18N: Added Serbian translation (By Anaximandar Milet)
    - COSMETIC: Merged download / upload lists
    - COSMETIC: Torrents can be filtered based on their status
    - COSMETIC: Torrent properties are now displayed in main window
    - COSMETIC: Made program preferences scrollable for usability on small screens (e.g. netbooks)
    - COSMETIC: Added a "torrent status" column to transfer list
    - COSMETIC: Display Seeds and Peers in two separate columns
    - COSMETIC: New deletion confirmation dialog (Merged delete/delete permanently actions)
    - COSMETIC: Improved status bar layout spacing
    - COSMETIC: Display speeds with more user friendly units instead of always using KiB/s
    - COSMETIC: New torrent status icons by Mateusz Tolola
    - COSMETIC: Make use of libnotify if available for system notifications (Ubuntu, ...)

* Tue Nov 17 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.6
  - BUGFIX: RSS feed articles can now be displayed using keyboard arrows
  - BUGFIX: RSS feed downloader can only process unread articles now
  - BUGFIX: Fixed memory leak in RSS parser
  - BUGFIX: Fixed possible crash in search autocompletion
  - BUGFIX: Improved ETA calculation for big torrents
  - BUGFIX: Fixed per-torrent speed limiting

* Wed Nov 4 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.5
  - BUGFIX: Fixed man page
  - BUGFIX: Fix crash on torrent addition (if libtorrent-rasterbar has debug enabled)
  - BUGFIX: Fix trackers addition to torrents (bug introduced in v1.5.4)
  - BUGFIX: Suppress compilation warning regarding sortNewsList() not being used
  - BUGFIX: Make sure scan folder is different than qBittorrent backup directory to avoid torrents deletion
  - BUGFIX: Added safety mechanism which adds the torrents back to the list in case qbittorrent-resume.conf gets deleted or corrupted.

* Sun Oct 25 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.4
  - BUGFIX: Updated man page
  - BUGFIX: Fixed possible crash with torrents containing unicode characters
  - BUGFIX: Fixed problem when disabling systray integration and starting minimized
  - BUGFIX: Fixed PirateBay search plugin
  - BUGFIX: Using Download button in search results list now downloads the right torrents
  - BUGFIX: The search results list is no longer sorted automatically when a row color is updated

* Wed Sep 30 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.3
  - BUGFIX: Fix a possible crash when pausing then deleting a torrent quickly
  - BUGFIX: Fix a race condition in folder scanning and torrent downloader
  - BUGFIX: Hide download url column in search results
  - BUGFIX: Fix a crash when scanned directory does not exist
  - BUGFIX: Fix compilation on Mac OS
  - BUGFIX: Added a command line parameter to disable splash screen
  - BUGFIX: Ignore permanent deletion button when no torrent is selected
  - BUGFIX: When a selected torrent is deleted, select next suitable torrent

* Sun Sep 20 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.2
  - BUGFIX: Some torrents were pausing for no reason
  - I18N: Updated Korean translation

* Thu Sep 7 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.1
   - BUGFIX: Fix crash in torrent addition dialog when save path does not exist (closes #425227)
   - BUGFIX: Fix downloading from URL (broken in v1.5.0)
   - BUGFIX: Pause torrents in error state

* Thu Sep 3 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.5.0
    - FEATURE: Added Magnet URI support
    - FEATURE: Search engine supports category-based requests
    - FEATURE: Make use of torrent enclosure in RSS feeds for direct download
    - FEATURE: Implemented a RSS feed downloader with filter support
    - FEATURE: Save old RSS item to hard disk to remember them on start up
    - FEATURE: Display free disk space in torrent addition dialog
    - FEATURE: In torrent addition from URL, paste clipboard content if it contains an URL
    - FEATURE: RSS feeds URLs can now be copied to clipboard
    - FEATURE: RSS feeds can now be grouped into folders
    - FEATURE: Added "Unread" item to RSS feed list to display all unread news
    - FEATURE: If a torrent contains a torrent file, process downloaded torrent file too
    - FEATURE: A random listening port can be chosen automatically
    - BUGFIX: torrent resume code rewritten
    - BUGFIX: Fixed uTorrent spoofing code
    - BUGFIX: Greatly improved column sorting code
    - BUGFIX: Possibility to create trackerless torrents
    - BUGFIX: Better item coloring in torrent content filtering dialog
    - COSMETIC: Redesigned search tab to improve usability
    - COSMETIC: Redesigned RSS tab to improve usability
    - COSMETIC: Improved tracker errors readability

* Sun Aug 21 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.4.1
    - BUGFIX: Fix problems when changing save path (if using temporary download folder)
    - BUGFIX: Display real save path instead of the temporary one in torrent properties
    - BUGFIX: Catching invalid_handle exception to avoid rare crashes
    - BUGFIX: Fixed popup menu position in RSS feeds list
    - BUGFIX: Don't save RSS feed state if it could not be updated

* Thu Aug 13 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.4.0
    - FEATURE: Display swarm information in lists
    - FEATURE: Allow to define temporary download folder
    - FEATURE: Display total amount of uploaded data in finished list
    - FEATURE: Resizing a column in a search results tab affects all tabs
    - FEATURE: Search results tab columns are now remembered upon startup
    - FEATURE: Added right click menu in search engine to clear completion history
    - FEATURE: Allow to set a different port for DHT (UDP) than the one used for Bittorrent
    - FEATURE: Updated spoofing code to avoid trackers ban
    - BUGFIX: Provide more helpful explanation when an I/O error occurred
    - BUGFIX: Stop enforcing UTF-8 and use system locale instead
    - COSMETIC: Redesigned program preferences
    - COSMETIC: Updated icons set

* Fri Jul 24 2009 - Christophe DUMEZ <chris@qbittorrent.org> - 1.3.5
    - BUGFIX: Made IP filter parser more robust
    - BUGFIX: Fixed torrent creation tool
    - BUGFIX: Fixed possible overflow in progress calculation in arborescence.h
    - BUGFIX: Save properties window size, position, columns width and restore them
    - BUGFIX: Set a minimum default width for NAME column in properties
    - BUGFIX: Remember visual indexes of columns in transfer lists

* Sun Jul 12 2009 - Christophe DUMEZ <chris@qbittorrent.org> - v1.3.4
    - BUGFIX: Fixed IP filter file parsing on 64bits
    - BUGFIX: Suppressed QLayout: Attempting to add QLayout "" to properties "properties" warning message when opening a properties dialog
    - BUGFIX: Fixed a little bug in search engine plugins helper file
    - BUGFIX: Fixed compilation problems with Qt 4.3
    - BUGFIX: Percentages no longer disappear with default cleanlooks style
    - BUGFIX: Cleanly fixed popup menus position in lists (no more workarounds)
    - BUGFIX: Fixed memory leak in search engine
    - BUGFIX: Torrents with an infinite ratio are no longer affected by ratio_limit set in program preferences
    - BUGFIX: Display a ratio of 0.0 if total_upload and total_download are both 0
    - BUGFIX: Remove last separator in top tool bar
    - BUGFIX: Tuned lists properties to make sure display is correct
    - COSMETIC: Display date as well as time in log window

* Sun Apr 5 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.3.3
    - BUGFIX: Fixed Web UI torrent upload form
    - BUGFIX: Fixed unicode support in search engine
    - BUGFIX: Fixed search engine bug that prevented a torrent from appearing more than once among all tabs
    - LICENSE: Added an exception to the license regarding OpenSSL.
    - I18N: Updated Finnish translation

* Sat Mar 7 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.3.2
    - BUGFIX: Fix top toolbar disabling
    - BUGFIX: Fix building with Qt 4.5
    - BUGFIX: RSS items read status is now remembered upon restart

* Mon Jan 26 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.3.1
    - BUGFIX: Torrents paused due to an I/O error were displayed as queued
    - BUGFIX: qBittorrent now prints backtrace in terminal when segfaulting
    - BUGFIX: Fixed files progress display in torrent properties
    - BUGFIX: Improved torrent ratio calculation
    - BUGFIX: Fixed possible crash when parsing filter file
    - BUGFIX: Made some code optimization
    - BUGFIX: Fixed download/upload speed decrease problems
    - I18N: Updated Finnish, Bulgarian and Greek translations

* Fri Jan 9 2009 - Christophe Dumez <chris@qbittorrent.org> - v1.3.0
    - FEATURE: Based on libtorrent-rasterbar v0.14.2
    - FEATURE: Improved ratio calculation system
    - FEATURE: Torrent creation code cleanup
    - FEATURE: Allow to set maximum number of active seeds (queueing)
    - FEATURE: Now seeds priorities are handled automatically by libtorrent-rasterbar (queueing)
    - FEATURE: Code cleanup and optimization (save memory and cpu)
    - FEATURE: ETA calculation now relies on average speed over all sessions
    - FEATURE: Allow to force rechecking torrents
    - FEATURE: Added support for 2 new extensions (uTorrent metadata and smart ban plugin)
    - FEATURE: Allow to change the save path of torrents after addition
    - FEATURE: Got rid of libmagick++ dependency
    - FEATURE: Updated Web interface to MochaUI v0.9.5
    - FEATURE: Added notification in WebUI when qBittorrent is not reachable
    - FEATURE: Rewrote folder scanning code (Now uses a filesystem watcher)
    - FEATURE: Added torrent deletion from hard drive function in Web UI
    - FEATURE: Added queueing priority actions in Web UI
    - FEATURE: Display progress using progress bars in Web UI
    - BUGFIX: Made usage of fastresume data more reliable
    - BUGFIX: qBittorrent shutdown is now faster
    - BUGFIX: Fixed several memory leaks
    - BUGFIX: WebUI is now working with IE7
    - BUGFIX: Fixed spacing problem in toolbar when toggling its visibility
    - BUGFIX: Fixed some compilation and Qt4 warnings
    - BUGFIX: Do not use an addition dialog for torrents from folder scanning
    - BUGFIX: Catch SIGTERM to exit cleanly (e.g. computer shutdown)
    - BUGFIX: Improved proxy support code
    - BUGFIX: Fixed systray icon tooltip on Windows
    - BUGFIX: Proxy settings are now saved even if disabled

* Sun Nov 9 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.2.1
    - BUGFIX: Fixed possible crash when deleting a torrent permanently
    - BUGFIX: Queued_for_checking torrents were not displayed as checking in seeding list
    - BUGFIX: Speed up startup time when having a lot of torrents

* Wed Oct 29th 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.2.0
    - FEATURE: Torrent queueing system (with priorities)
    - FEATURE: The number of DHT nodes is displayed
    - FEATURE: RSS can now be disabled from program preferences
    - FEATURE: Added collapse/expand all buttons in addition and properties dialogs
    - FEATURE: Can have different proxies for Bittorrent and search engine
    - FEATURE: Allow multiple item selection in Web UI transfer list
    - FEATURE: Moved uploads to a separate list in Web UI
    - BUGFIX: Totally rewritten Web UI list refresh system (fixed memory leak)
    - BUGFIX: Disable ETA calculation when ETA column is hidden
    - BUGFIX: Removed "disconnected" connection state, detection was far from perfect
    - BUGFIX: Torrents are no longer starting from scratch when changing default save path (when torrent addition dialog is disabled)
    - BUGFIX: Single instance code is now more reliable on Qt >= 4.4
    - COSMETIC: Transfer speed, ratio, connection status and DHT nodes are displayed in status bar
    - COSMETIC: RSS Tab is now hidden as a default
    - COSMETIC: Allow to hide or display top toolbar
    - COSMETIC: Log is now in a separate dialog

* Sun Sept 14 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.1.4
    - FEATURE: DHT is no longer used as fallback only
    - FEATURE: Ported WebUI to Mootools v1.2
    - BUGFIX: Fixed 'start seeding after torrent creation' feature
    - BUGFIX: Fixed compilation with boost v1.36
    - BUGFIX: Some code optimization
    - BUGFIX: Fixed memory leak in Web UI
    - BUGFIX: Fixed problems with column sorting
    - BUGFIX: Improved code for pausing torrents on startup
    - BUGFIX: Torrent addition dialog is now disabled for downloads from WebUI
    - BUGFIX: Give focus to input field in WebUI download dialog

* Tue Aug 26 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.1.3
    - BUGFIX: Fixed ratio saving for seeding torrents
    - I18N: Added czech and traditional chinese translations

* Sun Aug 17 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.1.2
    - BUGFIX: Fixed progress calculation
    - BUGFIX: Fixed finished torrent detection

* Fri Aug 01 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.1.1
    - BUGFIX: Fixed bad resource file for icons

* Fri Aug 01 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.1.0
    - FEATURE: Web interface to control qbittorrent (Ishan Arora)
    - FEATURE: Can spoof Azureus peer id to avoid ban
    - FEATURE: Allow to hide/show some columns in download and seeding lists
    - FEATURE: Option to start qBittorrent minimized in systray
    - FEATURE: Multi-tab support in search engine (Grigis Gaëtan)
    - FEATURE: Allow to define double-click actions in torrents lists
    - FEATURE: Allow to open torrent destination folder
    - FEATURE: Real progress bar in torrent properties that displays downloaded pieces
    - FEATURE: Allow to buy downloads using ShareMonkey
    - FEATURE: Display if UPnP/NAT-PMP was successful or not
    - FEATURE: Threadified torrent creation
    - FEATURE: Improved eMule DAT ip filter parser
    - FEATURE: Added support for PeerGuardian p2p filters (text)
    - FEATURE: Added support for PeerGuardian p2b filters (binary)
    - FEATURE: Allow to customize folder scan interval
    - FEATURE: Allow to add several trackers at once
    - BUGFIX: Allow to run one instance of qBittorrent per user
    - BUGFIX: Do not display seeds number in seeding list (always 0)
    - BUGFIX: Threadified IP filter file parser to avoid GUI freeze
    - BUGFIX: Ask if we want to redownload if content was deleted from hard drive
    - BUGFIX: Added missing copyright/licensing information for some files
    - BUGFIX: qBittorrent is no longer conflicting with rTorrent (libtorrent renamed to libtorrent-rasterbar)
    - COSMETIC: Do not display progress bar in seeding list (always 100%)
    - COSMETIC: Added a progress bar for torrent creation
    - COSMETIC: Display tracker errors in a cleaner way
    - COSMETIC: Display "unpaused/total_torrent" in download/upload tabs
    - COSMETIC: Allow to resize RSS column
    - COSMETIC: Global UP/DL speeds and ratio are displayed above tabs
    - COSMETIC: Use infinity symbol for ETA when time is infinite

* Fri Apr 11 2008 - Christophe Dumez <chris@qbittorrent.org> - v1.0.0
    - FEATURE: Based on new libtorrent v0.13
    - FEATURE: Added UPnP / NAT-PMP port forwarding support
    - FEATURE: Added encryption support (compatible with Azureus)
    - FEATURE: Bittorrent FAST extension support
    - FEATURE: Added RSS support
    - FEATURE: Support files prioritizing in a torrent
    - FEATURE: Brand new search engine plugins system
    - FEATURE: Filtered files don't appear on hard disk anymore
    - FEATURE: Finished torrents are now moved to another tab for seeding
    - FEATURE: Display more infos about the torrent in its properties
    - FEATURE: Allow the user to edit torrents' trackers
    - FEATURE: Allow user to change qBT's style (Plastique, Cleanlooks, Motif, CDE, MacOSX, WinXP)
    - FEATURE: Allow the user to disable system tray integration
    - FEATURE: Search engine is now using one thread per website for faster results
    - FEATURE: Improved a lot the torrent creation module
    - FEATURE: Allow to set upload/download limit per torrent (right click)
    - FEATURE: Ask for exit confirmation only if download list is not empty
    - FEATURE: Allow to use  a proxy for trackers / web seeds / peers / DHT connections
    - FEATURE: Supports SOCKS5 proxies as well as HTTP ones
    - FEATURE: Better systems integration (buttons, dialogs...)
    - FEATURE: Filtered files are not allocated on the hard-drive anymore (sparse file support)
    - FEATURE: IPs blocked by filter are now logged in GUI
    - FEATURE: Added a way to link against static libtorrent (useful for deb packages)
    - FEATURE: Allow to set global upload/download limits from tray icon menu
    - FEATURE: IPv6 is now fully supported
    - FEATURE: Real torrent share ratio is now displayed in transfer list
    - FEATURE: Added keyboard shortcuts for main actions (see wiki)
    - FEATURE: Added a popup menu to set priority for multiple files at once
    - FEATURE: Improved a lot downloading from urls (using libcommoncpp2 instead of libcurl)
    - FEATURE: A search request can now be terminated by another
    - FEATURE: User is now warned when fast resume data was rejected
    - FEATURE: Url seeds are now displayed in torrent properties and are editable
    - FEATURE: Allow to drag 'n drop urls on the main window
    - FEATURE: Improved search engine (multipage support in all plugins)
    - FEATURE: Added BTJunkie search engine plugin
    - FEATURE: Added an option to force full disk allocation for all torrents
    - FEATURE: Added an option to add torrents in paused state
    - FEATURE: Added an option to set the max number of connections per torrent
    - FEATURE: Added an option to set the max number of uploads per torrent
    - FEATURE: Added an option to automatically delete torrents when they reach a given ratio (>= 1.0)
    - FEATURE: Added an option to display current transfer speeds in title bar
    - FEATURE: Torrent content is now displayed as a tree
    - I18N: Added Hungarian translation
    - I18N: Added Brazilian translation
    - BUGFIX: Progress of paused torrents is now correct on restart
    - BUGFIX: Progress column gets sorted on restart it is was during last execution
    - BUGFIX: Made ETA more reliable using stats instead of instant values
    - BUGFIX: Remove torrent from hard drive used to delete parent folder if empty
    - BUGFIX: Fixed a crash when filtering all the files in a torrent
    - BUGFIX: Reload torrent only when necessary (properties)
    - BUGFIX: qBittorrent is not exiting anymore when a dialog is closed and main window is hidden
    - BUGFIX: Search plugin update is not making the GUI freeze anymore (moved to a thread)
    - BUGFIX: DHT settings were not saved correctly
    - BUGFIX: Workaround to build on Fedora system (pkg-config problem)
    - BUGFIX: search plugin update - do not display only last version changelog
    - BUGFIX: Search plugin update - fixed missing new lines in changelog
    - BUGFIX: The number of search results was not reset when clicking on 'Clear' button
    - BUGFIX: Update torrent progress when its content changed (filtered files)
    - BUGFIX: Improved the way menu icons are installed to avoid problems on some systems
    - BUGFIX: Improved incremental download
    - BUGFIX: Improved unicode support
    - BUGFIX: Made torrent deletion from hard-drive safer
    - BUGFIX: Prevent downloadFromUrl flooding
    - BUGFIX: ETA was wrong for torrents with filtered files
    - BUGFIX: Fixed drag'n drop on non-KDE systems
    - BUGFIX: Removed build dependency on Python
    - BUGFIX: Catching DHT exception in case there is a problem
    - COSMETIC: Redesigned torrent properties a little
    - COSMETIC: Totally redesigned program preferences
    - COSMETIC: Display more logs messages concerning features
    - COSMETIC: Improved lists renderers
    - COSMETIC: Use a different icon for torrents being checked and for connecting ones
    - COSMETIC: Improved some icons
    - COSMETIC: Improved systray tooltip style

* Mon May 07 2007 - Christophe Dumez <chris@qbittorrent.org> - v0.9.3
    - BUGFIX: Fixed pause toggle on double-click in download list
    - BUGFIX: The torrent size displayed now only takes unfiltered files into account
    - BUGFIX: Fixed compiling errors with libtorrent svn (future v0.13 with UPnP enabled)
    - BUGFIX: Remember sorted column in download list on restart
    - BUGFIX: Small fix in the german translation
    - BUGFIX: Some fixes in slovak translation

* Tue Apr 10 2007 - Christophe Dumez <chris@qbittorrent.org> - v0.9.2
    - BUGFIX: Window can now stay maximized on exit
    - BUGFIX: Use PKGCONFIG again for configuring libtorrent
    - BUGFIX: Allow to compile with libtorrent v0.11
    - BUGFIX: Disabled main window context menu (annoying)
    - I18N: Added Japanese translation
    - I18N: Updated Turkish translation

* Wed Apr 04 2007 - Christophe Dumez <chris@qbittorrent.org> - v0.9.1
    - BUGFIX: A lot of fixes in configure file

* Sun Apr 01 2007 - Christophe Dumez <chris@qbittorrent.org> - v0.9.0
    - FEATURE: Based on libtorrent v0.12
    - FEATURE: Based on Qt4.2
    - FEATURE: Brand new trayicon from Qt4.2
    - FEATURE: Support uTorrent Peer Exchange (PeX - exchanges peers between clients)
    - FEATURE: Added a menu action to visit qBittorrent website
    - FEATURE: Added a menu action to report a bug in qBittorrent
    - FEATURE: Improved the way parameters are passed between qBT instances (socket)
    - FEATURE: User is warned when hard drive becomes full and downloads are paused
    - FEATURE: Number of complete/incomplete sources are now displayed in download list for each torrent
    - FEATURE: Implemented close to systray
    - FEATURE: Added Autocompletion to search engine
    - FEATURE: Split BT & GUI parts (huge code rewriting & optimization)
    - FEATURE: New parameters for configure file to point to custom locations for libtorrent/libcurl
    - FEATURE: Update application style according to the system (WindowsXP, MacOS, X11)
    - BUGFIX: Two torrents can now have the same name although they are different (use their hash)
    - BUGFIX: Fixed download from url that would fail sometimes
    - BUGFIX: Save directory was reset to default when filtering files in torrent
    - BUGFIX: Force a refresh of download list when the window is shown (avoid delay)
    - BUGFIX: Fixed deletion from hard drive (failed for non-empty folders)
    - BUGFIX: qBittorrent now identifies its version correctly on the network
    - BUGFIX: Preventing GUI from freezing when deleting a download permanently
    - BUGFIX: Fixed directory scanning (stop trying to download the same files several times)
    - BUGFIX: Fixed bad loading of scan dir in option (widgets still disabled)
    - BUGFIX: Threads are now stopped cleanly before their destruction
    - BUGFIX: Create Options object only when necessary (to save memory)
    - BUGFIX: Let libtorrent store the torrent handles (save memory)
    - BUGFIX: Set DHT Port only when DHT is enabled
    - BUGFIX: Made ipfilter.dat parser less sensitive to errors
    - BUGFIX: Bring main window to foreground when asking for exit confirmation
    - I18N: Added Danish translation
    - I18N: Better internationalization thanks to dynamic text support
    - COSMETIC: Replaced OSD messages by Qt4.2 systray messages

* Tue Nov 28 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.8.0
    - FEATURE: Added a torrent addition dialog
    - FEATURE: Allow user to change DHT port
    - FEATURE: Added an action to remove files from download list and hard drive too
    - FEATURE: Rewritten intensively options code
    - FEATURE: Remember GUI settings in a cleaner way on restart
    - I18N: Added Finnish translation
    - I18N: Improved Italian translation a lot
    - BUGFIX: Enabled debug with Qt 4.2.1 too because Trolltech didn't fix their bug yet
    - BUGFIX: Fixed layout in torrent properties
    - BUGFIX: Made right click menu work for multiple selection in DL list
    - BUGFIX: Fixed utf-8 support in paths and filenames
    - BUGFIX: Could only listen on the first IP of the given range
    - COSMETIC: Connection status in toolBar is not clickable anymore
    - COSMETIC: Displaying save path in torrent properties window
    - COSMETIC: Reworked options window a little
    - COSMETIC: Remember mainwindow position during last execution

* Mon Oct 16 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.7.1
    - I18N: Updated French, Polish, Dutch, Swedish, Slovak translations
    - BUGFIX: Fixed Seeds/Leechers display in torrent properties
    - BUGFIX: Fixed finished torrent state on restart
    - BUGFIX: Fixed trayicon with Qt 4.2
    - BUGFIX: Enabling debug when Qt 4.2.0 is detected (because of a bug in this Qt)
    - BUGFIX: Fixed new lines in log widget with Qt 4.2
    - BUGFIX: Display errors to stderr instead of stdout
    - BUGFIX: Forgot to catch invalid_handle exception thrown by libtorrent
    - BUGFIX: Close torrents properties windows when they are deleted
    - BUGFIX: Fixed prefix in Makefile

* Fri Oct 13 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.7.0
    - FEATURE: Based on new libtorrent v0.11 (a lot of bugfixes, new features)
    - FEATURE: Added DHT (Trackerless - Decentralized BT) support
    - FEATURE: Audio/Video File previewing while downloading
    - FEATURE: Added support for incremental download (slower but great for previewing)
    - FEATURE: Added Tracker authentication support
    - FEATURE: Defined qBittorrent fingerprint so that it doesn't use libtorrent fingerprint anymore
    - FEATURE: Display an explicit error message when a download from url fails
    - FEATURE: Allow the download multiple torrents from urls at once
    - FEATURE: New context menu on main window (Add, Start all, Pause all, Exit...)
    - FEATURE: Now supports one new search engines (MegaNova)
    - FEATURE: Rewritten search engine plugin (by fab31)
    - FEATURE: Rewritten parts of the download/search lists to improve performance
    - FEATURE: Individual share ratio is now displayed in each torrent properties.
    - FEATURE: Tuned default settings to improve download speed
    - FEATURE: Downloading from an URL will retry 10 times if too many users.
    - FEATURE: Now remembers filtered pieces in a torrent on restart
    - FEATURE: Now updating pieces progress in real time in torrent properties
    - I18N: Added Norwegian translation
    - BUGFIX: Fixed a memory leak when pressing OK in torrent properties
    - BUGFIX: Improved code so that GUI never freeze during downloading from an url
    - BUGFIX: Forgot to remove torrent file from scanned directory when "Clear Finished torrents" is enabled
    - BUGFIX: Fixed multiple selection in torrent content tab
    - BUGFIX: Improved configure file (detects libboost-thread)
    - BUGFIX: Fixed trayicon on some window managers (Gnome, XFCE)
    - BUGFIX: Always set maximum limit for connection depending on system
    - BUGFIX: Fixed Memory leaks in search engine
    - BUGFIX: Remove torrent file from scanned directory if it is already in download list
    - BUGFIX: Fixed possible segfault on loading due to columns size loading
    - BUGFIX: Fixed problems that could happen with delete selection action
    - BUGFIX: Fixed an arithmetic exception that could happen in ETA calculation
    - BUGFIX: Fixed Isohunt search engine
    - BUGFIX: Fixed download from URL function (was buggy)
    - BUGFIX: Fixed download button in search engine
    - BUGFIX: Fixed selective download
    - BUGFIX: Fixed memory leaks in torrent properties
    - BUGFIX: Fixed tooltip behaviour for trayicon
    - BUGFIX: Fixed Ipfilter.dat loading
    - BUGFIX: Not loading options every time we display options anymore
    - COSMETIC: Now displaying the number of downloads in tab title
    - COSMETIC: Redesigned download from url dialog
    - COSMETIC: Added a message to warn user that we started download from an url
    - COSMETIC: Renamed main tab from "Downloads" to "Transfers"
    - COSMETIC: Improved icons
    - COSMETIC: Resized flags in localization settings
    - COSMETIC: Improved trayicon image

* Fri Aug 24 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.6.1
    - BUGFIX: Fixed possible segfaults when using context menus
    - BUGFIX: Cleanup up context menus code
    - BUGFIX: Use best gzip compressing for man page

* Wed Aug 22 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.6.0
    - FEATURE: Rewritten the download list from scratch (more flexible)
    - FEATURE: Rewritten the search results list from scratch (more flexible)
    - FEATURE: Rewritten the torrent properties list from scratch (more flexible)
    - FEATURE: Improved and cleaned up search engine code
    - FEATURE: Search results are now displayed in real time (not sequentially)
    - FEATURE: Added two command lines parameters (--version, --help)
    - FEATURE: Added a popup menu for download list
    - FEATURE: Double-click on an item now toggles the paused state of a download
    - FEATURE: Improved code to be more portable (Windows & MacOS versions should arrive soon)
    - FEATURE: Allow to toggle selected state of a file within a torrent using double-click
    - FEATURE: Remember columns width in download and search results lists
    - BUGFIX: Don't use pkg-config for libcurl anymore (easier to compile)
    - BUGFIX: Fixed ETA calculation when downloading while connecting
    - BUGFIX: Download progress is now displayed correctly during first seconds of execution (was 0% before)
    - BUGFIX: Code cleanup & optimization
    - BUGFIX: Fixed sorting in download list
    - BUGFIX: Fixed sorting in search results list
    - BUGFIX: Fixed Parameters passing between instances
    - BUGFIX: Fixed missing icon for clear action in infoBar popup menu
    - BUGFIX: Fixed truncated lines in search results
    - BUGFIX: Don't refresh download list when user is in search tab (save CPU)
    - BUGFIX: Don't update Progress/DL Speed/ETA for finished downloads (save CPU)
    - BUGFIX: Save selected search engines only when they have changed (faster program exit)
    - COSMETIC: Increased icon size in toolbar from 24px to 32px
    - COSMETIC: Display a progress bar to visualize each download progress
    - COSMETIC: Size of each result in search are displayed in user friendly units
    - COSMETIC: Display a progress bar to visualize each file progress within a torrent
    - COSMETIC: Renamed 'ratio' to 'Session ratio' (makes more sense)
    - COSMETIC: Improved layout of torrent properties window when maximized
    - COSMETIC: Now number of search results is updated in real time
    - COSMETIC: Remember last window size
    - COSMETIC: Improved splash screen look
    - COSMETIC: Improved default width of columns in download and search results lists

* Wed Aug 2 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.5.0
    - FEATURE: Improved "Download from url" feature (now supports https, ftp & redirections)
    - FEATURE: Added a torrent creation tool
    - FEATURE: Display progress for each file within a torrent
    - FEATURE: Based on new libtorrent v0.10 (lot of improvements)
    - FEATURE: Now possible to clear log textbox (popup menu)
    - FEATURE: Added two search engines (isohunt, torrentreactor)
    - FEATURE: Now Display share ratio on main window
    - FEATURE: Use OSD (On Screen Display) when a download or a search is finished
    - FEATURE: Allow only one instance of qBittorrent (and add new parameters to download list)
    - FEATURE: Remember last selected search engines in search tab
    - FEATURE: Improved search engines status output (Aborted, timed out, finished, no results)
    - FEATURE: qBittorrent can now update search plugin from qbittorrent.org
    - I18N: Added Slovak, Italian, Portuguese, Romanian and Traditional Chinese languages
    - BUGFIX: Fixed ThePirateBay parser for search engine (website had changed)
    - BUGFIX: Fixed filenames for results from ThePirateBay search engine
    - BUGFIX: Fixed unicode support for ThePirateBay search engine
    - BUGFIX: Now search results are sorted by seeds
    - BUGFIX: Overwrite nova.py search plugin only if it is outdated
    - BUGFIX: Fixed possible division by 0 in ETA calculation
    - BUGFIX: Improved ETA calculation precision
    - BUGFIX: Fixed default tab in options
    - BUGFIX: When saving options, reconnect only when listening ports changed
    - COSMETIC: qBittorrent has now its own new logo
    - COSMETIC: Display status "downloading" if DL Speed > 0 (even when tracker is down)
    - COSMETIC: Added a splashscreen
    - COSMETIC: qBittorrent has new cute icons
    - COSMETIC: Display number of results in search tab
    - COSMETIC: Added icons for each item in download list according to its state
    - COSMETIC: Redesigned Locale settings
    - COSMETIC: Fixed search engines names width (were cut on the right)
    - COSMETIC: Moved search engines to the left of the window (better ui)

* Fri Jun 23 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.4.1
    - Not counting "protocol chatter" in UP/DL speed anymore
    - Download speed is now 0 when download is finished
    - Paused torrents remain paused when qbittorrent is re-started
    - Added option "go to systray when minimizing"
    - Added option "Clear finished downloads on exit"
    - Added option "Ask user for confirmation on exit"
    - Added "Stalled" status for downloads (colored in orange, paused are in red and finished in green)
    - Fixed Search window layout on maximizing
    - Fixed a bug that caused upload limit not to be always applied
    - Added Bulgarian translation
    - Updated Translations
    - Code optimization

* Tue Jun 13 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.4.0
    - Added a search engine (supports Mininova & thepiratebay websites)
    - Fixed critical bug: some options were not applied correctly to BT session
    - Possibility to download a torrent file from an URL
    - Added confirmation dialog on qbittorrent exit
    - Enabled sorting in Download list
    - Added Ukrainian translation
    - Support urls as program parameters
    - Added more actions to trayicon menu
    - Fixed exception catching when retrieving fastresume data
    - use Binary prefix standards from IEC 60027-2 for units (B, KiB, MiB, GiB, TiB)
    - Iconification to systray when minimizing
    - Code Cleanup & optimization

* Tue Jun 06 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.3.1
    - Fixed toolbar layout (spacing)
    - Added Russian translation
    - Resume also finished files on startup (for seeding)
    - Added colors corresponding to download state
    - Fixed a segfault when deleting a download (if no scan dir is set)

* Mon Jun 05 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.3
    - Fixed auto-resume (worked only once)
    - Fixed BT_Backup dir creation on first startup (thanks Peter)
    - Now min port and max port are inverted if (min port > max port)
    - Fixed memory leaks
    - Added qbittorrent man page
    - Allow to disable max connections limit (default is disabled)
    - Disable upload limit by default
    - Added Menu Entry with icon (thanks Peter)
    - Restructured directory, now Makefile is in main directory (not src/)
    - Updated README / INSTALL

* Fri Jun 02 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.2.3
    - Fixed ports checking function (user couldn't type the value he wanted)
    - qBittorrent does not remove .torrent file from scanned directory anymore
    - Check tracker errors list size and clear it if it becomes too big.
    - Small cosmetic change

* Wed May 31 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.2.2
    - Fixed missing icons

* Thu May 25 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.2.1
    - Fixed "make install" rule
    - Disabled debug mode

* Thu May 25 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.2
    - Fixed a compatibility problem with some versions of qmake
    - Added translations : Greek, Swedish
    - Fixed Polish translation selection
    - Fixed come warning because of two unexisting slots
    - Improved "Apply" button behaviour in options
    - Windows are now resizable

* Tue May 16 2006 - Christophe Dumez <chris@qbittorrent.org> - v0.1
    - Initial release (lack features & still need a lot of improvements)
